2008-08-31 14:12  yangtse

	* docs/examples/10-at-a-time.c, docs/examples/anyauthput.c,
	  docs/examples/fopen.c, docs/examples/ftpuploadresume.c,
	  lib/easy.c: MSVC adjustment

2008-08-30 22:23  bagder

	* TODO-RELEASE: Added:

	  165 - "Problem with CURLOPT_RESUME_FROM and CURLOPT_APPEND" by
	  Daniele Pinau,       recipe:
	  http://curl.haxx.se/mail/lib-2008-08/0439.html

2008-08-30 06:13  yangtse

	* Makefile.am, vc6curl.dsw, docs/INSTALL: vc6curl.dsw and MSVC 6
	  IDE build directions

2008-08-30 01:49  danf

	* TODO-RELEASE: Removed one, added two

2008-08-30 01:42  danf

	* CHANGES, tests/data/DISABLED, tests/data/Makefile.am,
	  tests/data/test1069, tests/data/test1071, tests/data/test1072,
	  tests/data/test1073, tests/data/test1074, tests/data/test1075:
	  Added tests 1071 through 1074 to test automatic downgrading from
	  HTTP 1.1 to HTTP 1.0 upon receiving a response from the HTTP
	  server.  Tests 1072 and 1073 are similar to test 1069 in that
	  they involve the impossible scenario of sending chunked data to a
	  HTTP 1.0 server.  All these currently fail and are added to
	  DISABLED.

	  Added test 1075 to test --anyauth with Basic authentication.

2008-08-29 12:48  bagder

	* tests/data/Makefile.am: test 1070 added

2008-08-29 12:47  bagder

	* CHANGES, RELEASE-NOTES, TODO-RELEASE, lib/transfer.c,
	  tests/FILEFORMAT, tests/data/test1070, tests/server/sws.c: - When
	  libcurl was doing a HTTP POST and the server would respond with
	  "Connection: close" and actually close the connection after the
	  response-body, libcurl could still have outstanding data to send
	  and it   would not properly notice this and stop sending. This
	  caused weirdness and	 sad faces.
	  http://curl.haxx.se/bug/view.cgi?id=2080222

	    Note that there are still reasons to consider libcurl's
	  behavior when
	    getting a >= 400 response code while sending data, as Craig
	  Perras' note
	    "http upload: how to stop on error" specifies:
	    http://curl.haxx.se/mail/archive-2008-08/0138.html

2008-08-29 10:55  bagder

	* ares/: RELEASE-NOTES, ares_version.h: we start over working
	  towards 1.5.4

2008-08-29 10:33  bagder

	* ares/CHANGES: Version 1.5.3

2008-08-29 10:29  bagder

	* ares/AUTHORS: added the three people from RELEASE-NOTES and
	  sorted the list alphabetically

2008-08-29 04:08  yangtse

	* src/: Makefile.am, curlsrc.dsp, curlsrc.dsw: Project and
	  workspace files for VC6 IDE supporting 4 configurations:

	  curl - Win32 using libcurl DLL Debug curl - Win32 using libcurl
	  DLL Release curl - Win32 using libcurl LIB Debug curl - Win32
	  using libcurl LIB Release

2008-08-29 00:41  yangtse

	* lib/setup.h, src/main.c: When not using large file support
	  WIN32's lseek offset is a 'long'.

2008-08-28 22:08  bagder

	* Makefile.am, Makefile.dist: Andres Garcia pointed out these
	  Makefile mistakes...

2008-08-28 18:08  yangtse

	* include/curl/curlbuild.h.dist: Adjust curl_off_t definitions for
	  DJGPP.

	  Ancient versions of DJGPP do not have a 64-bit data type.

2008-08-28 16:06  yangtse

	* TODO-RELEASE: Issue #144 seems to be complete. It should no
	  longer be a show-stopper.

2008-08-28 15:58  yangtse

	* include/curl/.cvsignore: ignore curlver.h.dist

2008-08-28 15:53  yangtse

	* lib/Makefile.am: Adjust generation of MSVC project files

2008-08-28 13:40  bagder

	* README: don't use the mirrors anymore

2008-08-28 13:35  bagder

	* CHANGES, lib/cookie.c, tests/data/test171, tests/data/test172,
	  tests/data/test31, tests/data/test46, tests/data/test506,
	  tests/data/test61, tests/data/test62, tests/data/test73: - I'm
	  abandoning the system with the web site mirrors (but keeping
	  download   files bing mirrored) and thus I've changed the URL in
	  the cookiejar header	 to no longer use curlm.haxx.se but instead
	  use the main site curl.haxx.se

2008-08-28 10:57  bagder

	* TODO-RELEASE: we need to look over what libcurl does (not) do
	  when error is received when it wants to send data

2008-08-28 09:41  bagder

	* lib/easy.c: minor code indent fixes

2008-08-28 09:37  bagder

	* CHANGES, RELEASE-NOTES, lib/url.c: - Dengminwen reported that
	  libcurl would lock a (cookie) share twice (without   an unlock in
	  between) for a certain case and that in fact works when using
	  regular windows mutexes but not with pthreads'! Locks should of
	  course not   get locked again so this is now fixed.
	  http://curl.haxx.se/mail/lib-2008-08/0422.html

2008-08-28 08:28  danf

	* CHANGES, RELEASE-NOTES, lib/url.c, tests/data/DISABLED,
	  tests/data/test1065: Fixed test case 1065 by changing the
	  handling of CURLOPT_UPLOAD to set the HTTP method to GET (or
	  HEAD) when given a value of 0.

2008-08-28 05:31  yangtse

	* lib/: msvcproj.foot, msvcproj.head: This file must be kept in CVS
	  with DOS style CR+LF line endings.

2008-08-28 04:32  danf

	* docs/libcurl/curl_easy_setopt.3: Fixed a couple of typos

2008-08-28 04:24  danf

	* tests/data/DISABLED: Added test 1069 to test PUT from stdin
	  without content length. It fails in a similar manner to test 1065
	  so is added to DISABLED.

2008-08-28 04:18  danf

	* tests/data/: Makefile.am, test1069: Added test 1069 to test PUT
	  from stdin without content length. It fails in a similar manner
	  to test 1065 so is added to DISABLED.

2008-08-28 04:03  danf

	* tests/data/: Makefile.am, test1068, test60: Added test case 1068
	  to do a simple HTTP PUT from stdin

2008-08-28 03:22  yangtse

	* lib/msvcproj.foot: DLL's resource file specification for VC6
	  generated .dsp file

2008-08-28 01:46  yangtse

	* lib/msvcproj.head: Add /D "CURL_STATICLIB" to LIB's BASE
	  configuration

2008-08-28 01:31  yangtse

	* CHANGES, lib/msvcproj.head: VC6 generated .dsp file now supports
	  4 configurations:

	  libcurl - Win32 DLL Debug libcurl - Win32 DLL Release libcurl -
	  Win32 LIB Debug libcurl - Win32 LIB Release

2008-08-27 10:01  bagder

	* docs/TheArtOfHttpScripting: s/you you/you/ thanks to hexo6 at
	  wp.pl

2008-08-27 08:10  bagder

	* lib/README.curl_off_t: spell! (most of it fixed by Tor Arntsen)

2008-08-27 03:48  danf

	* lib/config-symbian.h: Fix large file support for Symbian OS on
	  the emulator.

2008-08-27 02:25  yangtse

	* acinclude.m4, ares/acinclude.m4, ares/setup_once.h,
	  lib/setup_once.h: Don't abort configuration if recvfrom() is not
	  available.

2008-08-27 00:36  danf

	* include/curl/curlbuild.h.dist: Treat all ARM compilers (RVCT,
	  GCC) equally on Symbian OS. They are both compatible, and
	  otherwise the dependency generation phase of the build would
	  throw warnings since the actual compiler isn't known at that
	  time.

2008-08-26 23:28  danf

	* CHANGES, lib/connect.c, lib/transfer.c, lib/url.c: Fixed out of
	  memory problems that caused torture test failures in tests 1021
	  and 1067.

2008-08-26 22:21  danf

	* tests/data/: test528, test531, test534, test535, test538: Added
	  multi keyword

2008-08-26 22:11  danf

	* tests/data/: test525, test526, test527, test529, test530,
	  test532, test533, test555: Added multi keyword

2008-08-26 18:46  yangtse

	* configure.ac: Windows build targets don't use the 'SONAME'
	  mechanism.

2008-08-26 15:40  yangtse

	* TODO-RELEASE: Another task completed and removed from #144:

	  - Enabling and disabling of large file support is now complete.

2008-08-26 15:35  yangtse

	* lib/README.curl_off_t: minor language adjustment

2008-08-26 14:57  bagder

	* lib/README.curl_off_t: spell out some benefits of this new
	  approach of doing curl_off_t

2008-08-26 14:54  yangtse

	* CHANGES, acinclude.m4, configure.ac: Added check and symbol
	  definition for WIN32 file API usage in configure, supporting
	  configure's --disable-largefile option for WIN32 targets also.
	  Non-configure systems which do not use config-win32.h
	  configuration file, and want to use the WIN32 file API, must
	  define USE_WIN32_LARGE_FILES or USE_WIN32_SMALL_FILES as
	  appropriate in their own configuration files.

2008-08-26 12:48  yangtse

	* lib/setup.h, src/main.c: Fix default SIZEOF_OFF_T definition
	  logic

2008-08-26 11:26  patrickm

	* lib/config-os400.h: Fix _LARGE_FILES definition (thanks to Yang
	  Tse for signaling the bug)

2008-08-26 05:08  yangtse

	* ares/ares_process.c: Functionality only possible if recvfrom() is
	  available.

2008-08-26 03:55  yangtse

	* TODO-RELEASE: Three tasks completed and removed:

	  - Logic based on CURL_SIZEOF_CURL_OFF_T and SIZEOF_OFF_T already
	  adjusted.  - Test case 557 already passes on all autobuilds.	-
	  System off_t, or equivalent, size is finally not recorded in
	  curlbuild.h	for this release. SIZEOF_OFF_T from config file is
	  used.

2008-08-26 03:40  yangtse

	* lib/progress.c, lib/setup.h, lib/version.c, src/main.c: Use
	  SIZEOF_OFF_T definition from config file

2008-08-25 15:58  patrickm

	* packages/OS400/: initscript.sh, make-include.sh: Adapting OS400
	  build scripts to new features: new curlbuild.h file and soname in
	  VERSION --> VERSIONINFO

2008-08-25 15:42  yangtse

	* include/curl/: curlbuild.h.dist, curlbuild.h.in: Add missing
	  preprocessor symbol definition checks

2008-08-25 14:50  bagder

	* configure.ac: remove some leftover debug code

2008-08-25 14:49  bagder

	* configure.ac: if the size of off_t is not the same as curl_off_t,
	  this is not like how libcurl used to get built < 7.19.0 so we
	  enforce an soname bump and display a warning

2008-08-25 05:50  yangtse

	* lib/Makefile.netware: leftover

2008-08-25 05:44  yangtse

	* ares/: CHANGES, RELEASE-NOTES, acountry.c: George Neill's fix
	  acountry sample application compilation failure.

2008-08-25 05:34  yangtse

	* ares/: CHANGES, RELEASE-NOTES, ares_process.c: Brad House's
	  validation that DNS response address matches the request address

2008-08-25 03:18  yangtse

	* acinclude.m4, include/curl/curlbuild.h.dist,
	  include/curl/curlbuild.h.in, include/curl/curlrules.h,
	  lib/Makefile.netware: For congruency sake with the naming of
	  other CURL_XXXXXX_CURL_OFF_T macros, the name of the curl_off_t
	  data type used now becomes CURL_TYPEOF_CURL_OFF_T

	  CURL_OFF_T -> CURL_TYPEOF_CURL_OFF_T

2008-08-25 02:56  yangtse

	* acinclude.m4: Rename some shell vars with more descriptive names:

	  x_typeof -> curl_typeof_curl_off_t x_sizeof ->
	  curl_sizeof_curl_off_t x_format -> curl_format_curl_off_t
	  u_format -> curl_format_curl_off_tu

2008-08-25 01:26  yangtse

	* tests/runtests.pl: Re-enable all tests on x86_64 and ia64.

2008-08-25 01:21  yangtse

	* lib/mprintf.c: Remove debug tracing and nearly all changes
	  introduced since revision 1.72

	  The effective result of this commit is revision 1.72 plus two
	  changed lines. These can be viewed in
	  http://cool.haxx.se/cvs.cgi/curl/lib/mprintf.c.diff?r1=1.72&r2=1.77

2008-08-25 00:08  bagder

	* docs/KNOWN_BUGS: 58.	It seems sensible to be able to use
	  CURLOPT_NOBODY and   CURLOPT_FAILONERROR with FTP to detect if a
	  file exists or not, but it is   not working:
	  http://curl.haxx.se/mail/lib-2008-07/0295.html

2008-08-24 23:26  bagder

	* configure.ac, lib/Makefile.am, lib/README.curl_off_t: Introduced
	  the configure option --enable-soname-bump that lets a user
	  enforce an SONAME bump.

2008-08-24 22:42  bagder

	* lib/Makefile.am: Added firefox-db2pem.sh to the release archive

2008-08-24 19:10  yangtse

	* tests/libtest/lib557.c: Fix wrong signed int formatting string
	  directive in test case #557.

	  This error did not cause test failures on systems where
	  sizeof(int) == sizeof(long).

2008-08-24 18:01  yangtse

	* lib/mprintf.c: Debug trace curl_mprintf() on x86_64 and ia64
	  systems.

2008-08-24 17:57  yangtse

	* tests/runtests.pl: Disable all tests except #557 on x86_64 and
	  ia64 to debug trace curl_mprintf() on these systems.

2008-08-24 12:40  yangtse

	* lib/mprintf.c: x86_64 fixes

2008-08-24 05:59  yangtse

	* lib/mprintf.c: x86_64 fixes

2008-08-24 02:15  yangtse

	* lib/mprintf.c: Test if type casting a 'signed int' to a 'signed
	  long long' fails to do sign extension  on x86_64.

2008-08-24 00:02  bagder

	* CHANGES, Makefile.am, Makefile.dist, lib/firefox-db2pem.sh: -
	  Running 'make ca-firefox' in the root build dir will now run the
	  new	firefox-db2pem.sh conversion script that converts a local
	  Firefox db of ca   certs into PEM format, suitable for use with a
	  OpenSSL or GnuTLS built   libcurl.

2008-08-23 23:31  gknauf

	* lib/mk-ca-bundle.pl: removed obsolete slash in URL.

2008-08-23 23:27  bagder

	* tests/data/: Makefile.am, test1067: added test case 1067 to
	  verify --referer "firstone.html;auto"

2008-08-23 14:14  bagder

	* configure.ac: revert accidental commit of test code

2008-08-23 14:14  bagder

	* lib/mk-ca-bundle.pl: revert accidental commit

2008-08-23 14:11  bagder

	* CHANGES, RELEASE-NOTES, configure.ac, lib/mk-ca-bundle.pl,
	  lib/multi.c: - Constantine Sapuntzakis fixed a bug when doing
	  proxy CONNECT with the multi	 interface, and the proxy would
	  send Connection: close during the   authentication phase.
	  http://curl.haxx.se/bug/view.cgi?id=2069047

2008-08-23 13:37  bagder

	* lib/README.curl_off_t: mention the no soname bump too

2008-08-23 13:34  bagder

	* lib/README.curl_off_t: my first take at documenting the
	  curl_off_t situation when doing an upgrade < 7.19.0 to >= 7.19.x

2008-08-23 13:25  bagder

	* tests/runtests.pl: Andy Tsouladze's fix to kill the knowledge of
	  servers properly after they have been killed.

2008-08-23 04:35  yangtse

	* lib/mprintf.c: explicit value assignment for comparison result

2008-08-23 04:04  yangtse

	* lib/mprintf.c: typecast constant in comparison

2008-08-23 00:57  danf

	* CHANGES, RELEASE-NOTES, src/main.c, tests/data/Makefile.am,
	  tests/data/test1066: Fixed a problem when --dump-header - was
	  given with more than one URL, which caused an error when the
	  second header was dumped due to stdout being closed.	Added test
	  case 1066 to verify.	Also fixed a potential problem where a
	  closed file descriptor might be used for an upload when more than
	  one URL is given.

2008-08-22 23:37  bagder

	* TODO-RELEASE: 161 - test case 1065 failure (HTTP PUT with one
	  file but two URLs)
	  http://curl.haxx.se/mail/archive-2008-08/0075.html

2008-08-22 21:01  yangtse

	* lib/setup.h, src/main.c: Reinstate struct_stat definition that
	  got lost in previous commit.

2008-08-22 20:18  yangtse

	* tests/testcurl.pl: Increase to 20 the number of CVS update
	  retries.

2008-08-22 20:09  yangtse

	* CHANGES, lib/config-win32.h, lib/config-win32ce.h, lib/setup.h,
	  src/config-win32.h, src/main.c: Adjustments to better
	  select/differentiate when large/small file support is provided
	  using WIN32 functions directly.

2008-08-22 13:11  yangtse

	* CHANGES, RELEASE-NOTES, lib/mprintf.c: Improved curl_m*printf()
	  integral data type size and signedness handling

2008-08-22 11:00  bagder

	* TODO-RELEASE: Removed issue #154 due to the massive problems I've
	  had to repeat it and since this really hasn't bitten anyone else.
	  The issuer of the report (Felix) suggested the closure himself
	  and he will get back when (if?) he manage to get a more reliable
	  way to see the problem.

	  154 - bug #2041827 "Segfault in http_output_auth w/ FORBID_REUSE
	  (7.18.2)"

2008-08-22 09:59  bagder

	* RELEASE-NOTES: Jamie Lokier is always helpful and this time
	  around too...

2008-08-22 09:58  bagder

	* configure.ac: Sort of hackish approach to get the off_t size
	  before large file support is enabled (or skipped). Thanks to
	  Jamie Lokier for the nice work-around the cached-check-problem:
	  http://curl.haxx.se/mail/lib-2008-08/0331.html

2008-08-22 08:53  yangtse

	* lib/mprintf.c: cleanup the BOOL usage

2008-08-21 20:28  bagder

	* docs/KNOWN_BUGS: 57. On VMS-Alpha: When using an http-file-upload
	  the file is not sent to the	Server with the correct
	  content-length.  Sending a file with 511 or less   bytes,
	  content-length 512 is used.  Sending a file with 513 - 1023
	  bytes,   content-length 1024 is used.  Files with a length of a
	  multiple of 512 Bytes   show the correct content-length. Only
	  these files work for upload.
	  http://curl.haxx.se/bug/view.cgi?id=2057858

2008-08-21 19:51  bagder

	* lib/mk-ca-bundle.pl: use a more updated certdata.txt URL

2008-08-21 18:20  giva

	* lib/url.c: Work around a scanf() bug in djgpp 2.04. The
	  assignments for this format is working okay. But the return value
	  is incorrectly EOF.

2008-08-21 16:08  giva

	* lib/config.dos: Added '#define HAVE_STRUCT_IN6_ADDR 1' needed
	  when building with 'USE_ARES'.

2008-08-21 15:51  giva

	* lib/makefile.dj: Added rule to generate
	  '../include/curl/curlbuild.h'.

2008-08-21 15:47  giva

	* lib/config.dos: Assume we have 'CRYPTO_cleanup_all_ex_data()' on
	  OpenSSL/DOS too.

2008-08-21 08:58  yangtse

	* include/curl/curlbuild.h.dist, lib/mprintf.c, lib/strtoofft.h:
	  MSVC's __int64 data type is only available when
	  _INTEGRAL_MAX_BITS >= 64

2008-08-21 07:19  yangtse

	* configure.ac, tests/data/test557, tests/libtest/lib557.c: Test
	  case 557 now also verifies signed and unsigned int formatting.

2008-08-21 05:16  yangtse

	* TODO-RELEASE: Old logic based on ENABLE_64BIT and HAVE_LONGLONG
	  already revisited and adjusted.

	  Old logic based on CURL_SIZEOF_CURL_OFF_T is only partially
	  adjusted.

2008-08-21 03:55  yangtse

	* CHANGES: Fixed a couple of bugs in libcurl's internal
	  curl_m*printf() functions.

2008-08-21 03:49  yangtse

	* lib/mprintf.c: Fix a LONG_MIN and LLONG_MIN related bug in
	  internal m*printf()

2008-08-21 02:13  yangtse

	* ares/maketgz: fix the output name

2008-08-21 02:12  yangtse

	* lib/mprintf.c: Fix one bug detected thanks to test case 557.

2008-08-21 02:10  yangtse

	* lib/mprintf.c: Some data type size adjustments.

2008-08-21 02:06  yangtse

	* configure.ac, ares/configure.ac, lib/config-os400.h,
	  lib/config-symbian.h, lib/config-tpf.h, lib/mprintf.c,
	  lib/setup.h, lib/version.c, src/config-win32.h: Get rid of
	  ENABLE_64BIT symbol definition and usage.

	  Improve HAVE_LONGLONG symbol description.

2008-08-21 01:40  yangtse

	* CHANGES: Update of lib/Makefile.Watcom.

2008-08-21 01:38  yangtse

	* ares/Makefile.vc6: Export 'ares_process_fd' too.

2008-08-21 01:35  yangtse

	* lib/Makefile.Watcom: Added option to use c-ares resolver lib.

2008-08-21 01:32  yangtse

	* lib/hostares.c: Use 'Curl_inet_pton()' instead of 'inet_pton()'.

2008-08-21 01:29  yangtse

	* lib/setup.h, tests/libtest/lib557.c: Simplify condition check

2008-08-20 23:06  bagder

	* docs/curl.1: the .netrc curl checks for is called _netrc on
	  windows bug report #2061610

2008-08-20 21:45  danf

	* CHANGES, docs/curl.1, docs/libcurl/curl_easy_setopt.3: Added an
	  edited version of Vincent Le Normand's documentation of SFTP
	  quote commands to the man pages.

2008-08-20 21:29  bagder

	* CHANGES, RELEASE-NOTES, lib/config-win32.h: - Phil Pellouchoud
	  pointed out that the windows version of libcurl had a   memory
	  leak because it never called the OpenSSL function
	  CRYPTO_cleanup_all_ex_data() as it was supposed to. This was
	  because of a	 missing define in config-win32.h!

2008-08-18 20:52  yangtse

	* tests/: data/test557, libtest/lib557.c: Update test case 557

2008-08-18 12:11  yangtse

	* TODO-RELEASE: #159 and #160 already done.

	  Add more tasks to #144.

2008-08-18 11:58  yangtse

	* CHANGES, tests/data/Makefile.am, tests/data/test557,
	  tests/libtest/Makefile.am, tests/libtest/lib557.c: Added test
	  case 557 to verify libcurl's internal curl_m*printf() functions
	  formatting functionality when handling signed and unsigned longs,
	  as well as our curl_off_t data type.

2008-08-17 18:20  giva

	* docs/examples/makefile.dj: Pick-up programs from Makefile.inc.

2008-08-17 15:55  giva

	* include/curl/curl.h: Replace 'HttpPost' with 'curl_httppost'.

2008-08-17 15:34  giva

	* lib/Makefile.Watcom: Rewritten to also produce a static library
	  (libcurl_wc.lib).

2008-08-17 15:25  yangtse

	* CHANGES, lib/Makefile.netware, src/Makefile.netware: OpenSSl
	  enabled NetWare builds are changed to use the 'openssl'
	  subdirectory when including the OpenSSL header files. This is the
	  recommended setting, this prevents the undesired inclusion of
	  header files with the same name as those of OpenSSL but which do
	  not belong to the OpenSSL package. The visible change from
	  previously released libcurl versions is that now OpenSSl enabled
	  NetWare builds also define USE_OPENSSL in config files, and that
	  OpenSSL header files must be located in a subdirectory named
	  'openssl'.

2008-08-17 03:57  yangtse

	* lib/: http_ntlm.c, md5.c, urldata.h: Adjust usage of conditional
	  definition of USE_OPENSSL

2008-08-17 02:25  yangtse

	* lib/Makefile.Watcom, lib/Makefile.inc, lib/base64.c,
	  lib/base64.h, lib/curl_base64.h, lib/http.c, lib/http_digest.c,
	  lib/http_negotiate.c, lib/http_ntlm.c, lib/krb4.c, lib/krb5.c,
	  lib/ldap.c, lib/security.c, tests/server/getpart.c: libcurl
	  internal base64.h header file renamed to curl_base64.h

2008-08-17 02:01  yangtse

	* lib/: Makefile.Watcom, Makefile.inc, curl_md5.h, http_digest.c,
	  md5.c, md5.h: libcurl internal md5.h header file renamed to
	  curl_md5.h

2008-08-16 19:12  yangtse

	* TODO-RELEASE: Added #159 and #160

2008-08-16 19:05  giva

	* ares/acountry.c: Ops, remove 'use_vc'.

2008-08-16 18:42  giva

	* ares/acountry.c: Support Watt-32 under Win32.

2008-08-16 05:40  yangtse

	* lib/setup.h: Oops, missed FORMAT_OFF_TU

2008-08-16 05:27  yangtse

	* lib/Makefile.netware, lib/http_negotiate.c, src/Makefile.netware:
	  Fix Use of conditional definition of USE_OPENSSL

2008-08-16 03:33  yangtse

	* CHANGES, lib/cookie.c, lib/file.c, lib/formdata.c, lib/ftp.c,
	  lib/http.c, lib/progress.c, lib/setup.h, lib/ssh.c,
	  lib/transfer.c, lib/url.c: Library internal only C preprocessor
	  macros FORMAT_OFF_T and FORMAT_OFF_TU remain in use as internal
	  curl_off_t print formatting strings for the internal *printf
	  functions which still cannot handle print formatting string
	  directives such as "I64d", "I64u", and others available on MSVC,
	  MinGW, Intel's ICC, and other DOS/Windows compilers.

	  This reverts previous commit part which did:

	  FORMAT_OFF_T	-> CURL_FORMAT_CURL_OFF_T FORMAT_OFF_TU ->
	  CURL_FORMAT_CURL_OFF_TU

2008-08-15 21:18  danf

	* CHANGES, tests/data/DISABLED, tests/data/Makefile.am,
	  tests/data/test1064, tests/data/test1065: Added test case 1065 to
	  test a PUT with a single file but two URLs. This was discovered
	  to be problematic while investigating an incident reported by Von
	  back in May.	curl in this case doesn't include a Content-Length:
	  or Transfer-Encoding: chunked header which is illegal. This test
	  case is added to DISABLED until a solution is found.

2008-08-15 04:58  yangtse

	* CHANGES, acinclude.m4, include/curl/curlbuild.h.dist,
	  include/curl/curlbuild.h.in, include/curl/curlrules.h,
	  lib/Makefile.netware, lib/cookie.c, lib/file.c, lib/formdata.c,
	  lib/ftp.c, lib/http.c, lib/progress.c, lib/setup.h, lib/ssh.c,
	  lib/transfer.c, lib/url.c: For congruency sake with the naming of
	  other CURL_XXXXXX_CURL_OFF_T macros, the names of the curl_off_t
	  formatting string directives now become CURL_FORMAT_CURL_OFF_T
	  and CURL_FORMAT_CURL_OFF_TU.

	  CURL_FMT_OFF_T  -> CURL_FORMAT_CURL_OFF_T CURL_FMT_OFF_TU ->
	  CURL_FORMAT_CURL_OFF_TU

	  Remove the use of an internal name for the curl_off_t formatting
	  string directives and use the common one available from the
	  inside and outside of the library.

	  FORMAT_OFF_T	-> CURL_FORMAT_CURL_OFF_T FORMAT_OFF_TU ->
	  CURL_FORMAT_CURL_OFF_TU

2008-08-15 01:55  yangtse

	* buildconf: curlbuild.h is a generated file on configure-capable
	  systems

2008-08-14 21:18  danf

	* tests/data/: test1016, test1017, test1018, test1019, test1020:
	  Added Range keyword

2008-08-14 21:18  danf

	* tests/data/: Makefile.am, test1063: Added test 1063 to test an
	  invalid large range on a file:

2008-08-14 20:41  danf

	* docs/examples/sendrecv.c: Fixed unused variable warning

2008-08-14 20:30  yangtse

	* acinclude.m4: Take three at trying to detect signed and unsigned
	  curl_off_t integer constant suffixes, using a test-and-try suffix
	  approach letting the compiler validate it.

2008-08-14 13:56  yangtse

	* lib/strtoofft.h: When using our internal curlx_strtoll function
	  NEED_CURL_STRTOLL must be defined, the source code of
	  curlx_strtoll is excluded if NEED_CURL_STRTOLL isn't defined.

2008-08-14 12:30  yangtse

	* lib/strtoofft.h: CURL_LLONG_MIN should now be signed

2008-08-14 05:39  yangtse

	* src/main.c: Use our CURL_LLONG_MAX and CURL_LLONG_MIN which are
	  defined with the proper suffix.

2008-08-14 03:39  yangtse

	* acinclude.m4: Change CURL_CHECK_DEF_INTXX_C suffix definition
	  detection.

	  Add debug tracing for CURL_CHECK_DEF_INTXX_C.

2008-08-13 23:05  bagder

	* TODO-RELEASE: Fixed:

	  155 - bug #2038004 "Curl OpenSSL not compatible with 7.17 or
	  7.18"

	  156 - proxy CONNECT issue (details not public yet due to possible
	  security impact)

2008-08-13 21:49  yangtse

	* acinclude.m4, configure.ac: Use autoconf's result of
	  AC_CHECK_SIZEOF(long) in CURL_CONFIGURE_LONG

2008-08-13 20:57  yangtse

	* acinclude.m4: Ensure that the compiler 'knows' the 'long' type in
	  CURL_CONFIGURE_LONG

2008-08-13 20:43  yangtse

	* lib/Makefile.netware, src/Makefile.netware: Sync config.h
	  generation from lib/Makefile.netware and src/Makefile.netware

2008-08-13 19:23  yangtse

	* acinclude.m4: Using the name of a macro inside AC_MSG_WARN takes
	  aclocal to NeverLand.

2008-08-13 18:14  yangtse

	* include/curl/curlbuild.h.dist: Adjust IBM C compiler
	  CURL_SIZEOF_LONG

2008-08-13 17:48  yangtse

	* CHANGES: Remove first version of comment not intended to be
	  finally committed.

2008-08-13 17:32  yangtse

	* CHANGES, acinclude.m4, include/curl/curlbuild.h.dist,
	  include/curl/curlbuild.h.in, include/curl/curlrules.h,
	  lib/Makefile.netware, lib/config-symbian.h, lib/config-tpf.h,
	  lib/strtoofft.h, src/main.c: The size of long is a build time
	  characteristic and as such it is now recorded in curlbuild.h as
	  CURL_SIZEOF_LONG. Definition now done from configure process and
	  in CVS curlbuild.h.dist for non-configure systems.

2008-08-13 15:07  yangtse

	* src/main.c: Split comparison among several lines for debugging

2008-08-13 12:57  bagder

	* RELEASE-NOTES: on second thought, let's remove this number from
	  here since it doesn't really belong among the release numbers
	  anyway

2008-08-13 12:55  bagder

	* RELEASE-NOTES: dead mirrors removed =>
	  http://curl.haxx.se/mail/lib-2008-08/0208.html

2008-08-13 10:51  bagder

	* docs/examples/: Makefile.inc, httpcustomheader.c:
	  httpcustomheader.c is a new tiny example showing a HTTP request
	  with a custom header replacing an internal one

2008-08-13 10:32  giva

	* include/curl/curl.h: Watcom doesn't have <sys/time.h>.

2008-08-13 10:19  giva

	* lib/Makefile.Watcom: Remved '-dDEBUG_THREADING_GETADDRINFO' (no
	  longer used).

2008-08-13 10:17  giva

	* lib/Makefile.Watcom: Update dependencies.

2008-08-13 09:30  giva

	* src/Makefile.Watcom: Update dependencies.

2008-08-13 09:16  giva

	* include/curl/curlbuild.h.dist: MingW uses gcc. Hence the suffixes
	  for 64-bit are 'LL' and 'ULL'.

2008-08-13 05:05  yangtse

	* lib/strtoofft.h, src/main.c: Adjustment due to curl_off_t no
	  longer following off_t

2008-08-13 02:43  danf

	* RELEASE-NOTES: Added a few user-visible bug fixes

2008-08-12 23:25  gknauf

	* src/Makefile.netware: sync src makefile with lib makefile.

2008-08-12 22:21  danf

	* lib/ssh.c: Removed unneeded header files

2008-08-12 22:07  danf

	* CHANGES, lib/http.c, tests/data/Makefile.am, tests/data/test1060,
	  tests/data/test1061: Fixed a buffer overflow problem in
	  Curl_proxyCONNECT that could occur when a server responded with
	  long headers and data.  Luckily, the buffer overflowed into
	  another unused buffer, so no actual harm was done.  Added test
	  cases 1060 and 1061 to verify.

2008-08-12 21:09  yangtse

	* lib/transfer.c: Fix 'result' may be used uninitialized in
	  function readwrite_data()

2008-08-12 20:49  yangtse

	* lib/progress.c: Fix curl_off_t sized constants usage

2008-08-12 20:32  danf

	* tests/libtest/lib556.c: Handle short reads

2008-08-12 12:08  yangtse

	* lib/Makefile.netware: DOS/Windows 'shells' eat echoed percent
	  sign characters unless escaped.

2008-08-12 09:21  bagder

	* CHANGES, RELEASE-NOTES, tests/runtests.pl: - Andy Tsouladze fixed
	  runtests.pl to not attempt to execute the stunnel   _directory_
	  if that happened to appear in the path!

2008-08-12 09:20  yangtse

	* acinclude.m4: Fix CURL_CHECK_DEF_INTXX_C suffix definition
	  detection

2008-08-12 05:00  yangtse

	* CHANGES, RELEASE-NOTES, include/curl/curl.h,
	  include/curl/curlrules.h: Added macros for minimum-width signed
	  and unsigned curl_off_t integer constants CURL_OFF_T_C and
	  CURL_OFF_TU_C. The clever double helper macro used internally to
	  provide its functionality is thanks to Lars Nilsson.

2008-08-12 01:16  danf

	* tests/data/: test1008, test1021, test206, test209, test213,
	  test265, test287, test503, test95: Added HTTP CONNECT keywords

2008-08-12 01:16  danf

	* CHANGES, lib/ftp.c, tests/data/Makefile.am, tests/data/test1062:
	  Fixed a boundary condition error in ftp_readresp() whereby a
	  non-terminal line of a multiline FTP response whose last byte
	  landed exactly at the end of the BUFSIZE-length buffer would be
	  treated as the terminal response line.  The following response
	  code read in would then actually be the end of the previous
	  response line, and all responses from then on would correspond to
	  the wrong command. Test case 1062 verifies this.

	  Stop closing a never-opened ftp socket.

2008-08-11 22:30  bagder

	* TODO-RELEASE: 152 + 153 are fixed!

2008-08-11 22:29  bagder

	* CHANGES, RELEASE-NOTES, lib/easy.c, lib/http_ntlm.c,
	  lib/http_ntlm.h: - Constantine Sapuntzakis filed bug report
	  #2042430   (http://curl.haxx.se/bug/view.cgi?id=2042430) with a
	  patch. "NTLM Windows	 SSPI code is not thread safe". This was
	  due to libcurl using static	variables to tell wether to load
	  the necessary SSPI DLL, but now the loading	has been moved to
	  the more suitable curl_global_init() call.

2008-08-11 21:26  bagder

	* CHANGES, RELEASE-NOTES, lib/url.c: - Constantine Sapuntzakis
	  filed bug report #2042440
	  (http://curl.haxx.se/bug/view.cgi?id=2042440) with a patch. He
	  identified a	 problem when using NTLM over a proxy but the
	  end-point does Basic, and then   libcurl would do wrong when the
	  host sent "Connection: close" as the proxy's	 NTLM state was
	  erroneously cleared.

2008-08-11 21:00  yangtse

	* include/curl/curlbuild.h.dist: Ooops

2008-08-11 20:27  yangtse

	* CHANGES, acinclude.m4, include/curl/curlbuild.h.dist,
	  include/curl/curlbuild.h.in, lib/Makefile.netware: Added missing
	  signed and unsigned curl_off_t integer constant suffixes for
	  internal and external use. CURL_SUFFIX_CURL_OFF_T,
	  CURL_SUFFIX_CURL_OFF_TU.

2008-08-11 14:41  bagder

	* TODO-RELEASE: added two known topics for 7.19.1

2008-08-11 12:55  bagder

	* TODO-RELEASE: five more bugs I'd like to get fixed or at least
	  considered before 7.19.0

2008-08-11 05:26  yangtse

	* TODO-RELEASE: Old logic based on CURL_SIZEOF_CURL_OFF_T,
	  ENABLE_64BIT, HAVE_LONGLONG, has to be revisited and adjusted as
	  appropriate.

	  Enabling and disabling of large file support needs further
	  inspection.

2008-08-11 04:40  yangtse

	* lib/Makefile.netware: Fix NetWare missing curl_off_t typedef!!

2008-08-11 03:22  yangtse

	* lib/mprintf.c, lib/progress.c, lib/setup.h, lib/strtoofft.h,
	  lib/version.c, src/main.c:
	  s/SIZEOF_CURL_OFF_T/CURL_SIZEOF_CURL_OFF_T/g

2008-08-11 02:15  yangtse

	* tests/testcurl.pl: Die when curlbuild.h is not created or
	  available

2008-08-11 00:28  gknauf

	* lib/Makefile.netware: fixed creation of curlbuild.h.

2008-08-10 20:33  yangtse

	* lib/Makefile.netware, tests/testcurl.pl: Fix NetWare curlbuild.h

	  NetWare curlbuild.h settings depend on whether LIBC or CLIB is
	  used.

	  The NetWare specific Makefile is capable of knowing which target
	  is being built.  So, finally, the NetWare Makefile will take care
	  of generating curlbuild.h

2008-08-10 02:39  yangtse

	* ares/Makefile.netware: Fix: Remove now this SIZEOF_CURL_OFF_T
	  symbol definition.

	  This should have been done with the initial 64-bit curl_off_t
	  patch.

2008-08-10 01:14  yangtse

	* tests/testcurl.pl: When running testcurl.pl display definitions
	  from curlbuild.h

2008-08-09 23:10  yangtse

	* acinclude.m4: Remove debug tracing for DO_CURL_OFF_T_CHECK and
	  CURL_CHECK_DEF

2008-08-09 19:46  yangtse

	* acinclude.m4: Use int64_t in favour of __int64 for curl_off_t
	  when both are available.

2008-08-09 19:26  yangtse

	* acinclude.m4, ares/acinclude.m4: Improve CURL_CHECK_DEF

2008-08-09 19:01  yangtse

	* configure.ac, ares/configure.ac: Fix IBM C and DEC/Compaq C
	  compiler detection

2008-08-09 17:28  yangtse

	* include/curl/curlbuild.h.dist: Remove some redundancy

2008-08-08 22:37  danf

	* lib/transfer.c: Refactored Curl_readwrite() into a number of
	  smaller functions.

2008-08-08 19:42  yangtse

	* acinclude.m4: Add debug tracing for DO_CURL_OFF_T_CHECK

2008-08-08 18:53  yangtse

	* acinclude.m4: Remove some redundancy

2008-08-08 18:25  yangtse

	* acinclude.m4: Remove potential overquoting

2008-08-08 17:16  yangtse

	* lib/Makefile.netware: Remove rule no longer needed since
	  tests/testcurl.pl revision 1.63

	  See CVS commit comment on tests/testcurl.pl revision 1.63

2008-08-08 14:34  yangtse

	* tests/testcurl.pl: Reintroduce the adjustment previously done in
	  testcurl.pl so that it copies the CVS checked out
	  curlbuild.h.dist as curlbuild.h for any non-configure target when
	  host system is not running buildconf.bat.

	  All the curlbuild.h stuff was done taking in consideration that
	  no adjustment would be needed in non-configure makefiles.

	  As it is documented, when trying to build on non-configure
	  capable systems or on systems which for any reason don't run the
	  true configure script, it is required to have the proper
	  curlbuild.h in place before calling any makefile.

	  Due to the hardcore memory debugging stuff c-ares enabled debug
	  builds also need the file in the proper place before attempting
	  to build c-ares.

2008-08-08 13:34  yangtse

	* acinclude.m4: Add debug tracing for CURL_CHECK_DEF

2008-08-08 09:51  danf

	* tests/data/test1059: Made ftp a required feature

2008-08-08 09:26  danf

	* CHANGES, tests/data/Makefile.am, tests/data/test1059: Added
	  test1059 to test the FTP proxy tunnel problem fixed July 11.

2008-08-08 07:58  yangtse

	* tests/testcurl.pl: Peek at predefined symbols done. and now
	  removed.

	  Netware's autobuilds gcc can not been told apart from a standard
	  built gcc.

2008-08-08 07:53  yangtse

	* include/curl/curlbuild.h.dist: Add metroworks and generic gcc

2008-08-08 05:09  yangtse

	* tests/testcurl.pl: Take a peek at netware's gcc predefined
	  symbols.

2008-08-08 03:52  danf

	* CHANGES, lib/multi.c: Fixed an uninitialized variable in
	  multi_runsingle() that could cause a request to prematurely end.

2008-08-08 00:40  yangtse

	* CHANGES, tests/testcurl.pl: Remove last adjustment done to
	  testcurl.pl to verify if change introduced by Guenter Knauf in
	  lib/Makefile.netware is enough to get the netware autobuilds
	  going again.

2008-08-07 23:43  gknauf

	* lib/Makefile.netware: use CP macro rather than cp command.

2008-08-07 23:34  gknauf

	* lib/Makefile.netware: added rule to create
	  include/curl/curlbuild.h from include/curl/curlbuild.h.dist.

2008-08-07 22:41  yangtse

	* CHANGES, tests/testcurl.pl: Adjust testcurl.pl to copy checked
	  out curlbuild.h.dist as curlbuild.h for non-configure targets
	  when host system doesn't run buildconf.bat.

2008-08-07 21:03  yangtse

	* CHANGES, acinclude.m4: Skip data type check in
	  DO_CURL_OFF_T_CHECK macro when argument is empty.

2008-08-07 18:22  yangtse

	* CHANGES, buildconf: Prevent buildconf from removing 'Makefile'
	  and 'missing' files. This would blow away our CVS checked
	  'missing' file and also CVS checked 'hiper/Makefile'.

2008-08-07 18:07  yangtse

	* CHANGES, acinclude.m4: Fix CURL_CHECK_DEF so that when the
	  expansion of the preprocessor symbol results in a set of
	  double-quoted strings, this macro will now return an expansion
	  which consists of a single double-quoted string result of
	  concatenating all of them.

2008-08-07 04:46  yangtse

	* TODO-RELEASE: sync with reality

2008-08-07 02:29  yangtse

	* CHANGES, RELEASE-NOTES, acinclude.m4, buildconf.bat,
	  configure.ac, ares/Makefile.am, ares/configure.ac,
	  docs/examples/Makefile.am, include/README,
	  include/curl/.cvsignore, include/curl/Makefile.am,
	  include/curl/curl.h, include/curl/curlbuild.h.dist,
	  include/curl/curlbuild.h.in, include/curl/curlrules.h,
	  lib/Makefile.am, lib/Makefile.netware, lib/config-amigaos.h,
	  lib/config-os400.h, lib/config-symbian.h, lib/config-tpf.h,
	  lib/config-win32.h, lib/config-win32ce.h, lib/config.dos,
	  lib/setup.h, packages/vms/config-vms.h, src/Makefile.Watcom,
	  src/Makefile.am, src/Makefile.netware, src/setup.h,
	  tests/libtest/Makefile.am, tests/server/Makefile.am: Initial
	  support of curlbuild.h and curlrules.h which allows to have a
	  curl_off_t data type no longer gated to off_t.

2008-08-06 23:22  bagder

	* docs/libcurl/curl_multi_timeout.3: - mention
	  curl_multi_socket_action() rather than the deprecated
	  curl_multi_socket() - don't claim that it has an argument named
	  'easy' because it doesn't!

2008-08-06 11:54  bagder

	* lib/http.c: remove debug code I accidentally left in here

2008-08-06 10:05  giva

	* lib/hostthre.c: Removed TRACE() code.

2008-08-05 11:08  yangtse

	* ares/m4/cares-reentrant.m4, m4/curl-reentrant.m4: The minimum
	  autoconf version required for this file is 2.50

	  Avoid dot notation in aclocal serial file number, use a single
	  number now.

2008-08-05 08:44  yangtse

	* TODO-RELEASE: #148 Removed.

	  Rebooting the problematic system, releasing allocated memory and
	  swap, has allowed buildconf and configure to complete sucessfully
	  since then.

2008-08-05 08:20  yangtse

	* CHANGES, buildconf: Validate that autom4te and autoconf versions
	  match.

	  Validate that aclocal and automake versions match.

	  Improve removal of previous run generated files.

	  Remove verbose debug logging of aclocal on Solaris.

2008-08-05 00:07  bagder

	* CHANGES, RELEASE-NOTES, TODO-RELEASE, lib/http.c: - Yehoshua
	  Hershberg found a problem that would make libcurl re-use a
	  connection with the multi interface even if a previous use of it
	  caused a   CURLE_PEER_FAILED_VERIFICATION to get returned. I now
	  make sure that failed   SSL connections properly close the
	  connections.

2008-08-05 00:00  bagder

	* CHANGES, RELEASE-NOTES, TODO-RELEASE, lib/http.c, lib/http.h,
	  lib/transfer.c, tests/data/DISABLED, tests/data/test1051,
	  tests/data/test1052, tests/data/test1055: - Test cases 1051, 1052
	  and 1055 were added by Daniel Fandrich on July 30 and   proved
	  how PUT and POST with a redirect could lead to a "hang" due to
	  the	data stream not being rewound properly when it had to in
	  order to get sent   properly (again) to the subsequent URL. This
	  is now fixed and these test	cases are no longer disabled.

2008-08-04 22:23  bagder

	* ares/: CHANGES, RELEASE-NOTES, ares_init.c: - Fix by Tofu Linden:

	    The symptom:
	    * Users (usually, but not always) on 2-Wire routers and the
	  Comcast service
	    and a wired connection to their router would find that the
	  second and
	    subsequent DNS lookups from fresh processes using c-ares to
	  resolve the same
	    address would cause the process to never see a reply (it keeps
	  polling for
	    around 1m15s before giving up).

	    The repro:
	    * On such a machine (and yeah, it took us a lot of QA to find
	  the systems
	    that reproduce such a specific problem!), do 'ahost
	  www.secondlife.com',
	    then do it again.  The first process's lookup will work,
	  subsequent lookups
	    will time-out and fail.

	    The cause:
	    * init_id_key() was calling randomize_key() *before* it
	  initialized
	    key->state, meaning that the randomness generated by
	  randomize_key() is
	    immediately overwritten with deterministic values.
	  (/dev/urandom was also
	    being read incorrectly in the c-ares version we were using, but
	  this was
	    fixed in a later version.)
	    * This makes the stream of generated query-IDs from any new
	  c-ares process
	    be an identical and predictable sequence of IDs.
	    * This makes the 2-Wire's default built-in DNS server detect
	  these queries
	    as probable-duplicates and (erroneously) not respond at all.

2008-08-04 12:13  yangtse

	* TODO-RELEASE: Update #144

	  Third version of the patch fixing a failure to chose a proper
	  data type submitted to the mailing list 2008-08-04.

2008-08-04 08:48  yangtse

	* CHANGES, acinclude.m4, configure.ac, ares/CHANGES,
	  ares/acinclude.m4, ares/configure.ac: Autoconf 2.62 has changed
	  the behaviour of the AC_AIX macro which we use.  Prior versions
	  of autoconf defined _ALL_SOURCE if _AIX was defined. But,
	  autoconf 2.62 version of AC_AIX defines _ALL_SOURCE along with
	  other four preprocessor symbols no matter if the system is AIX or
	  not. To keep the traditional behaviour, as well as an uniform
	  one, across autoconf versions AC_AIX is replaced with our own
	  internal macro.

2008-08-04 00:20  bagder

	* CHANGES, RELEASE-NOTES, TODO-RELEASE, lib/http.c,
	  tests/data/DISABLED: - Test case 1041 (added by Daniel Fandrich
	  April 14th) proved a bug where PUT   with -C - sent garbage in
	  the Content-Range: header. I fixed this problem by   making sure
	  libcurl always sets the size of the _entire_ upload if an app
	  attemps to do resumed uploads since libcurl simply cannot know
	  the size of	what is currently at the server end. Test 1041 is
	  no longer disabled.

2008-08-03 23:50  bagder

	* CHANGES, RELEASE-NOTES: refer to the new option by its real name

2008-08-03 18:46  yangtse

	* TODO-RELEASE: Update #148

	  Rebooting the Solaris system, releasing allocated memory and
	  swap, has allowed buildconf and configure to complete
	  sucessfully. Further tests on the system might allow
	  determination of the problem origin.	Solaris AutoBuilds suceeded
	  on August 2 and 3.

2008-08-03 07:13  danf

	* tests/data/test1058: Improved title

2008-08-03 05:14  yangtse

	* configure.ac, ares/configure.ac: Adjust DEC/Compaq C compiler
	  settings.

2008-08-03 03:01  yangtse

	* configure.ac: Another AC_TRY_COMPILE conversion to
	  AC_COMPILE_IFELSE

2008-08-02 03:44  yangtse

	* CHANGES, RELEASE-NOTES, configure.ac: No longer test availability
	  of the gdi32 library, nor use it for linking, even when we have
	  been doing this since revision 1.47 of configure.ac 4 years and 5
	  months ago when cross-compiling a Windows target. We actually
	  don't use any function from the Windows GDI (Graphics Device
	  Interface) related with drawing or graphics-related operations.

2008-08-02 00:12  danf

	* tests/data/: Makefile.am, test1057, test1058: Added tests 1057
	  and 1058 to test FTP and HTTPS transfers with ranges relative to
	  end of file.

2008-08-01 21:29  yangtse

	* ares/configure.ac: Another AC_TRY_LINK conversion to
	  AC_LINK_IFELSE.  Proper definition of HAVE_function if function
	  is found deeper.

2008-08-01 21:01  yangtse

	* configure.ac: Another AC_TRY_LINK conversion to AC_LINK_IFELSE.
	  Sorting of function names.  Proper definition of HAVE_function if
	  function is found deeper.

2008-08-01 20:41  danf

	* CHANGES, RELEASE-NOTES, docs/MANUAL, docs/curl.1, lib/ssh.c,
	  src/main.c: Added support for --append on SFTP uploads.
	  Unfortunately, OpenSSH doesn't support this so it goes untested.

2008-08-01 09:46  yangtse

	* buildconf: This line was for local testing, not intended to be
	  committed.

2008-08-01 08:21  yangtse

	* acinclude.m4: Add a whitespace

2008-08-01 08:07  yangtse

	* acinclude.m4, buildconf: Ensure that reserved keyword AC_DEFUN is
	  only used for its purpose.

2008-08-01 07:24  yangtse

	* CHANGES, acinclude.m4: Removed definition of
	  CURL_CHECK_WORKING_RESOLVER from acinclude.m4 it has not been in
	  use since revision 1.81 of configure.in 6 years, 9 months ago.

2008-08-01 05:17  yangtse

	* CHANGES, RELEASE-NOTES: Sync up with reality

2008-08-01 05:10  yangtse

	* ares/: CHANGES, RELEASE-NOTES: Sync up with reality

2008-08-01 04:48  yangtse

	* ares/m4/cares-reentrant.m4, ares/m4/reentrant.m4,
	  m4/curl-reentrant.m4, m4/reentrant.m4: Rename reentrant.m4 to
	  avoid filename clash.

2008-08-01 04:09  danf

	* CHANGES, RELEASE-NOTES, docs/KNOWN_BUGS, lib/url.c,
	  tests/data/test279: User names embedded in proxy URLs without a
	  password were parsed incorrectly--the host name is treated as
	  part of the user name and the port number becomes the password.
	  This can be observed in test 279 (was KNOWN_ISSUE #54).

2008-08-01 03:39  danf

	* lib/transfer.c: Added more code under #ifndef CURL_DISABLE_HTTP
	  to fix builds with --disable-http

2008-08-01 02:55  danf

	* lib/url.c: Refactored create_conn by breaking it up into many
	  smaller functions

2008-08-01 02:49  danf

	* lib/: netrc.c, netrc.h: Made a parameter const

2008-08-01 00:46  danf

	* CHANGES, RELEASE-NOTES, lib/url.c: Fixed a problem with any FTP
	  URL or any URLs containing an IPv6 address being mangled when
	  passed to proxies when CURLOPT_PORT is also set (reported by
	  Pramod Sharma).

2008-07-31 22:04  danf

	* CHANGES, docs/MANUAL, lib/url.c: Fixed parsing of an IPv6 proxy
	  address to support a scope identifier, as well as IPv4 addresses
	  in IPv6 format. Also, better handle the case of a malformatted
	  IPv6 address (avoid empty and NULL strings).

2008-07-31 19:58  yangtse

	* TODO-RELEASE: Second version of the patch addressing building
	  outside of CVS tree submitted to the mailing list 2008-07-31.
	  Awaiting Ok to commit.

2008-07-31 15:20  patrickm

	* packages/OS400/curl.inc.in: New CURLOPT_ADDRESS_SCOPE option in
	  ILE/RPG binding

2008-07-31 07:00  danf

	* tests/data/test1053: Fixed keyword

2008-07-31 04:51  danf

	* tests/data/: test1029, test1054, test184, test187, test188,
	  test193, test217, test57: Added keywords

2008-07-31 04:38  danf

	* tests/data/: Makefile.am, test1056: Added test of IPv6 scope
	  handling

2008-07-31 04:18  danf

	* lib/url.c: Fixed a couple of problems in the IPv6 scope code.
	  First, a host name in an URL in a Location: header didn't have
	  the scope ID removed, so an invalid host name was used.  Second,
	  when the scope ID was removed, it also removed any port number
	  that may have existed in the URL.

2008-07-31 03:41  yangtse

	* tests/testcurl.pl: s/silly/underquoted definition/

2008-07-31 03:20  yangtse

	* TODO-RELEASE: #149 fully done and verified. Removed from here
	  now.

2008-07-31 03:12  danf

	* CHANGES, src/main.c: Fixed a couple of buffer overflows in the
	  MS-DOS port of the curl tool.  Factored out unslashquote. Added
	  some 'const's in function parameters.

2008-07-31 01:49  danf

	* docs/MANUAL: Added IPv6 section

2008-07-31 00:09  bagder

	* TODO-RELEASE: Committed just now and thus removed from here:

	  145 - Phil Blundell's CURLOPT_SCOPE patch/work

2008-07-30 23:57  bagder

	* RELEASE-NOTES: another option added, bump counter

2008-07-30 23:55  bagder

	* CHANGES, RELEASE-NOTES, docs/libcurl/curl_easy_setopt.3,
	  include/curl/curl.h, lib/connect.c, lib/url.c, lib/urldata.h: -
	  Phil Blundell added the CURLOPT_SCOPE option, as well as adjusted
	  the URL   parser to allow numerical IPv6-addresses to be
	  specified with the scope   given, as per RFC4007 - with a percent
	  letter that itself needs to be URL   escaped. For example, for an
	  address of fe80::1234%1 the HTTP URL is:
	  "http://[fe80::1234%251]/"

2008-07-30 23:42  bagder

	* TODO-RELEASE: Fixed:

	  147 - PHP's bug report #43158
	  (http://bugs.php.net/bug.php?id=43158) identifies	  a true
	  bug in libcurl built with OpenSSL.

2008-07-30 23:24  bagder

	* CHANGES, RELEASE-NOTES, lib/ssluse.c: - PHP's bug report #43158
	  (http://bugs.php.net/bug.php?id=43158) identifies a	true bug in
	  libcurl built with OpenSSL. It made curl_easy_getinfo() more or
	  less always return 0 for CURLINFO_SSL_VERIFYRESULT because the
	  function that   would set it to something non-zero would return
	  before the assign in almost	all error cases. The internal
	  variable is now set to non-zero from the start   of the function
	  only to get cleared later on if things work out fine.

2008-07-30 23:24  bagder

	* docs/curl.1, src/writeout.c: - Made the curl tool's -w option
	  support the %{ssl_verify_result} variable

2008-07-30 23:04  danf

	* CHANGES, tests/data/DISABLED, tests/data/Makefile.am,
	  tests/data/test1028, tests/data/test1052, tests/data/test1053,
	  tests/data/test1054, tests/data/test1055: Added test cases 1052
	  through 1055 to test uploading data from files during redirects.
	  Test cases 1052 and 1055 show problems (maybe the same root cause
	  as 1051) and are disabled.

2008-07-30 22:11  danf

	* lib/: http.c, http.h, transfer.c: Factored out
	  Curl_copy_header_value

2008-07-30 14:09  yangtse

	* ares/m4/reentrant.m4, m4/reentrant.m4: Add file version serial
	  number that might be used by 'aclocal' and others.

	  Keep the '#' character as the first one on the line.

2008-07-30 10:27  yangtse

	* ares/setup.h, src/setup.h: Update copyright year.

2008-07-30 10:21  yangtse

	* ares/setup.h, lib/setup.h, src/setup.h: Sync comment with
	  reality.

2008-07-30 09:31  danf

	* TODO-RELEASE: Added the problems with test cases 1041 and 1051

2008-07-30 09:24  danf

	* CHANGES, tests/data/DISABLED, tests/data/Makefile.am,
	  tests/data/test1051, tests/server/sws.c: Added test case 1051 to
	  test Location: following with PUT, as reported by Ben Sutcliffe.
	  The test when run manually shows a problem in curl, but the test
	  harness web server doesn't run the test correctly so it's
	  disabled for now.

2008-07-30 08:20  yangtse

	* tests/server/tftpd.c: Undo using the sreadfrom() wrapper to
	  replace recvfrom() in our code, for real ;-)

2008-07-30 07:15  yangtse

	* TODO-RELEASE: #149 done. Awaiting autobuild verification before
	  removing.

2008-07-30 07:10  yangtse

	* lib/tftp.c, tests/server/tftpd.c: Undo using the sreadfrom()
	  wrapper to replace recvfrom() in our code.

2008-07-30 06:46  yangtse

	* TODO-RELEASE: #148 no longer blocks #144

2008-07-30 06:42  yangtse

	* tests/testcurl.pl: Reinstate hiding aclocal 'underquoted
	  definition' warnings.

2008-07-30 05:24  yangtse

	* TODO-RELEASE: updated #148

2008-07-30 05:10  yangtse

	* Makefile.am, acinclude.m4, buildconf, ares/Makefile.am,
	  ares/acinclude.m4, ares/buildconf: Reinstate the 'aclocal -I m4'
	  in buildconf and 'ACLOCAL_AMFLAGS = -I m4' way of including our
	  local m4/reentrant.m4 file. This even takes care of including the
	  file in the distribution tarball.

2008-07-30 03:17  yangtse

	* buildconf: Show autom4te and aclocal versions.

	  Set SED for Solaris to gsed if available.

2008-07-30 02:10  danf

	* lib/config-symbian.h, packages/Symbian/readme.txt: Minor Symbian
	  updates.

2008-07-30 02:09  danf

	* CHANGES, RELEASE-NOTES, lib/urldata.h: Fixed --use-ascii to
	  properly convert text files on Symbian OS, MS-DOS and OS/2.

2008-07-30 01:56  yangtse

	* TODO-RELEASE: Updtae #148 with link to start of thread

2008-07-30 01:51  yangtse

	* TODO-RELEASE: Updated #144

	  Added #148 and # 149

2008-07-29 23:51  bagder

	* docs/KNOWN_BUGS: 56. When libcurl sends CURLOPT_POSTQUOTE
	  commands when connected to a SFTP   server using the multi
	  interface, the commands are not being sent correctly	 and
	  instead the connection is "cancelled" (the operation is
	  considered done)   prematurely. There is a half-baked
	  (busy-looping) patch provided in the bug   report but it cannot
	  be accepted as-is. See
	  http://curl.haxx.se/bug/view.cgi?id=2006544

2008-07-29 23:39  bagder

	* TODO-RELEASE: Added:

	  146 - Yehoshua Hershberg's re-using of connections that failed
	  with	     CURLE_PEER_FAILED_VERIFICATION

	  147 - PHP's bug report #43158
	  (http://bugs.php.net/bug.php?id=43158) identifies	  a true
	  bug in libcurl built with OpenSSL.

2008-07-29 22:59  danf

	* docs/INSTALL: Document that PKG_CONFIG_PATH is the preferred way
	  to configure with OpenSSL.

2008-07-29 21:31  yangtse

	* buildconf: For testing purposes on SunOS systems; directly feed
	  acinclude.m4 with reentrant.m4 and remove reentrant.m4 before
	  calling aclocal.

2008-07-29 21:01  yangtse

	* buildconf: For debugging purposes, show all sed's available in
	  PATH on SunOS systems.

2008-07-29 20:57  danf

	* tests/data/Makefile.am: Return an error code when extra files are
	  found in filecheck:

2008-07-29 20:26  danf

	* lib/hostthre.c: Eliminate a unnecessary socket creation in
	  Curl_getaddrinfo for an IPv4 address in an IPv6 capable libcurl.

2008-07-29 20:23  yangtse

	* ares/m4/reentrant.m4, m4/reentrant.m4: Add quoting for the
	  AC_DEFINE arguments.

2008-07-29 20:01  yangtse

	* ares/m4/reentrant.m4, m4/reentrant.m4: Also remove the
	  whitespace.

2008-07-29 19:45  yangtse

	* ares/m4/reentrant.m4, m4/reentrant.m4: Also remove the extra
	  quoting.

2008-07-29 18:29  yangtse

	* ares/m4/reentrant.m4, m4/reentrant.m4: Replace some '@%:@'
	  quadigraphs by its actual representation '#'.

	  This quadigraph used before a C preprocessor 'define' directive
	  could be fooling M4, when processing this file, and make it think
	  that the line contains a pure M4 'define' macro.

2008-07-29 04:26  yangtse

	* Makefile.am, acinclude.m4, buildconf, ares/Makefile.am,
	  ares/acinclude.m4, ares/buildconf: Tests done using 'aclocal -I
	  m4' in buildconf and 'ACLOCAL_AMFLAGS = -I m4 in top Makefile.am
	  triggered a problem that prevented aclocal from running
	  successfully on SunOS 5.10 with GNU m4 1.4.5 and GNU Autoconf
	  2.61

	  A tarball which reproduces mentioned problem is the one dated
	  July-28-2008
	  http://cool.haxx.se/curl-daily/curl-7.19.0-20080728.tar.gz

	  We actually don't need all the bells and whistles that the above
	  mechanism provides. We only need to include our m4/reentrant.m4
	  file in acinclude.m4 so here we go with this simpler mechanism.

2008-07-29 04:05  yangtse

	* lib/.cvsignore: ignore *.dist files

2008-07-29 03:05  danf

	* CHANGES, tests/data/Makefile.am, tests/data/test1045,
	  tests/data/test1046, tests/data/test1047, tests/data/test1048,
	  tests/data/test1049, tests/data/test1050: Added test case 1050 to
	  test --ftp-port with an IPv6 address.  Made --interface tests
	  less restrictive on host address.

2008-07-28 23:53  bagder

	* TODO-RELEASE: I removed: "139 - Christopher Palow's
	  CURLM_EASY_HANDLE_EXISTS patch" simply because at the current
	  point in time I think the benefit of adding that new return code
	  is very slim and it is a lot of work to introduce new return
	  codes (for docs and maintenance etc)

	  I added "145 - Phil Blundell's CURLOPT_SCOPE patch/work" since I
	  want it sorted/committed.

2008-07-28 20:39  danf

	* CHANGES, tests/data/Makefile.am, tests/data/test1045,
	  tests/data/test1046, tests/data/test1047, tests/data/test1048,
	  tests/data/test1049: Added test cases 1045 through 1049 as simple
	  tests of --interface using the localhost interface.

2008-07-28 20:35  danf

	* lib/connect.c: Fixed display of the interface bind address in the
	  trace output when it's an IPv6 address.

2008-07-28 18:17  yangtse

	* buildconf: Ensure that buildconf runs from the subdirectory where
	  configure.ac lives

2008-07-28 17:15  yangtse

	* buildconf: Remove files generated on previous buildconf/configure
	  run, and for debugging purposes show ACLOCAL_FLAGS.

2008-07-28 17:13  yangtse

	* ares/buildconf: for debugging purposes show ACLOCAL_FLAGS

2008-07-28 14:36  yangtse

	* .cvsignore: ignore another file that might be generated

2008-07-28 01:43  yangtse

	* configure.ac, ares/configure.ac: These lines were unintentionally
	  removed in previous commit

2008-07-28 00:25  yangtse

	* configure.ac, ares/configure.ac: Partially undo change that
	  prevented SED, GREP, EGREP and AR from being changed by libtool
	  or autoconf.

2008-07-27 23:47  yangtse

	* acinclude.m4, ares/acinclude.m4: Assert that SED and GREP are set

2008-07-27 22:29  yangtse

	* ares/m4/reentrant.m4, m4/reentrant.m4: Require autoconf 2.57 or
	  newer

2008-07-27 20:10  yangtse

	* buildconf, ares/buildconf: When calling aclocal, user defined
	  ACLOCAL_FLAGS will now precede ours.

2008-07-27 19:24  yangtse

	* buildconf: For debugging purposes, run aclocal in verbose mode on
	  SunOS systems.

2008-07-27 18:37  yangtse

	* Makefile.am, ares/Makefile.am: move ACLOCAL_AMFLAGS after
	  AUTOMAKE_OPTIONS

2008-07-27 05:16  yangtse

	* ares/setup.h, ares/m4/reentrant.m4, lib/setup.h, m4/reentrant.m4,
	  src/setup.h: setup.h handles definition of _REENTRANT based on
	  NEED_REENTRANT definition which might be defined in config.h or
	  config-*.h files

2008-07-27 04:41  yangtse

	* configure.ac, ares/configure.ac: Remove explicit inclusion of our
	  m4 files first. It was interesting as a test, but it breaks
	  aclocal execution on some systems, with the following error:

	  Can't locate object method "rel2abs" via package "File::Spec" at
	  /usr/local/bin/aclocal line 256.

2008-07-27 04:34  danf

	* CHANGES, RELEASE-NOTES, tests/FILEFORMAT, tests/runtests.1,
	  tests/runtests.pl: Added feature in runtests.pl to select tests
	  based on key word.

2008-07-27 04:20  danf

	* lib/hostip6.c: Eliminate a unnecessary socket creation in
	  Curl_getaddrinfo for an IPv4 address in an IPv6 capable libcurl.

2008-07-27 03:36  yangtse

	* configure.ac, ares/configure.ac, ares/m4/reentrant.m4,
	  m4/reentrant.m4: Another step towards detecting if _REENTRANT is
	  already defined or actually needed, and being able to define it
	  if appropriate for further configure tests as well as for the
	  generated config file.

2008-07-26 23:15  bagder

	* CHANGES, RELEASE-NOTES, lib/transfer.c: - David Bau filed bug
	  report #2026240 "CURL_READFUNC_PAUSE leads to buffer	 overrun"
	  (http://curl.haxx.se/bug/view.cgi?id=2026240) identifying two
	  problems, and providing the fix for them:

	    - CURL_READFUNC_PAUSE did in fact not pause the _sending_ of
	  data that it is
	      designed for but paused _receiving_ of data!

	    - libcurl didn't internally set the read counter to zero when
	  this return
	      code was detected, which would potentially lead to junk
	  getting sent to
	      the server.

2008-07-26 22:09  danf

	* CHANGES, tests/data/Makefile.am, tests/data/test1044,
	  tests/data/test99: Added test 1044 to test large file support in
	  ftp with -I.

2008-07-26 16:45  yangtse

	* configure.ac, ares/configure.ac: Explicitly include our m4 files
	  first. This might minimize the impact that other package's
	  underquoted m4 function definitions have on ours.

2008-07-26 14:11  yangtse

	* acinclude.m4, configure.ac, m4/reentrant.m4: simplify multi '#'
	  char comment line

2008-07-26 03:24  yangtse

	* ares/m4/reentrant.m4, m4/reentrant.m4: Add a 3 argument check for
	  getprotobyname_r

2008-07-26 03:00  yangtse

	* m4/reentrant.m4: additional debug logging of getprotobyname_r on
	  Tru64 and AIX

2008-07-26 02:19  yangtse

	* tests/testcurl.pl: No longer hide aclocal 'underquoted
	  definition' warnings.

	  http://sources.redhat.com/automake/automake.html#Extending-aclocal
	  documents that starting with Automake 1.8, aclocal will warn
	  about all underquoted calls to AC_DEFUN due to the fact that in a
	  single aclocal run it might include more than once all .m4 files
	  which it finds available, this includes .m4 files from other
	  software packages.

	  If the first argument to AC_DEFUN is underquoted and the same
	  macro is included more than once, successive inclusions after the
	  first one will expand the macro instead of assuming it is the
	  same as the first one included.

2008-07-25 15:21  yangtse

	* Makefile.am, buildconf, reentrant.m4, ares/Makefile.am,
	  ares/buildconf, ares/reentrant.m4, ares/m4/reentrant.m4,
	  m4/reentrant.m4: move reentrant.m4 to the m4 subdirectory to
	  avoid infinite loop inclusion problem

2008-07-24 20:02  yangtse

	* reentrant.m4, ares/reentrant.m4: add checks for strtok_r and
	  getprotobyname_r

2008-07-24 17:20  yangtse

	* Makefile.am, acinclude.m4, buildconf, configure.ac, reentrant.m4,
	  ares/Makefile.am, ares/acinclude.m4, ares/buildconf,
	  ares/configure.ac, ares/reentrant.m4: Another step towards
	  detecting if _REENTRANT is already defined or actually needed,
	  and being able to define it if appropriate for further configure
	  tests as well as for the generated config file.

	  Introduced reentrant.m4 intended for our reentrant related
	  autotools/m4 macros.

2008-07-24 17:11  yangtse

	* lib/.cvsignore: ignore curllib.vcproj

2008-07-24 04:16  danf

	* CHANGES, tests/runtests.pl: Changed the long logfile elision code
	  in runtests.pl to properly handle lines ending in \r.

2008-07-24 01:03  danf

	* tests/runtests.1: Mention that the test harness can't check every
	  possible feature.

2008-07-24 00:02  danf

	* docs/libcurl/: curl_easy_setopt.3, libcurl-tutorial.3: Eliminated
	  references to TRUE and FALSE since those identifiers aren't
	  defined by the libcurl API. Also changed curl_easy_setopt
	  examples to pass longs where appropriate.

2008-07-23 22:53  bagder

	* CHANGES, docs/libcurl/curl_easy_setopt.3: - I went over the
	  curl_easy_setopt man page and replaced most references to
	  non-zero with the fixed value of 1. We should strive at making
	  options   support '1' for enabling them mentioned explicitly, as
	  that then will allow	 us for to extend them in the future
	  without breaking older programs.

2008-07-23 20:17  danf

	* docs/INSTALL: Simplified Minix compile instructions and added
	  some special cases.

2008-07-23 06:20  yangtse

	* ares/acinclude.m4: reorder argument number detection for
	  getservbyport_r to actually verify if the test is properly
	  working

2008-07-22 21:13  yangtse

	* acinclude.m4: cleanup duplicate line

2008-07-22 21:04  yangtse

	* acinclude.m4, configure.ac, ares/acinclude.m4, ares/configure.ac:
	  Make sure that configure process tests are done with the same
	  _REENTRANT setting as the one actually used when finally building
	  the library.

2008-07-22 20:56  yangtse

	* acinclude.m4: checks for gethostbyaddr_r with 7 and 8 args now
	  also done with -D_REENTRANT

	  checks for gethostbyname_r with 5 and 6 args now also done with
	  -D_REENTRANT

2008-07-22 02:12  yangtse

	* lib/: config-os400.h, setup-os400.h, setup.h: minor reordering in
	  OS/400 config/setup files

2008-07-21 20:24  yangtse

	* ares/setup_once.h, lib/setup_once.h: Change recvfrom's sixth
	  argument data type to the 'historically standard' 'int' data type
	  for systems where this sixth argument is prototyped as a void
	  pointer.

	  Start of thread: http://curl.haxx.se/mail/lib-2008-07/0153.html

2008-07-21 17:39  giva

	* lib/setup.h: Undefine 'byte' due to dict.c.

2008-07-21 16:01  yangtse

	* ares/acinclude.m4: use prototypes to improve getservbyport_r
	  detection

2008-07-21 11:23  yangtse

	* tests/server/tftpd.c: fix compiler warning: implicit conversion
	  from "long" to "int"

2008-07-21 05:59  yangtse

	* lib/tftp.c: fix compiler warning: comparison between signed and
	  unsigned

2008-07-21 05:50  yangtse

	* ares/Makefile.netware, lib/Makefile.netware,
	  src/Makefile.netware: Adjust recvfrom's sixth arg data type
	  definition for NetWare (LIBC)

2008-07-21 05:06  yangtse

	* CHANGES, ares/setup_once.h, lib/setup_once.h, lib/tftp.c,
	  tests/server/tftpd.c: Use the sreadfrom() wrapper to replace
	  recvfrom() in our code.

2008-07-21 02:36  yangtse

	* CHANGES, acinclude.m4, ares/CHANGES, ares/Makefile.dj,
	  ares/Makefile.netware, ares/acinclude.m4, lib/Makefile.netware,
	  lib/config-mac.h, lib/config-riscos.h, lib/config-symbian.h,
	  lib/config.dos, packages/vms/config-vms.h, src/Makefile.netware:
	  when recvfrom prototype uses a void pointer for arguments 2, 5 or
	  6 this will now cause the definition of
	  RECVFROM_TYPE_ARG2_IS_VOID, RECVFROM_TYPE_ARG5_IS_VOID or
	  RECVFROM_TYPE_ARG6_IS_VOID, as appropriate.

2008-07-20 19:18  yangtse

	* configure.ac, ares/configure.ac: Adjust DEC/Compaq C compiler
	  settings

2008-07-20 11:51  yangtse

	* acinclude.m4: Remove showing additional info needed to debug
	  configure failure to properly detect recvfrom arg types on
	  Solaris

2008-07-20 11:46  yangtse

	* acinclude.m4, ares/acinclude.m4: Added "pointer to void" as
	  another data type to check for the sixth argument of function
	  recvfrom as a result of the info additionally logged when running
	  on a Solaris system.

	  The compiler error showed that the prototype being used on
	  Solaris was the one declared in line 427 of
	  "/usr/include/sys/socket.h" as:

	  function(int, 	 pointer to void,	   unsigned int,
		int,	      pointer to struct sockaddr,	   pointer
	  to void) returning int

2008-07-19 20:32  yangtse

	* acinclude.m4: Temporarily show additional info needed to debug
	  configure failure to properly detect recvfrom arg types on
	  Solaris

2008-07-19 13:27  yangtse

	* ares/configure.ac, configure.ac: Adjust DEC/Compaq C compiler
	  settings

2008-07-18 16:46  patrickm

	* packages/OS400/README.OS400: README.OS400 update for new string
	  options.

2008-07-18 16:43  patrickm

	* packages/OS400/README.OS400: README.OS400 update for new string
	  options.

2008-07-18 00:39  danf

	* tests/data/: test1026, test1027, test1033, test12, test60: Fixed
	  the XML syntax of a few test files.

2008-07-17 05:07  yangtse

	* CHANGES, acinclude.m4, ares/CHANGES, ares/Makefile.dj,
	  ares/Makefile.netware, ares/acinclude.m4, ares/config-win32.h,
	  ares/setup_once.h, lib/Makefile.netware, lib/config-amigaos.h,
	  lib/config-mac.h, lib/config-os400.h, lib/config-riscos.h,
	  lib/config-symbian.h, lib/config-tpf.h, lib/config-win32.h,
	  lib/config-win32ce.h, lib/config.dos, lib/setup_once.h,
	  packages/vms/config-vms.h, src/Makefile.netware,
	  src/config-win32.h: RECVFROM_TYPE_ARG2, RECVFROM_TYPE_ARG5 and
	  RECVFROM_TYPE_ARG6 are now defined to the data type pointed by
	  its respective argument and not the pointer type.

2008-07-16 21:24  yangtse

	* lib/config.dos: fix comment

2008-07-16 21:16  yangtse

	* CHANGES, acinclude.m4, configure.ac, ares/CHANGES,
	  ares/Makefile.dj, ares/Makefile.netware, ares/acinclude.m4,
	  ares/config-win32.h, ares/configure.ac, ares/setup_once.h,
	  lib/Makefile.netware, lib/config-amigaos.h, lib/config-mac.h,
	  lib/config-os400.h, lib/config-riscos.h, lib/config-symbian.h,
	  lib/config-tpf.h, lib/config-win32.h, lib/config-win32ce.h,
	  lib/config.dos, lib/setup_once.h, packages/vms/config-vms.h,
	  src/Makefile.netware, src/config-win32.h: Configure process now
	  checks availability of recvfrom() socket function and finds out
	  its return type and the types of its arguments. Added definitions
	  for non-configure systems config files, and introduced macro
	  sreadfrom which will be used on udp sockets as a recvfrom()
	  wrapper.

2008-07-16 16:17  yangtse

	* configure.ac, ares/configure.ac: Initial DEC/Compaq C compiler
	  detection and flags

2008-07-16 14:26  yangtse

	* ares/: CHANGES, RELEASE-NOTES, acinclude.m4: Improved configure
	  detection of number of arguments for getservbyport_r

2008-07-15 18:43  yangtse

	* ares/: CHANGES, RELEASE-NOTES, configure.ac, setup.h: Allow
	  --enable-largefile and --disable-largefile configurations.
	  Configure process no longer needs nor checks size of curl_off_t.
	  Library will now be built with _REENTRANT symbol defined.

2008-07-15 15:54  yangtse

	* CHANGES, docs/examples/Makefile.am: add comment for include paths

2008-07-15 07:46  yangtse

	* lib/Makefile.am, src/Makefile.am, tests/libtest/Makefile.am,
	  tests/libtest/lib506.c, tests/libtest/test.h,
	  tests/server/Makefile.am: add comment for include paths

2008-07-15 06:12  danf

	* CHANGES, tests/data/Makefile.am, tests/data/test1041,
	  tests/data/test1042, tests/data/test1043: Added test1042 and
	  test1043 to test -C - on HTTP.

2008-07-15 05:36  danf

	* CHANGES, tests/data/DISABLED, tests/data/Makefile.am,
	  tests/data/test1040, tests/data/test1041: Added test1040 and
	  test1041 to test -C - on HTTP. Test 1041 failed so it's added to
	  DISABLED.

2008-07-14 19:31  yangtse

	* lib/setup.h, CHANGES: Move _REENTRANT definition earlier in
	  lib/setup.h

2008-07-14 18:58  yangtse

	* CHANGES, lib/config-tpf.h, lib/setup.h: Removed inclusion of
	  remaining system header files from configuration files.  These
	  are included from lib/setup.h or specific source code file.

2008-07-14 18:10  yangtse

	* lib/: config-mac.h, setup.h: Inclusion of <extra/stricmp.h> and
	  <extra/strdup.h> is moved to lib/setup.h

2008-07-14 17:58  yangtse

	* lib/config.dos: Remove duplicate file inclusions. These are
	  already done in lib/setup.h and lib/setup_once.h

2008-07-14 17:30  yangtse

	* lib/config-win32ce.h: Remove duplicate file inclusions. These are
	  already done in lib/setup.h

2008-07-14 14:39  yangtse

	* CHANGES, docs/INSTALL, lib/setup.h: HTTP_ONLY definition check in
	  lib/setup.h is now done once that configuration file has been
	  included. In this way if symbol is defined in the config file it
	  will no longer be ignored.

2008-07-11 20:59  yangtse

	* lib/parsedate.h: fix multiple header inclusion prevention
	  definition

2008-07-11 20:52  yangtse

	* lib/: strdup.h, strtok.h: move multiple header inclusion
	  prevention definition to top of file

2008-07-11 20:42  yangtse

	* CHANGES, lib/content_encoding.h: Added missing multiple header
	  inclusion prevention definition

2008-07-11 20:23  danf

	* CHANGES, tests/libtest/lib552.c, tests/libtest/lib553.c: Fixed
	  test 553 to pass the torture test.

2008-07-11 19:18  danf

	* tests/ftpserver.pl: Avoid a potential zombie process when killing
	  an old ftpserver

2008-07-11 12:50  bagder

	* docs/curl.1: document the exit codes 82 and 83 that are new in
	  7.19.0

2008-07-11 11:18  bagder

	* lib/url.c: indent and comment cleanup (no code change)

2008-07-11 11:08  bagder

	* CHANGES, RELEASE-NOTES, lib/url.c: - Daniel Fandrich found out we
	  didn't pass on the user-agent properly when	doing
	  "proxy-tunnels" with non-HTTP prototols and that was simply
	  because   the code assumed the user-agent was only needed for
	  HTTP.

2008-07-11 07:08  danf

	* CHANGES, tests/data/Makefile.am, tests/data/test1038,
	  tests/data/test1039: Added test cases 1038 and 1039 to test
	  Adrian Kreher's report that ftp uploads with -C - didn't resume
	  properly, but the tests pass.

2008-07-11 06:38  danf

	* CHANGES, lib/ssh.c: Changed slightly the SFTP quote commands
	  chmod, chown and chgrp to only set the attribute that has changed
	  instead of all possible ones. Hopefully, this will solve the
	  "Permission denied" problem that Nagarajan Sreenivasan reported
	  when setting some modes, but regardless, it saves a protocol
	  round trip in the chmod case.

2008-07-11 00:24  bagder

	* docs/libcurl/curl_easy_setopt.3: (Added in the section for
	  CURLOPT_DNS_CACHE_TIMEOUT, pointed out on the curl-library list
	  on July 9th 2008 by Mathew Hounsell)

	  NOTE: the name resolve functions of various libc implementations
	  don't re-read name server information unless explicitly told so
	  (by for example calling Ires_init(3). This may cause libcurl to
	  keep using the older server even if DHCP has updated the server
	  info, and this may look like a DNS cache issue to the casual
	  libcurl-app user.

2008-07-10 22:29  bagder

	* src/main.c: --remote-name-all

2008-07-10 20:15  danf

	* lib/transfer.c: Fixed another OOM problem, this time with test
	  64.

2008-07-10 20:01  yangtse

	* CHANGES, RELEASE-NOTES, lib/select.h: Peter Lamberg filed bug
	  report #2015126: "poll gives WSAEINVAL when POLLPRI is set in
	  fdset.events" (http://curl.haxx.se/bug/view.cgi?id=2015126) which
	  exactly pinpointed the problem only triggered on Windows Vista,
	  provided reference to docs and also a fix. There is much work
	  behind Peter Lamberg's excellent bug report. Thank You!

2008-07-10 15:40  bagder

	* docs/libcurl/curl_multi_socket.3: updated to match current
	  reality

2008-07-10 10:21  yangtse

	* ares/: ares_private.h, ares_process.c, ares_send.c: fix compiler
	  warning

2008-07-10 10:00  bagder

	* docs/curl.1: s/muse/must

2008-07-10 09:53  bagder

	* docs/curl.1: document --remote-name-all

2008-07-10 09:16  yangtse

	* src/curlutil.c, tests/libtest/testutil.c: fallback to
	  gettimeofday when monotonic clock is unavailable at run-time

2008-07-10 08:09  danf

	* CHANGES, tests/data/Makefile.am, tests/data/test1036,
	  tests/data/test1037: Added tests 1036 and 1037 to verify resumed
	  ftp downloads with -C -

2008-07-09 20:39  bagder

	* CHANGES, RELEASE-NOTES, lib/hostares.c, lib/hostip.c,
	  lib/hostip.h, lib/hostip4.c: - Andreas Schuldei improved Phil
	  Blundell's patch for IPv6 using c-ares, and I   edited it
	  slightly. Now you should be able to use IPv6 addresses fine even
	  with libcurl built to use c-ares.

2008-07-09 20:33  danf

	* CHANGES, lib/transfer.c: Fixed an OOM handling problem that cause
	  test 11 to fail the torture test.

2008-07-09 18:38  yangtse

	* ares/Makefile.netware: since Jun 30 2008 MAXHOSTNAMELEN define is
	  no longer used

2008-07-08 23:16  danf

	* CHANGES, docs/libcurl/curl_formadd.3, lib/formdata.c,
	  tests/libtest/lib554.c: Fixed test 554 to pass the torture test.

2008-07-08 15:55  giva

	* docs/examples/makefile.dj: Added libidn libs as needed. Added
	  compilation of sendrecv.c and cookie_interface.c.

2008-07-08 01:52  danf

	* CHANGES, tests/data/Makefile.am, tests/data/test1034,
	  tests/data/test1035, tests/data/test165: Added test cases 1034 &
	  1035 to test IDN name conversion failures.

2008-07-07 22:37  bagder

	* CHANGES, RELEASE-NOTES, lib/ftp.c, tests/data/test539,
	  tests/libtest/Makefile.am, tests/libtest/lib539.c: - Scott
	  Barrett provided a test case for a segfault in the FTP code and
	  the	fix for it. It occured when you did a FTP transfer using
	  CURLFTPMETHOD_SINGLECWD and then did another one on the same easy
	  handle but   switched to CURLFTPMETHOD_NOCWD. Due to the "dir
	  depth" variable not being   cleared properly.  Scott's test case
	  is now known as test 539 and it   verifies the fix.

2008-07-07 12:39  patrickm

	* lib/qssl.h, packages/OS400/ccsidcurl.c,
	  packages/OS400/curl.inc.in: New options added to OS400 wrapper
	  and ILERPG definitions.  Wrong defines (typos) for QSSL layer
	  fixed.

2008-07-07 04:11  yangtse

	* ares/: configure.ac, maketgz: fix c-ares version reported in
	  generated libcares.pc file when building from CVS tree.

2008-07-05 05:31  yangtse

	* lib/sslgen.h: fix compiler warning: empty body in an if-statement

2008-07-05 05:12  yangtse

	* CHANGES: mention that egrep and ar are also mandatory

2008-07-04 06:03  yangtse

	* configure.ac, ares/configure.ac: egrep and ar are also mandatory

2008-07-03 13:41  bagder

	* ares/README: just to clarify that c-ares actually have some ipv6
	  support

2008-07-03 13:34  bagder

	* ares/RELEASE-NOTES: ares_gethostbyname() fallback from AAA to A
	  records with CNAME present

2008-07-03 13:32  bagder

	* ares/: CHANGES, ares_gethostbyname.c: - Phil Blundell: If you ask
	  ares_gethostbyname() to do an AF_INET6 lookup and   the target
	  host has only A records, it automatically falls back to an
	  AF_INET lookup and gives you the A results.  However, if the
	  target host has   a CNAME record, this behaviour is defeated
	  since the original query does   return some data even though
	  ares_parse_aaa_reply() doesn't consider it   relevant. Here's a
	  small patch to make it behave the same with and without   the
	  CNAME.

2008-07-03 10:47  bagder

	* CHANGES, RELEASE-NOTES, lib/http.c, lib/transfer.c,
	  tests/data/Makefile.am, tests/data/test1033: Phil Blundell
	  provided a fix for libcurl's treatment of unexpected 1xx response
	  codes. Previously libcurl would hang on such occurances. I added
	  test case 1033 to verify.

2008-07-03 08:56  bagder

	* CHANGES, RELEASE-NOTES, docs/curl.1,
	  docs/libcurl/curl_easy_getinfo.3, include/curl/curl.h,
	  lib/getinfo.c, lib/progress.c, lib/progress.h, lib/ssh.c,
	  lib/sslgen.c, lib/url.c, lib/urldata.h, src/writeout.c:
	  Introcuding a new timestamp for curl_easy_getinfo():
	  CURLINFO_APPCONNECT_TIME. This is set with the "application
	  layer" handshake/connection is completed (typically SSL, TLS or
	  SSH). By using this you can figure out the application layer's
	  own connect time. You can extract the time stamp using curl's -w
	  option and the new variable named 'time_appconnect'. This feature
	  was sponsored by Lenny Rachitsky at NeuStar.

2008-07-02 20:34  danf

	* include/curl/curl.h, CHANGES, lib/if2ip.c: Support Open Watcom C
	  on Linux (as well as Windows).

2008-07-02 19:42  yangtse

	* CHANGES, configure.ac, ares/configure.ac: The configure process
	  will now halt when sed or grep are unavailable

2008-07-02 05:04  yangtse

	* CHANGES, RELEASE-NOTES, acinclude.m4, ares/CHANGES,
	  ares/RELEASE-NOTES, ares/acinclude.m4, ares/ares__timeval.c,
	  lib/timeval.c: fallback to gettimeofday when monotonic clock is
	  unavailable at run-time

2008-07-01 23:53  bagder

	* CHANGES, RELEASE-NOTES, docs/INSTALL, include/curl/curl.h: -
	  Rolland Dudemaine provided fixes to get libcurl to build for the
	  INTEGRITY   operating system.

2008-07-01 23:53  bagder

	* lib/url.c: CreateConnection collided with a function using the
	  exact same name in the INTEGRITY RTOS, so I renamed it to
	  create_conn. It then made sense to also rename SetupConnection to
	  setup_conn to match it.

2008-07-01 12:29  yangtse

	* configure.ac, ares/configure.ac: IBM C/C++ compiler predefined
	  macro check

2008-07-01 02:30  yangtse

	* configure.ac, ares/configure.ac: set earlier in configure process
	  IBM compilers optimization flags

2008-06-30 16:10  yangtse

	* acinclude.m4, ares/acinclude.m4: make check message wording more
	  precise

2008-06-30 15:07  bagder

	* CHANGES, RELEASE-NOTES, lib/setup.h, lib/url.c: - Stephen Collyer
	  and Tor Arntsen helped identify a flaw in the range code   which
	  output the range using a signed variable where it should rather
	  use	unsigned.

2008-06-30 14:58  bagder

	* lib/mprintf.c: made %llu work for printing unsigned long longs,
	  added the generic curl source header

2008-06-30 14:48  bagder

	* ares/: CHANGES, ares_init.c, nameser.h: - As was pointed out to
	  me by Andreas Schuldei, the MAXHOSTNAMELEN define is	 not posix
	  or anything and thus c-ares failed to build on hurd (and possibly
	    elsewhere). The define was also somewhat artificially used in
	  the windows	port. Now, I instead rewrote the use of
	  gethostbyname to enlarge the host   name buffer in case of need
	  and totally avoid the use of the MAXHOSTNAMELEN   define. I thus
	  also removed the defien from the namser.h file where it was
	  once added for the windows build.

	    I also fixed init_by_defaults() function to not leak memory in
	  case if
	    error.

2008-06-30 11:39  bagder

	* docs/libcurl/ABI: minor language fix

2008-06-29 13:08  yangtse

	* acinclude.m4, ares/acinclude.m4: fix C style comment

2008-06-29 05:19  yangtse

	* CHANGES, RELEASE-NOTES, acinclude.m4, ares/acinclude.m4: John
	  Lightsey filed bug report #1999181: "CLOCK_MONOTONIC always fails
	  on some systems" (http://curl.haxx.se/bug/view.cgi?id=1999181).
	  The problem was that the configure script did not use the
	  _POSIX_MONOTONIC_CLOCK feature test macro when checking monotonic
	  clock availability. This is now fixed and the monotonic clock
	  will not be used unless the feature test macro is defined with a
	  value greater than zero indicating always supported.

2008-06-26 09:53  bagder

	* docs/INTERNALS: let's try to maintain compatibility with NSS
	  3.11.x

2008-06-26 03:43  danf

	* CHANGES, src/main.c: Honour --stderr with the -v option.  Fixed a
	  file handle leak in the command line client if more than one
	  --stderr option was given.

2008-06-24 10:52  bagder

	* lib/: Makefile.am, README.NSS: Added README.NSS to describe the
	  current NSS situation.

2008-06-22 22:38  bagder

	* CHANGES, RELEASE-NOTES, lib/http.c, tests/data/Makefile.am,
	  tests/data/test1032: - Eduard Bloch filed the debian bug report
	  #487567
	  (http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=487567)
	  pointing out that   libcurl used Content-Range: instead of Range
	  when doing a range request with   --head (CURLOPT_NOBODY). This
	  is now fixed and test case 1032 was added to	 verify.

2008-06-22 08:57  danf

	* CHANGES, lib/parsedate.c, lib/url.c: Stopped using ranges in
	  scanf character sequences (e.g. %[a-z]) since that is not ANSI C,
	  just a common extension.  This caused problems on at least Open
	  Watcom C.

2008-06-21 23:21  bagder

	* lib/Makefile.am: Oops, that was an experimental change not meant
	  to be committed!

2008-06-21 23:19  bagder

	* lib/: Makefile.am, nss.c, nssg.h: made Curl_nss_send() take const
	  data to kill compiler warning

2008-06-21 19:56  danf

	* tests/data/: test1021, test104, test106, test12, test141,
	  test188, test194, test258, test259, test56, test71, test92:
	  Edited some test keywords for consistency

2008-06-20 20:09  yangtse

	* CHANGES, acinclude.m4, configure.ac, ares/acinclude.m4,
	  ares/configure.ac: Modified configuration script to actually
	  verify if the compiler is good enough at detecting compilation
	  errors or at least it has been properly configured to do so.
	  Configuration heavily depends on this capability, so if this
	  compiler sanity check fails the configuration process will now
	  fail.

2008-06-20 13:15  bagder

	* CHANGES, RELEASE-NOTES, lib/nss.c: - Phil Pellouchoud found a
	  case where libcurl built with NSS failed to	handshake with a
	  SSLv2 server, and it turned out to be because it didn't
	  recognize the cipher named "rc4-md5". In our list that cipher was
	  named   plainly "rc4". I've now added rc4-md5 to work as an alias
	  as Phil reported   that it made things work for him again.

2008-06-20 12:45  bagder

	* lib/ssh.h: remove leftover proto that isn't used, I made it a
	  macro instead

2008-06-20 12:43  bagder

	* CHANGES, RELEASE-NOTES, lib/sendf.c, lib/sendf.h, lib/socks.c,
	  lib/ssh.h: - Hans-Jurgen May pointed out that trying SCP or SFTP
	  over a SOCKS proxy   crashed libcurl. This is now addressed by
	  making sure we use "plain send"   internally when doing the socks
	  handshake instead of the Curl_write()   function which is
	  designed to use the "target" protocol. That's then SCP or   SFTP
	  in this case. I also took the opportunity and cleaned up some
	  ssh-	 related #ifdefs in the code for readability.

2008-06-20 00:24  bagder

	* CHANGES: minor language fix

2008-06-19 23:32  bagder

	* CHANGES, RELEASE-NOTES, lib/multi.c: - Christopher Palow fixed a
	  curl_multi_socket() issue which previous caused   libcurl to not
	  tell the app properly when a socket was closed (when the name
	  resolve done by c-ares is done) and then immediately re-created
	  and put to   use again (for the actual connection). Since the
	  closure will make the   "watch status" get lost in several
	  event-based systems libcurl will need to   tell the app about
	  this close/re-create case.

2008-06-19 10:31  bagder

	* CHANGES, RELEASE-NOTES, lib/url.c: - Dengminwen found a bug in
	  the connection re-use function when using the   multi interface
	  with pipelining enabled as it would wrongly check for,   detect
	  and close "dead connections" even though that connection was
	  already   in use!

2008-06-19 07:47  bagder

	* lib/nss.c: Removed the #define of ciphernum since keeping a
	  define updated to be the number of entries in a provided table is
	  doomed to fail in the long run. Now we use the NUM_OF_CIPHERS
	  define instead to figure out the amount.

2008-06-19 07:42  bagder

	* lib/nss.c: s/strcasecmp/strequal to make it more portable

2008-06-19 03:12  danf

	* tests/runtests.pl: Always use $LOGDIR when referring to the log
	  directory.

2008-06-19 02:30  danf

	* CHANGES, src/main.c: Fixed a memory leak in the command-line tool
	  that caused a valgrind error.

2008-06-19 02:18  danf

	* CHANGES, tests/data/Makefile.am, tests/data/test628,
	  tests/data/test629, tests/data/test630, tests/data/test631,
	  tests/data/test632: Added SSH failure test cases 628-632

2008-06-19 00:01  bagder

	* CHANGES, RELEASE-NOTES, lib/nss.c: - Rob Crittenden brought a fix
	  for the NSS layer that makes libcurl no longer   always fire up a
	  new connection rather than using the existing one when the
	  multi interface is used. Original bug report:
	  https://bugzilla.redhat.com/show_bug.cgi?id=450140

2008-06-18 23:50  bagder

	* lib/nss.c: removed warning about unused argument by simply
	  removing that argument from the check_issuer_cert() proto

2008-06-18 23:48  bagder

	* lib/nss.c: check_issuer_cert() now builds and there's one warning
	  less. Still one compiler warning in the code though but we need
	  NSS' base64.h header for that and we don't currently have a
	  suitable way to include it as our own base64.h header kind of
	  "blocks" it.

2008-06-18 06:39  yangtse

	* CHANGES, acinclude.m4, ares/acinclude.m4: No longer break out of
	  a shell "for" statement from inside AC_FOO_IFELSE macros,
	  otherwise temp files are not removed.

	  Identation adjustment.

2008-06-13 23:16  bagder

	* lib/multi.c: In checkPendPipeline() we can't be setting the
	  TIMER_CONNECT correctly as that is for the TCP connect. I changed
	  it to TIMER_PRETRANSFER which seems to be what was intended here.

2008-06-13 22:45  bagder

	* tests/runtests.pl: fixed the language somewhat

2008-06-13 02:03  danf

	* CHANGES, RELEASE-NOTES, acinclude.m4: Fixed curl-config --ca
	  which wasn't being exported by configure.

2008-06-13 01:50  danf

	* tests/data/: test252, test253, test254, test255: Added IPv6
	  keywords for some more tests that require IPv6 networking support

2008-06-13 00:00  bagder

	* lib/nss.c: fixed bad infof() usage!

2008-06-12 23:16  bagder

	* docs/INTERNALS: added the versions of a range of build tools that
	  we want to remain to work

2008-06-12 23:03  bagder

	* docs/INTERNALS: My first attempt at documenting what we try to
	  support and make curl run with in regard to C standard, third
	  party libraries and operating systems etc.

2008-06-11 19:01  bagder

	* CHANGES, lib/gtls.h, lib/nss.c, lib/nssg.h, lib/qssl.h,
	  lib/sslgen.c, lib/sslgen.h, lib/ssluse.c, lib/ssluse.h: - I did a
	  cleanup of the internal generic SSL layer and how the various SSL
	    libraries are supported. Starting now, each underlying SSL
	  library support   code does a set of defines for the 16 functions
	  the generic layer (sslgen.c)	 uses (all these new function
	  defines use the prefix "curlssl_"). This   greatly simplified the
	  generic layer in readability by involving much less	#ifdefs and
	  other preprocessor stuff and should make it easier for people to
	   make libcurl work with new SSL libraries.

	    Hopefully I can later on document these 16 functions somewhat
	  as well.

	    I also made most of the internal SSL-dependent functions (using
	  Curl_ssl_
	    prefix) #defined to nothing when no SSL support is requested -
	  previously
	    they would unnecessarily call mostly empty functions.

2008-06-11 17:26  yangtse

	* lib/ssluse.c: fix compiler warning: conversion from `pointer to
	  void' to `pointer to int function(pointer to char,int,int,pointer
	  to void)' is compiler dependent

2008-06-11 02:07  gknauf

	* ares/Makefile.netware: enable additional CFLAGS from commandline.

2008-06-10 23:53  bagder

	* lib/: gtls.c, gtls.h: fix warning in GnuTLS build by making sure
	  Curl_gtls_send() takes a const void *

2008-06-10 22:49  bagder

	* CHANGES, lib/ssluse.c: - I made the OpenSSL code build again with
	  OpenSSL 0.9.6. The CRLFILE   functionality killed it due to its
	  unconditional use of	 X509_STORE_set_flags...

2008-06-09 13:13  mmarek

	* include/curl/typecheck-gcc.h: CURLOPT_CRLFILE and
	  CURLOPT_ISSUERCERT are new string options

2008-06-09 03:06  yangtse

	* ares/: CHANGES, RELEASE-NOTES, configure.ac, libcares.pc.in: fix
	  pkg-config reporting of private libraries needed for static
	  linking

2008-06-09 00:29  gknauf

	* lib/Makefile.netware, src/Makefile.netware: enable additional
	  CFLAGS from commandline.

2008-06-09 00:00  bagder

	* docs/libcurl/: curl_easy_getinfo.3, curl_easy_setopt.3: 7.19.0 is
	  next

2008-06-08 23:04  bagder

	* CHANGES, RELEASE-NOTES, TODO-RELEASE, docs/curl.1,
	  docs/libcurl/curl_easy_setopt.3, docs/libcurl/libcurl-errors.3,
	  include/curl/curl.h, include/curl/curlver.h: the next release is
	  now called 7.19.0

2008-06-08 22:53  bagder

	* CHANGES, RELEASE-NOTES, docs/curl.1, src/main.c,
	  tests/runtests.pl, tests/data/test256, tests/data/test38: - curl
	  the tool now deals with its command line options somewhat
	  differently!	 All boolean options (such as -O, -I, -v etc), both
	  short and long versions,   now always switch on/enable the option
	  named. Using the same option multiple   times thus make no
	  difference. To switch off one of those options, you need   to use
	  the long version of the option and type --no-OPTION. Like to
	  disable   verbose mode you use --no-verbose!

	  - Added --remote-name-all to curl, which if used changes the
	  default for all   given URLs to be dealt with as if -O is used.
	  So if you want to disable that   for a specific URL after
	  --remote-name-all has been used, you muse use -o -   or
	  --no-remote-name.

2008-06-08 17:52  gknauf

	* lib/connect.c: use our *printf functions only.

2008-06-07 00:11  bagder

	* CHANGES, CHANGES.0: Moved all changes from 2007 from CHANGES to
	  CHANGES.0

2008-06-06 22:57  bagder

	* lib/nss.c: code style cleanup

2008-06-06 22:52  bagder

	* CHANGES, RELEASE-NOTES, TODO-RELEASE,
	  docs/libcurl/curl_easy_setopt.3, docs/libcurl/libcurl-errors.3,
	  include/curl/curl.h, lib/gtls.c, lib/nss.c, lib/ssluse.c,
	  lib/strerror.c, lib/url.c, lib/urldata.h: - Axel Tillequin and
	  Arnaud Ebalard added support for CURLOPT_ISSUERCERT, for
	  OpenSSL, NSS and GnuTLS-built libcurls.

2008-06-06 20:44  yangtse

	* acinclude.m4, ares/acinclude.m4: MSVC does build Windows native
	  targets

2008-06-06 20:40  bagder

	* docs/libcurl/curl_easy_setopt.3: mention added in 7.18.3

2008-06-06 20:40  bagder

	* CHANGES, RELEASE-NOTES, TODO-RELEASE,
	  docs/libcurl/curl_easy_setopt.3, docs/libcurl/libcurl-errors.3,
	  include/curl/curl.h, lib/gtls.c, lib/nss.c, lib/ssluse.c,
	  lib/strerror.c, lib/url.c, lib/urldata.h: - Axel Tillequin and
	  Arnaud Ebalard added support for CURLOPT_CRLFILE, for   OpenSSL,
	  NSS and GnuTLS-built libcurls.

2008-06-06 19:33  bagder

	* CHANGES, RELEASE-NOTES, docs/libcurl/curl_easy_getinfo.3,
	  include/curl/curl.h, lib/connect.c, lib/getinfo.c, lib/urldata.h,
	  tests/data/test500, tests/libtest/lib500.c: - Added
	  CURLINFO_PRIMARY_IP as a new information retrievable with
	  curl_easy_getinfo. It returns a pointer to a string with the most
	  recently   used IP address. Modified test case 500 to also verify
	  this feature. The   implementing of this feature was sponsored by
	  Lenny Rachitsky at NeuStar.

2008-06-05 14:33  bagder

	* TODO-RELEASE: 7.18.2 is done now

2008-06-05 02:15  danf

	* packages/Symbian/readme.txt: Mention the minimum Symbian OS
	  version required.

2008-06-05 01:44  danf

	* src/main.c: Mention a few options that require an argument in
	  --help

2008-06-04 18:05  bagder

	* RELEASE-NOTES, include/curl/curlver.h: start working on 7.18.3!

2008-06-04 18:03  bagder

	* docs/THANKS: new contributors from the 7.18.2 release

2008-06-04 17:38  bagder

	* CHANGES: 7.18.2

2008-06-03 20:03  danf

	* CHANGES, RELEASE-NOTES, lib/telnet.c: Fixed a problem where
	  telnet data would be lost if an EWOULDBLOCK condition were
	  encountered.

2008-06-03 20:00  danf

	* include/curl/curl.h: Fixed typo in comment

2008-06-02 00:10  bagder

	* tests/data/: test1026, test1027: curl returns 0 for these options
	  now

2008-06-02 00:04  bagder

	* tests/data/: test1013, test1014, test1022, test1023: now returns
	  0

2008-06-01 19:59  bagder

	* CHANGES: (committed this for Marty Kuhrt:) - Updated main.c to
	  return CURLE_OK if PARAM_HELP_REQUESTED was returned	 from
	  getparameter instead of CURLE_FAILED_INIT.  No point in returning
	  an error if --help or --version were requested.

2008-06-01 18:01  curlvms

	* src/main.c: return CURLE_OK instead of CURLE_FAILED_INIT if
	  PARAM_HEKP_REQUESTED returned by getparameter

2008-05-31 03:37  yangtse

	* lib/ssh.c: Fix problem: 'result' may be used uninitialized.
	  Issue detected by Guenter Knauf's NetWare autobuild.

2008-05-31 01:53  curlvms

	* packages/vms/curlmsg_vms.h: updated to match curlmsg.msg 1.7

2008-05-31 01:52  curlvms

	* packages/vms/: curlmsg.h, curlmsg.sdl: resync with curl.h
	  messages

2008-05-31 01:51  curlvms

	* packages/vms/curlmsg.msg: resync with curl.h curle_ messages

2008-05-30 17:26  yangtse

	* ares/: CHANGES, RELEASE-NOTES, adig.c: Brad House fixed a missing
	  header file inclusion in adig sample program

2008-05-29 23:48  bagder

	* docs/TheArtOfHttpScripting: Added a new "13. Web Login" chapter

2008-05-29 22:39  bagder

	* ares/ares_version.h: start working on 1.5.3

2008-05-29 22:10  bagder

	* ares/CHANGES: 1.5.2

2008-05-28 22:57  bagder

	* TODO-RELEASE: Fixed 142 and 143 Moved 144 to 7.18.3 instead

2008-05-28 22:56  bagder

	* lib/multi.c, CHANGES, RELEASE-NOTES: - Emil Romanus found a
	  problem and helped me repeat it. It occured when using   the
	  curl_multi_socket() API with HTTP pipelining enabled and could
	  lead to   the pipeline basically stalling for a very long period
	  of time until it took   off again.

2008-05-28 22:31  bagder

	* lib/ssh.c, CHANGES, RELEASE-NOTES: - Jeff Weber reported memory
	  leaks with aborted SCP and SFTP transfers and   provided
	  excellent repeat recipes. I fixed the cases I managed to
	  reproduce   but Jeff still got some (SCP) problems even after
	  these fixes:	 http://curl.haxx.se/mail/lib-2008-05/0342.html

2008-05-27 18:10  yangtse

	* docs/KNOWN_BUGS: Known bug #55, libcurl fails to build with MIT
	  Kerberos for Windows (KfW) due to KfW's library header files
	  exporting symbols/macros that should be kept private to the KfW
	  library. See ticket #5601 at http://krbdev.mit.edu/rt/

2008-05-26 22:39  bagder

	* lib/transfer.c, CHANGES, RELEASE-NOTES, tests/data/Makefile.am,
	  tests/data/test1031: - Bug report #1973352
	  (http://curl.haxx.se/bug/view.cgi?id=1973352) identified   how
	  the HTTP redirect following code didn't properly follow to a new
	  URL if   the new url was but a query string such as "Location:
	  ?moo=foo". Test case	 1031 was added to verify this fix.

2008-05-26 18:05  bagder

	* TODO-RELEASE: I'd like to see this fixed for the 7.18,2:

	  144 - Help apps use 64bit/LFS libcurl

2008-05-26 17:09  bagder

	* CHANGES, RELEASE-NOTES, configure.ac, lib/select.c: Andreas
	  Faerber and Scott McCreary made (lib)curl build for the Haiku OS

2008-05-26 17:06  bagder

	* docs/INSTALL: Added Haiku OS, sorted the list of i386 OSes

2008-05-26 15:52  yangtse

	* ares/ahost.c: fix compiler warning: unreferenced formal parameter

2008-05-26 05:10  yangtse

	* CHANGES, RELEASE-NOTES, lib/http_negotiate.c: David Rosenstrauch
	  reported that header files spnegohelp.h and openssl/objects.h
	  were needed to compile SPNEGO support.

2008-05-26 03:59  yangtse

	* lib/: nss.c, security.c, ssluse.c: fix: preprocessor complaining
	  about macro redefinition

2008-05-24 21:28  bagder

	* TODO-RELEASE: summary of the current outstanding issues for
	  upcoming and the subsequent releases

2008-05-24 21:19  bagder

	* docs/libcurl/: curl_multi_add_handle.3, curl_multi_socket.3:
	  Christopher Palow's multi interface docs updates

2008-05-24 13:20  bagder

	* RELEASE-NOTES: Nikolai Kondrashov for his man page update

2008-05-24 13:19  bagder

	* docs/libcurl/curl_easy_setopt.3: Nikolai Kondrashov provided a
	  clarification for CURLOPT_HEADERFUNCTION

2008-05-23 23:52  bagder

	* ares/Makefile.am: list all local sources the (demo) tools need,
	  add a few missing scripts to the dist tarball and remove a two
	  duplicate file names from EXTRA_DIST (most of it pointed out by
	  Yang Tse)

2008-05-23 23:46  bagder

	* ares/FILES: this is not used (anymore)

2008-05-23 22:52  danf

	* docs/: KNOWN_BUGS, TODO: Added some more to do items and a known
	  bug.

2008-05-23 19:56  bagder

	* lib/Makefile.am: Dan Fandrich pointed out that this is the way we
	  should increase the number for 7.18.2 since we have added
	  functions in this release.

	  http://curl.haxx.se/mail/lib-2008-05/0240.html

2008-05-22 23:49  danf

	* CHANGES, tests/libtest/lib500.c, tests/libtest/lib501.c,
	  tests/libtest/lib503.c, tests/libtest/lib504.c,
	  tests/libtest/lib505.c, tests/libtest/lib506.c,
	  tests/libtest/lib508.c, tests/libtest/lib510.c,
	  tests/libtest/lib511.c, tests/libtest/lib512.c,
	  tests/libtest/lib513.c, tests/libtest/lib514.c,
	  tests/libtest/lib515.c, tests/libtest/lib516.c,
	  tests/libtest/lib518.c, tests/libtest/lib519.c,
	  tests/libtest/lib520.c, tests/libtest/lib521.c,
	  tests/libtest/lib523.c, tests/libtest/lib524.c,
	  tests/libtest/lib525.c, tests/libtest/lib526.c,
	  tests/libtest/lib530.c, tests/libtest/lib536.c,
	  tests/libtest/lib537.c, tests/libtest/lib540.c,
	  tests/libtest/lib541.c, tests/libtest/lib542.c,
	  tests/libtest/lib544.c, tests/libtest/lib547.c,
	  tests/libtest/lib549.c, tests/libtest/lib552.c,
	  tests/libtest/lib553.c, tests/libtest/lib554.c,
	  tests/libtest/lib555.c: Made sure to pass longs in to
	  curl_easy_setopt where necessary in the libtest code.

2008-05-22 23:20  danf

	* docs/examples/: 10-at-a-time.c, anyauthput.c, cacertinmem.c,
	  cookie_interface.c, curlgtk.c, curlx.c, debug.c, fileupload.c,
	  fopen.c, ftpget.c, ftpupload.c, ftpuploadresume.c, ghiper.c,
	  hiperfifo.c, htmltidy.c, htmltitle.cc, httpput.c, https.c,
	  multi-app.c, multi-debugcallback.c, multi-post.c, persistant.c,
	  post-callback.c, sepheaders.c, simplepost.c, simplessl.c,
	  synctime.c, threaded-ssl.c: Fixed a surprising number of example
	  programs that were passing int arguments to curl_easy_setopt
	  instead of long.

2008-05-22 22:34  bagder

	* lib/Makefile.am: we bump the SO "revision" for next release due
	  to the new functions added

2008-05-22 21:44  danf

	* lib/: krb5.c, security.c: Fixed some include file problems on
	  Windows reported by David Rosenstrauch

2008-05-22 19:41  bagder

	* ares/maketgz: make sure the configure.ac file with the correct
	  version number is shipped in the tarball

2008-05-22 18:10  yangtse

	* ares/Makefile.vc6: MSVC6+ clean-up targets must also remove
	  acountry.exe

2008-05-22 17:31  yangtse

	* ares/AUTHORS: sync with reality

2008-05-21 23:36  danf

	* lib/file.c: Renamed MSDOS_FILESYSTEM to avoid conflict with MIT
	  GSS

2008-05-21 23:08  danf

	* lib/: connect.c, ssh.c: Removed some duplicated #includes

2008-05-21 20:24  yangtse

	* acinclude.m4, ares/acinclude.m4: fix: [action-if-found] part of
	  AC_CHECK_TYPE macro cannot be quoted when empty

2008-05-21 16:04  yangtse

	* acinclude.m4, ares/acinclude.m4, ares/setup_once.h,
	  lib/setup_once.h: fix: remove need and definition of
	  HAVE_SOCKLEN_T symbol

2008-05-21 15:57  yangtse

	* acinclude.m4, ares/acinclude.m4, lib/config-os400.h,
	  lib/config-riscos.h, lib/config-symbian.h, lib/config-tpf.h,
	  packages/vms/config-vms.h, src/config-riscos.h: fix: socklen_t
	  definition comment

2008-05-20 19:30  yangtse

	* acinclude.m4: When unable to properly detect gethostbyname_r()
	  usage, configure script will simply issue a warning and
	  gethostbyname() will be used.

2008-05-20 17:55  yangtse

	* acinclude.m4, configure.ac, ares/acinclude.m4, ares/configure.ac:
	  update several macros using AC_TRY_LINK with AC_LINK_IFELSE

2008-05-20 12:21  patrickm

	* include/curl/curl.h, include/curl/mprintf.h,
	  include/curl/multi.h, include/curl/typecheck-gcc.h,
	  lib/config-os400.h, lib/qssl.c, lib/qssl.h, lib/setup-os400.h,
	  packages/OS400/curl.inc.in, packages/OS400/initscript.sh,
	  packages/OS400/os400sys.c: Adapting last changes to OS400: _
	  Updated packages/OS400/curl.inc.in with new definitions.  _ New
	  connect/bind/sendto/recvfrom wrappers to support AF_UNIX sockets.
	  _ Include files line length shortened below 100 chars.  _ Const
	  parameter in lib/qssl.[ch].  _ Typos in
	  packages/OS400/initscript.sh.

2008-05-20 06:23  yangtse

	* acinclude.m4, configure.ac, ares/acinclude.m4: fix underquoting
	  of AC_LANG_PROGRAM arguments

2008-05-20 03:24  yangtse

	* ares/: ares__timeval.c, ares_private.h: if'def out private
	  function ares__tvdiff(), it is not in use yet.

2008-05-20 03:03  yangtse

	* acinclude.m4, configure.ac, ares/acinclude.m4: update several
	  macros using AC_TRY_LINK with AC_LINK_IFELSE

2008-05-19 22:58  bagder

	* CHANGES, RELEASE-NOTES: - When trying to repeat a multi interface
	  problem I fell over a few multi   interface problems:

	    o with pipelining disabled, the state should never be set to
	  WAITDO but
	      rather go straight to DO

	    o we had multiple states for which the internal function
	  returned no socket
	      at all to wait for, with the effect that libcurl calls the
	  socket callback
	      (when curl_multi_socket() is used) with REMOVE prematurely
	  (as it would be
	      added again within very shortly)

	    o when in DO and DOING states, the HTTP and HTTPS protocol
	  handler functions
	      didn't return that the socket should be waited for writing,
	  but instead it
	      was treated as if no socket was needing monitoring so again
	  REMOVE was
	      called prematurely.

2008-05-19 22:58  bagder

	* lib/multi.c: with pipelining disabled, the state should never be
	  set to WAITDO but rather go straight to DO

	  we had multiple states for which the internal function returned
	  no socket at all to wait for, with the effect that libcurl calls
	  the socket callback (when curl_multi_socket() is used) with
	  REMOVE prematurely (as it would be added again within very
	  shortly)

2008-05-19 22:57  bagder

	* lib/http.c: when the multi handle was in DO and DOING states, the
	  HTTP and HTTPS protocol handler functions didn't return that the
	  socket should be waited for writing, but instead it was treated
	  as if no socket was needing monitoring so REMOVE was called
	  prematurely

2008-05-19 22:40  bagder

	* docs/examples/hiperfifo.c: change the code style to be more
	  curlish, and changed some of the output to be more descriptive
	  and finally set VERBOSE mode to 1 by default

2008-05-19 18:57  yangtse

	* acinclude.m4, configure.ac: better select() function detection
	  that works even when cross compiling a Windows target.

2008-05-19 14:31  yangtse

	* acinclude.m4, ares/acinclude.m4: fix socklen_t equivalent
	  detection when cross compiling Windows target

2008-05-19 04:50  yangtse

	* ares/configure.ac, configure.ac: if WINSOCK2 API is used link
	  with 'ws2_32', else

	  if WINSOCK API is used under WinCE link with 'winsock', else

	  if WINSOCK API is used link with 'wsock32'.

2008-05-18 22:13  yangtse

	* configure.ac, ares/configure.ac: on winsock systems linking is
	  done using library 'ws2_32' when winsock2.h is available, and
	  library 'winsock' is used when only winsock.h is available.

2008-05-17 03:20  yangtse

	* acinclude.m4, configure.ac, ares/configure.ac: minor change for
	  wince-cegcc and wince-mingw32ce support

2008-05-16 23:14  bagder

	* docs/examples/hiperfifo.c: removed lots of warnings

2008-05-16 00:57  yangtse

	* ares/: ares_process.c, ares_timeout.c: millisecond resolution
	  support followup

2008-05-16 00:31  danf

	* docs/examples/anyauthput.c: Included stdint.h to get the intptr_t
	  type (needed on OpenBSD at least).

2008-05-16 00:02  bagder

	* TODO-RELEASE: ten days with no further response or feedback,
	  removing: 136 - adding easy handles when using curl_multi_socket*
	  by	   Markus Koetter

2008-05-15 22:47  giva

	* ares/Makefile.dj: Replaced "-DHAVE_FIONBIO" with
	  "-DHAVE_IOCTLSOCKET".  Added "-DHAVE_GETTIMEOFDAY". Trimmed
	  lines.

2008-05-15 12:04  yangtse

	* ares/RELEASE-NOTES: sync with reality

2008-05-15 11:18  yangtse

	* ares/Makefile.am: remove compilation time generated files

2008-05-15 02:00  yangtse

	* ares/ares_init.c: use same time source for timeout initialization
	  and processing

2008-05-15 01:38  danf

	* packages/Symbian/: readme.txt, group/curl.mmp: Reduced the
	  required stack size.

2008-05-15 01:36  danf

	* lib/: config-symbian.h, memdebug.c: Move the CURLDEBUG check
	  after setup.h so it can be set there if necessary.

2008-05-14 21:42  yangtse

	* acinclude.m4, ares/acinclude.m4: Improve toolchain detection for
	  WinCE cross compilation:

	  When cross compiling WinCE with the arm-wince-cegcc-gcc C
	  compiler symbol __CEGCC__ is defined and the unix-like
	  compatibility layer is used. For our purposes this is not a
	  native Windows build.

	  When cross compiling WinCE with the arm-wince-mingw32ce-gcc C
	  compiler symbol __MINGW32CE__ is defined and the unix-like
	  compatibility layer is not used. For our purposes this _is_ a
	  native Windows build.

2008-05-14 18:17  yangtse

	* configure.ac: remove duplicate check

2008-05-14 18:14  yangtse

	* acinclude.m4, configure.ac, ares/acinclude.m4, ares/configure.ac:
	  skip checks for Windows specific header files when build target
	  is not a native Windows one

2008-05-14 15:54  yangtse

	* acinclude.m4, ares/acinclude.m4: WinCE cross compilation
	  adjustments:

	  HAVE_WINSOCK2_H shall not be defined.  HAVE_WS2TCPIP_H shall not
	  be defined.

2008-05-13 23:43  bagder

	* tests/libtest/lib556.c: wait for all 129 bytes

2008-05-13 23:42  bagder

	* CHANGES, tests/data/Makefile.am, tests/data/test556,
	  tests/libtest/Makefile.am, tests/libtest/lib556.c: Added test
	  case 556 that uses curl_easy_send() and curl_easy_recv()

2008-05-13 23:12  bagder

	* TODO-RELEASE: Three out of the four issues are now extinct.

2008-05-13 22:48  bagder

	* ares/: CHANGES, ares.h, ares_init.3, ares_init.c, ares_private.h,
	  ares_process.c, ares_send.c, ares_timeout.c: - Introducing
	  millisecond resolution support for the timeout option. See
	  ares_init_options()'s ARES_OPT_TIMEOUTMS.

2008-05-13 20:27  yangtse

	* ares/vc/.cvsignore: also ignore this

2008-05-13 19:50  danf

	* packages/Symbian/: readme.txt, bwins/libcurlu.def,
	  eabi/libcurlu.def, group/bld.inf, group/curl.mmp,
	  group/libcurl.mmp: Added curl_easy_recv & curl_easy_send Symbian
	  exports.  Cleaned up Symbian files.

2008-05-13 19:23  yangtse

	* ares/vc/: acountry/.cvsignore, adig/.cvsignore, ahost/.cvsignore,
	  areslib/.cvsignore: also ignore this

2008-05-13 19:11  yangtse

	* ares/vc/: acountry/.cvsignore, adig/.cvsignore, ahost/.cvsignore,
	  areslib/.cvsignore: ignore this compilation time generated files

2008-05-13 19:03  yangtse

	* ares/vc/: adig/adig.dep, ahost/ahost.dep, areslib/areslib.dep:
	  don't keep in CVS this compilation time generated file

2008-05-13 17:37  yangtse

	* ares/Makefile.am: add MSVC6 project for acountry sample program

2008-05-13 17:34  yangtse

	* ares/vc/: adig/adig.dsp, ahost/ahost.dsp, areslib/areslib.dsp:
	  update MSVC6 projects to use the multithreaded DLL runtime
	  library

2008-05-13 17:31  yangtse

	* ares/vc/: acountry/acountry.dsp, vc.dsw: add MSVC6 project for
	  acountry sample program

2008-05-12 23:43  bagder

	* CHANGES, RELEASE-NOTES, docs/examples/Makefile.inc,
	  docs/examples/sendrecv.c, docs/libcurl/Makefile.am,
	  docs/libcurl/curl_easy_recv.3, docs/libcurl/curl_easy_send.3,
	  docs/libcurl/index.html, docs/libcurl/libcurl-errors.3,
	  include/curl/curl.h, include/curl/easy.h, lib/connect.c,
	  lib/connect.h, lib/easy.c, lib/getinfo.c, lib/strerror.c: -
	  Introducing curl_easy_send() and curl_easy_recv(). They can be
	  used to send	 and receive data over a connection previously
	  setup with curl_easy_perform()   and its CURLOPT_CONNECT_ONLY
	  option. The sendrecv.c example was added to	show how they can
	  be used.

2008-05-12 17:02  yangtse

	* ares/configure.ac: skip libtool C++ preprocessor compiler and
	  linker checks

2008-05-12 14:22  yangtse

	* ares/.cvsignore: ignore libcares.pc

2008-05-12 04:04  yangtse

	* acinclude.m4, configure.ac, ares/acinclude.m4,
	  ares/ares__timeval.c, ares/configure.ac, lib/timeval.c,
	  src/curlutil.c, tests/libtest/testutil.c: configure script will
	  now define HAVE_CLOCK_GETTIME_MONOTONIC symbol only when function
	  clock_gettime() is available and the monotonic timer is also
	  available. Otherwise, in some cases, librt or libposix4 could be
	  used for linking even when finally not using the clock_gettime()
	  function due to lack of the monotonic clock.

2008-05-11 01:50  yangtse

	* ares/ares__timeval.c, lib/timeval.c, src/curlutil.c,
	  tests/libtest/testutil.c: fix syntax error: missing semicolon

2008-05-10 17:46  yangtse

	* acinclude.m4, configure.ac, ares/acinclude.m4, ares/configure.ac:
	  Add library checking for clock_gettime() support

2008-05-09 18:31  yangtse

	* CHANGES, RELEASE-NOTES, configure.ac, docs/INSTALL.devcpp,
	  docs/examples/Makefile.m32, lib/Makefile.Watcom,
	  lib/Makefile.m32, lib/Makefile.vc6, lib/config-win32ce.h,
	  lib/msvcproj.head, lib/select.c, lib/timeval.c,
	  src/Makefile.Watcom, src/Makefile.m32, src/Makefile.vc6,
	  src/curlutil.c, tests/libtest/testutil.c: Internal time
	  differences now use monotonic time source if available.  This
	  also implies the removal of the winmm.lib dependency for WIN32.

2008-05-09 18:30  yangtse

	* ares/: ares__timeval.c, CHANGES, Makefile.inc, Makefile.vc6,
	  RELEASE-NOTES, ares_private.h, configure.ac, nameser.h,
	  windows_port.c, vc/areslib/areslib.dsp: Use monotonic time source
	  if available.

2008-05-09 15:10  bagder

	* ares/configure.ac: Removed AC_PROG_CC_STDC again. It enforces
	  C99/gnu99 stdandard which is too liberal for me. Also, autoconf
	  2.61 and earlier doesn't work with icc 10.1 for this macro. (2.62
	  confirmed to work though). See discusson on the mailing list
	  starting here:

	  http://daniel.haxx.se/projects/c-ares/mail/c-ares-archive-2008-05/0001.shtml

2008-05-09 14:59  bagder

	* CHANGES, RELEASE-NOTES, lib/multi.c: - Stefan Krause reported a
	  busy-looping case when using the multi interface   and doing
	  CONNECT to a proxy. The app would then busy-loop until the proxy
	  completed its response.

2008-05-09 14:53  bagder

	* lib/transfer.c: Removed an unused variable and one do-while loop
	  that wasn't used either.  Added a few comments while at it.

2008-05-09 13:27  mmarek

	* CHANGES, lib/krb4.c, lib/krb4.h, lib/krb5.c, lib/security.c,
	  lib/sendf.c, lib/sendf.h, lib/ssh.c, lib/ssh.h, lib/sslgen.c,
	  lib/sslgen.h, lib/ssluse.c, lib/ssluse.h: - Make Curl_write and
	  it's callees accept a const pointer, in preparation	of
	  tetetest's patch for curl_easy_send()

2008-05-09 00:14  bagder

	* ares/: acountry.c, adig.c, ahost.c: include strings.h (if
	  available) for the strcasecmp() proto

2008-05-09 00:11  bagder

	* ares/: ares_gethostbyname.c, ares_parse_a_reply.c,
	  ares_parse_aaaa_reply.c, ares_parse_ptr_reply.c, ares_process.c,
	  configure.ac: check for strings.h in configure and use it for the
	  strcasecmp() proto

2008-05-08 07:45  yangtse

	* lib/splay.c: fix compiler warning: format '%ld' expects type
	  'long int'

2008-05-07 23:27  bagder

	* ares/maketgz: adjusted to work with the updated configure.ac

2008-05-07 23:20  bagder

	* ares/: CHANGES, ares_parse_ptr_reply.c: - Sebastian made c-ares
	  able to return all PTR-records when doing reverse   lookups. It
	  is not common practice to have multiple PTR-Records for a single
	  IP, but its perfectly legal and some sites have those.

2008-05-07 23:16  bagder

	* ares/: CHANGES, configure.ac: - Doug Goldstein provided a
	  configure patch: updates autoconf 2.13 usage to   autoconf 2.57
	  usage (which is the version you have specified as the minimum
	  version). It's a minor change but it does clean up some warnings
	  with newer   autoconf (specifically 2.62).

2008-05-07 23:11  bagder

	* TODO-RELEASE: -135 - Busy looping bug in multi_socket interface
	  by -	    Christopher Palow

2008-05-07 23:02  bagder

	* CHANGES, RELEASE-NOTES, lib/ftp.c: - Liam Healy filed the debian
	  bug report #480044
	  (http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=480044)
	  identifying a   segfault when using krb5 ftp, but the krb4 code
	  had the same problem.

2008-05-07 17:41  yangtse

	* CHANGES, RELEASE-NOTES, lib/multi.c, lib/splay.c, lib/splay.h:
	  Christopher Palow provided the patch (edited by me) that
	  introduces the use of microsecond resolution keys for internal
	  splay trees.

	  http://curl.haxx.se/mail/lib-2008-04/0513.html

2008-05-06 06:37  yangtse

	* lib/transfer.c: fix compiler warning: enumerated type mixed with
	  another type

2008-05-06 00:27  bagder

	* TODO-RELEASE: mention four outstanding issues we should deal with
	  before release

2008-05-05 19:48  yangtse

	* ares/: CHANGES, RELEASE-NOTES, ares_init.c: Improved parsing of
	  resolver configuration files

2008-05-04 00:04  bagder

	* CHANGES, RELEASE-NOTES, configure.ac: - Yuriy Sosov pointed out a
	  configure fix for detecting c-ares when that is   built
	  debug-enabled.

2008-05-03 23:49  bagder

	* lib/transfer.c: minor spell and language fix of a comment

2008-05-03 23:45  bagder

	* CHANGES, RELEASE-NOTES, lib/transfer.c, tests/data/Makefile.am,
	  tests/data/test1030: - Ben Van Hof filed bug report #1945240:
	  "libcurl sometimes sends body twice	when using CURL_AUTH_ANY"
	  (http://curl.haxx.se/bug/view.cgi?id=1945240).    The problem was
	  that when libcurl rewound a stream meant for upload when it
	  would prepare for a second request, it could accidentally
	  continue the	  sending of the rewound data on the first request
	  instead of on the second.    Ben also provided test case 1030
	  that verifies this fix.

2008-05-03 23:44  bagder

	* lib/http.c: Added comments, check Curl_http_auth_act()'s return
	  code and added a check that closes the connection somewhat faster
	  when perhapsrewind() has marked the connection for closure.

2008-05-03 15:43  bagder

	* CHANGES, RELEASE-NOTES, lib/connect.c: - Jean-Francois Bertrand
	  reported a libcurl crash with CURLOPT_TCP_NODELAY   since libcurl
	  used getprotobyname() and that isn't thread-safe. We now
	  switched to use IPPROTO_TCP unconditionally, but perhaps the
	  proper fix is   to detect the thread-safe version of the function
	  and use that.    http://curl.haxx.se/mail/lib-2008-05/0011.html

2008-05-01 23:34  bagder

	* CHANGES, RELEASE-NOTES, configure.ac, lib/connect.c: - Bart
	  Whiteley provided a patch that made libcurl work properly when an
	  app	uses the CURLOPT_OPENSOCKETFUNCTION callback to create a
	  unix domain socket   to a http server.

2008-05-01 22:58  bagder

	* docs/KNOWN_BUGS: 53. SFTP busy-loop problem when doing SFTP
	  uploads.

2008-05-01 19:48  danf

	* tests/: FILEFORMAT, data/test1028: Document that variable
	  replacement now takes place in the test file <stdout> section.

2008-05-01 12:52  bagder

	* tests/data/test1029: use variables to support other IPs and port
	  numbers

2008-05-01 12:51  bagder

	* tests/runtests.pl: do variable replacement in the stdout data
	  read from the test case

2008-05-01 02:20  danf

	* tests/data/test1029: Added precheck for hard-coded test server
	  address and port

2008-05-01 02:18  danf

	* tests/data/test555: Made file XML compatible

2008-04-30 23:32  bagder

	* docs/INSTALL: Christian Vogt told us about OS21 in
	  http://curl.haxx.se/mail/lib-2008-04/0443.html

2008-04-30 23:20  bagder

	* CHANGES, RELEASE-NOTES, docs/curl.1,
	  docs/libcurl/curl_easy_getinfo.3, include/curl/curl.h,
	  lib/getinfo.c, lib/multi.c, lib/transfer.c, lib/transfer.h,
	  lib/url.c, lib/urldata.h, src/writeout.c, tests/data/Makefile.am,
	  tests/data/test1029: - To make it easier for applications that
	  want lots of magic stuff done on   redirections and thus cannot
	  use CURLOPT_FOLLOWLOCATION easily, we now   introduce the new
	  CURLINFO_REDIRECT_URL option that lets applications	extract the
	  URL libcurl would've redirected to if it had been told to. This
	  then enables the application to continue to that URL as it thinks
	  is   suitable, without having to re-implement the magic of
	  creating the new URL	 from the Location: header etc. Test 1029
	  verifies it.

2008-04-29 06:28  yangtse

	* CHANGES: improved easy interface resolving timeout handling in
	  c-ares enabled builds

2008-04-29 06:18  yangtse

	* lib/hostares.c: improve easy interface resolving timeout handling
	  in c-ares enabled builds

2008-04-29 04:30  danf

	* CHANGES, tests/data/Makefile.am, tests/data/test1028: Added test
	  1028 to test an HTTP redirect to a FTP URL.

2008-04-28 23:29  bagder

	* CHANGES, RELEASE-NOTES, lib/ftp.c: - Norbert Frese filed bug
	  report #1951588: "Problem with curlftpfs and	 libcurl"
	  (http://curl.haxx.se/bug/view.cgi?id=1951588) which seems to be
	  an   identical report to what Denis Golovan reported in
	  http://curl.haxx.se/mail/lib-2008-02/0108.html The FTP code
	  didn't reset the   user/password pointers properly even though
	  there might've been a new   struct/cconnection getting used.

2008-04-27 00:02  bagder

	* CHANGES: mention the automake problems and solution even though
	  it doesn't strictly caused any change in curl-related files

2008-04-26 00:49  danf

	* packages/: Symbian/readme.txt, Symbian/group/curl.iby,
	  Symbian/group/curl.mmp, Symbian/group/curl.pkg,
	  Symbian/group/libcurl.iby, Symbian/group/libcurl.mmp,
	  Symbian/group/libcurl.pkg, Makefile.am: Updated Symbian UIDs.
	  Added .pkg files for creating .sis packages.

2008-04-25 13:01  yangtse

	* tests/libtest/: Makefile.am, delay.pl: tests/libtest/delay.pl no
	  longer used. The 'delay' attribute of the test harness <command>
	  subsection now provides this functionality.

2008-04-25 06:19  yangtse

	* CHANGES, tests/FILEFORMAT, tests/runtests.pl, tests/data/test190:
	  Add 'timeout' and 'delay' attributes support for the test harness
	  <command> subsection

2008-04-25 02:41  danf

	* CHANGES, src/main.c: Made --stderr able to redirect all stderr
	  messages.

2008-04-25 01:24  danf

	* packages/Symbian/: readme.txt, group/curl.mmp, group/libcurl.mmp:
	  Reduced the requested Symbian capabilities.  Correctly noted what
	  happens to stderr.

2008-04-24 01:58  yangtse

	* tests/data/test1001: <postcheck> delay no longer needed for this
	  test.

	  http://curl.haxx.se/mail/lib-2008-04/0392.html

2008-04-24 01:55  yangtse

	* tests/: ftp.pm, ftpserver.pl, runtests.pl, server/sws.c,
	  server/tftpd.c, server/util.c, server/util.h: improve
	  synchronization between test harness runtests.pl script and test
	  harness servers to minimize risk of false test failures.

	  http://curl.haxx.se/mail/lib-2008-04/0392.html

2008-04-23 20:29  danf

	* lib/config-symbian.h: Symbian OS is a.k.a. EPOC32

2008-04-23 20:14  danf

	* docs/INSTALL: Mention that P.I.P.S. is needed for Symbian.

2008-04-23 07:14  danf

	* packages/Makefile.am: List extra files individually instead of by
	  directory to avoid including CVS directories.

2008-04-23 00:53  danf

	* CHANGES, RELEASE-NOTES, docs/INSTALL, include/curl/curl.h,
	  lib/Makefile.am, lib/config-symbian.h, lib/connect.c, lib/easy.c,
	  lib/file.c, lib/ftp.c, lib/if2ip.c, lib/setup.h, lib/url.c,
	  packages/Makefile.am, packages/Symbian/readme.txt,
	  packages/Symbian/bwins/libcurlu.def,
	  packages/Symbian/eabi/libcurlu.def,
	  packages/Symbian/group/bld.inf, packages/Symbian/group/curl.iby,
	  packages/Symbian/group/curl.mmp,
	  packages/Symbian/group/libcurl.iby,
	  packages/Symbian/group/libcurl.mmp, src/getpass.c, src/main.c,
	  src/setup.h: Added support for running on Symbian OS.

2008-04-22 15:07  yangtse

	* tests/server/sws.c: fix minor memory leak triggered upon test
	  failure

2008-04-22 14:40  yangtse

	* configure.ac, lib/config-win32.h, lib/config-win32ce.h,
	  src/config-win32.h, tests/data/test1001, tests/server/sws.c:
	  Remove fflush() + fsync() previously introduced accelerated
	  writing of server input and response request files of the test
	  harness sws server.

	  Reintroduce, for test # 1001, the <postcheck> small delay. The
	  delay is needed even with the accelerated writing of server input
	  and response request files in test harness sws server.

	  http://curl.haxx.se/mail/lib-2008-04/0385.html

2008-04-22 02:23  yangtse

	* tests/data/test1001: Remove previously introduced small delay to
	  verify if it can be avoided with the accelerated writing of
	  server input and response request files in test harness sws
	  server.

2008-04-22 01:17  danf

	* src/mkhelp.pl: Allocate the decompression buffer for the --manual
	  option on the heap instead of the stack.

2008-04-22 01:16  danf

	* src/main.c: Fixed typo in log message

2008-04-21 23:44  bagder

	* docs/BINDINGS: added Haskell binding, unified the formatting
	  somewhat

2008-04-21 21:17  yangtse

	* lib/config-win32.h, lib/config-win32ce.h, src/config-win32.h:
	  HAVE_FFLUSH and HAVE_FSYNC symbol definitions for WIN32 systems

2008-04-21 19:19  danf

	* tests/runtests.pl: Ignore the result of the postcheck command in
	  torture mode

2008-04-21 18:57  danf

	* tests/data/test1026: Make the test work with nroffs that use
	  special escaping for bold output.

2008-04-20 21:15  yangtse

	* configure.ac, tests/server/sws.c: accelerate the writing of
	  server input and response request files to disk, trying to defeat
	  file and disk write-behind algorithms

2008-04-19 00:31  danf

	* CHANGES, tests/data/Makefile.am, tests/data/test1026,
	  tests/data/test1027: Added test cases 1026 and 1027 to do some
	  rudimentary tests on the --manual and --help options.

2008-04-18 19:25  yangtse

	* tests/libtest/Makefile.am: test 1001 needs a small delay between
	  client part execution and test result file verifications to allow
	  the test server to completely write out all files

2008-04-18 19:17  yangtse

	* tests/: data/test1001, libtest/delay.pl: test 1001 needs a small
	  delay between client part execution and test result file
	  verifications to allow the test server to completely write out
	  all files

2008-04-17 13:59  yangtse

	* tests/libtest/lib555.c: fix compiler warning: enumerated type
	  mixed with another type

2008-04-17 02:45  danf

	* include/curl/curl.h, lib/file.c, lib/ftp.c, lib/http.c,
	  src/getpass.c, src/writeout.c, src/writeout.h: Some trivial
	  changes

2008-04-16 23:11  bagder

	* tests/: data/Makefile.am, data/test555, libtest/Makefile.am,
	  libtest/lib555.c: Added test case 555, a variation of 547 but
	  using multi interface instead of easy. This was reported not
	  working by Penugonda Chenna Reddy in
	  http://curl.haxx.se/mail/lib-2008-04/0046.html but I fail to
	  repeat that problem.

2008-04-16 16:48  bagder

	* TODO-RELEASE: Removed 129 and 130 due to lack of response on
	  those issues

2008-04-14 21:01  mmarek

	* CHANGES, RELEASE-NOTES, include/curl/curl.h: allow disabling the
	  typechecker by defining CURL_DISABLE_TYPECHECK, as discussed in
	  http://curl.haxx.se/mail/lib-2008-04/0291.html

2008-04-14 17:26  bagder

	* CHANGES, RELEASE-NOTES, lib/ssluse.c: - Stefan Krause reported a
	  case where the OpenSSL handshake phase wasn't   properly
	  acknowledging the timeout values, like if you pulled the network
	  plug in the midst of it.

2008-04-14 17:22  bagder

	* CHANGES, lib/http_negotiate.c: - Andre Guibert de Bruet fixed a
	  second case of not checking the malloc()   return code in the
	  Negotiate code.

2008-04-14 17:20  bagder

	* RELEASE-NOTES: mention Sandor as contributor

2008-04-14 17:19  bagder

	* CHANGES, lib/Makefile.vc6: - Sandor Feldi reported bug #1942022
	  (http://curl.haxx.se/bug/view.cgi?id=1942022) pointing out a
	  mistake in the   lib/Makefile.vc[68] makefiles' release-ssl-dll
	  target.

2008-04-14 16:42  bagder

	* CHANGES, RELEASE-NOTES, src/main.c: - Brock Noland reported that
	  curl behaved differently depending on which order   you used -i
	  and -I.

2008-04-12 13:50  bagder

	* CHANGES, RELEASE-NOTES, lib/http_negotiate.c: - Andre Guibert de
	  Bruet found and fixed a case where malloc() was called but   was
	  not checked for a NULL return, in the Negotiate code.

2008-04-12 10:35  bagder

	* docs/examples/post-callback.c: return 0 not -1 at end of data!

2008-04-10 20:18  danf

	* CHANGES, tests/data/Makefile.am, tests/data/test1025: Added test
	  case 1025 to test a command-line cookie with Location: following

2008-04-10 11:06  bagder

	* docs/libcurl/curl_easy_pause.3: mention what happens to the data
	  when a write callback returns pause

2008-04-10 11:03  bagder

	* docs/libcurl/curl_easy_setopt.3: clarify the COOKIE option a bit

2008-04-10 06:21  danf

	* CHANGES, tests/data/Makefile.am, tests/data/test1024,
	  tests/data/test46: Added test case 1024 to test a scenario
	  similar to the one reported by Ben Combee where libcurl would
	  send the wrong cookie to a redirected server.  libcurl was doing
	  the right thing in this test case.

2008-04-09 13:27  bagder

	* docs/libcurl/: curl_easy_escape.3, curl_easy_unescape.3: "tag"
	  the function referals properly

2008-04-07 21:12  yangtse

	* ares/adig.c: make previous compiler warning fix more portable

2008-04-07 17:40  yangtse

	* tests/libtest/lib554.c: fix compiler warning: argument is
	  incompatible with corresponding format string conversion

2008-04-07 16:37  yangtse

	* ares/adig.c: fix compiler warning: indirection to slightly
	  different base types

2008-04-07 16:20  yangtse

	* ares/ares_gethostbyname.c: fix compiler warning: local variable
	  may be used without having been initialized

2008-04-07 15:09  patrickm

	* lib/qssl.c, packages/OS400/ccsidcurl.c,
	  packages/OS400/curl.inc.in, packages/OS400/initscript.sh: Adapt
	  OS400 SSL (qssl.h) to V5R4 Fix qssl.c wrong error message Upgrade
	  OS400 wrappers and makefiles to 7.18.1

2008-04-07 14:44  yangtse

	* ares/adig.c: fix compiler warning: unreferenced formal parameter

2008-04-07 14:40  yangtse

	* ares/ares_getopt.c: fix compiler warning: assignment within
	  conditional expression

2008-04-07 11:26  mmarek

	* CHANGES, RELEASE-NOTES, configure.ac, lib/http_negotiate.c,
	  lib/krb5.c: - Fix the MIT / Heimdal check for good:	Define
	  HAVE_GSSMIT if <gssapi/{gssapi.h,gssapi_generic.h,gssapi_krb5.h}>
	  are	available, otherwise define HAVE_GSSHEIMDAL if <gssapi.h>
	  is available.

	    Only define GSS_C_NT_HOSTBASED_SERVICE to gss_nt_service_name
	  if
	    GSS_C_NT_HOSTBASED_SERVICE isn't declared by the gssapi
	  headers. This should
	    avoid breakage in case we wrongly recognize Heimdal as MIT
	  again.

2008-04-05 23:13  bagder

	* CHANGES, RELEASE-NOTES, lib/easy.c: - Alexey Simak fixed
	  curl_easy_reset() to reset the max redirect limit properly

2008-04-05 23:13  bagder

	* lib/: url.c, url.h: provide CURL_DEFAULT_PROXY_PORT set to 1080
	  for the default port libcurl assumes proxies to use

2008-04-05 23:02  bagder

	* CHANGES, lib/ftp.c: - Based on the Debian bug report #474224 that
	  complained about the FTP error   message when libcurl doesn't get
	  a 220 back immediately on connect, I now   changed it to be more
	  specific on what the problem is. Also worth noticing:   while the
	  bug report contains an example where the response is:

	      421 There are too many connected users, please try again
	  later

	    we cannot assume that the error message will always be this
	  readable nor
	    that it fits within a particular boundary etc.

2008-04-04 22:26  bagder

	* ares/: CHANGES, vc/areslib/areslib.dsp: - Alexey Simak fixed the
	  VC dsp file by adding the missing source file
	  ares_expand_string.c

2008-04-04 22:24  bagder

	* ares/: CHANGES, adig.c: Alexey Simak made adig support NAPTR
	  records

2008-04-04 22:05  bagder

	* ares/: CHANGES, ares_init.c: Eino Tuominen improved the code when
	  a file is used to seed the randomizer

2008-04-04 20:45  danf

	* docs/examples/fopen.c: Give a hint as to why a url_fopen failed.

2008-04-04 16:47  yangtse

	* tests/sshserver.pl: SunSSH sshd ignores UsePrivilegeSeparation
	  option

2008-04-04 16:08  yangtse

	* tests/sshserver.pl: SunSSH 1.2 options sync

2008-04-04 13:39  bagder

	* tests/data/Makefile.am: oops, forgot to add test554

2008-04-04 04:06  danf

	* CHANGES, tests/data/Makefile.am, tests/data/test627: Added
	  test627 to test SFTP with CURLOPT_NOBODY

2008-04-03 23:44  bagder

	* CHANGES, RELEASE-NOTES, TODO-RELEASE, lib/url.c: - Setting
	  CURLOPT_NOBODY to FALSE will now switch the HTTP request method
	  to   GET simply because previously when you set CURLOPT_NOBODY to
	  TRUE first and   then FALSE you'd end up in a broken state where
	  a HTTP request would do a   HEAD by still act a lot like for a
	  GET and hang waiting for the content etc.

2008-04-03 22:56  bagder

	* CHANGES, RELEASE-NOTES, TODO-RELEASE, lib/ssh.c: Scott Barrett
	  added support for CURLOPT_NOBODY over SFTP

2008-04-03 22:28  danf

	* CHANGES, docs/examples/multithread.c,
	  docs/examples/smooth-gtk-thread.c, docs/examples/threaded-ssl.c,
	  docs/examples/curlgtk.c: Made sure that curl_global_init is
	  called in all the multithreaded example programs.

2008-04-02 05:11  gknauf

	* docs/examples/Makefile.m32: removed unused var.

2008-04-02 05:08  gknauf

	* src/Makefile.netware: removed double dependency.

2008-04-01 23:49  bagder

	* TODO-RELEASE: 128 - Phil Blundell's ares and ipv6 fix (feedback
	  lacking) removed

	  133 - Setting CURLOPT_NOBODY to "false" causes cURL to wait for
	  content if a	     content-length header is read added

2008-04-01 15:54  bagder

	* docs/THANKS: Eetu contributed back in 2000...

2008-03-31 22:32  bagder

	* TODO-RELEASE: 132 - Xponaut's CURLFORM_STREAM option to
	  curl_formadd() done

2008-03-31 14:51  gknauf

	* lib/Makefile.netware: moved CURL_CA_BUNDLE define to generated
	  config.h.

2008-03-31 14:09  mmarek

	* CHANGES, acinclude.m4, buildconf.bat, configure.ac,
	  lib/.cvsignore, lib/Makefile.Watcom, lib/Makefile.am,
	  lib/Makefile.inc, lib/Makefile.m32, lib/Makefile.netware,
	  lib/easy.c, lib/url.c, packages/OS400/make-lib.sh: Removed the
	  generated ca-bundle.h file. The verbatim value of $ca and $capath
	  is known to configure, so it can be defined in config.h instead.

2008-03-31 12:16  bagder

	* lib/http.c: expanded a comment around some of the new formpost
	  callback usage

2008-03-31 12:02  bagder

	* CHANGES, RELEASE-NOTES, docs/libcurl/curl_formadd.3,
	  include/curl/curl.h, lib/formdata.c, lib/formdata.h, lib/http.c,
	  tests/data/test554, tests/libtest/Makefile.am,
	  tests/libtest/lib554.c: - Added CURLFORM_STREAM as a supported
	  option to curl_formadd() to allow an	 application to provide
	  data for a multipart with the read callback. Note   that the size
	  needs to be provided with CURLFORM_CONTENTSLENGTH when the
	  stream option is used. This feature is verified by the new test
	  case	 554. This feature was sponsored by Xponaut.

2008-03-31 05:01  danf

	* CHANGES, Makefile.am, docs/INSTALL, docs/examples/Makefile.am,
	  docs/examples/Makefile.inc, docs/examples/Makefile.m32: Changed
	  the makefile so the doc/examples/ programs are never built in a
	  normal build/install (only with the 'make check' target), so that
	  a build failure in the examples isn't fatal.

2008-03-30 11:30  bagder

	* docs/THANKS: added people from the 7.18.1 release announcement

2008-03-30 11:22  bagder

	* RELEASE-NOTES: back to a blank for 7.18.2

2008-03-30 11:22  bagder

	* include/curl/curlver.h: start working on 7.18.2

2008-03-30 11:11  bagder

	* CHANGES: 7.18.1

2008-03-30 11:08  bagder

	* TODO-RELEASE: 132 - Xponaut's CURLFORM_STREAM option to
	  curl_formadd()

2008-03-30 11:07  bagder

	* TODO-RELEASE: I'm officially pushing the two remaining issues to
	  the next release instead, since they're still not clear enough to
	  be to sort about before 7.18.1

2008-03-28 19:19  danf

	* tests/libtest/test1022.pl: Made the test work on perl 5.00

2008-03-28 00:13  bagder

	* CHANGES, RELEASE-NOTES: - Stephen Collyer pointed out that
	  configure --with-libssh2 without a given   path didn't work
	  properly but now it does!

2008-03-28 00:10  bagder

	* configure.ac: fix --with-libssh2 when given without path

2008-03-27 14:07  bagder

	* CHANGES, RELEASE-NOTES, TODO-RELEASE, lib/http.c: - As found out
	  and reported by Dan Petitt, libcurl didn't show progress/call
	  the progress callback for the first (potentially huge) piece of
	  body data   sent together with the POST request headers in the
	  initial send().

2008-03-25 20:23  bagder

	* RELEASE-NOTES: spell!

2008-03-25 20:19  bagder

	* CHANGES, RELEASE-NOTES, lib/url.c: - Made setting the
	  CURLOPT_SSL_CTX_FUNCTION option return a failure in case
	  libcurl wasn't built to use OpenSSL as that is a prerequisite for
	  this	 option to function!

2008-03-25 20:17  bagder

	* docs/libcurl/curl_easy_setopt.3: spell it out loudly and clearly
	  that CURLOPT_SSL_CTX_FUNCTION is only functional if libcurl is
	  built against OpenSSL

2008-03-22 23:00  bagder

	* CHANGES, RELEASE-NOTES, TODO-RELEASE, lib/transfer.c,
	  tests/data/DISABLED: - Fixed the problem with doing a zero byte
	  SCP transfer, verified with test   case 617 (which was added by
	  Daniel Fandrich 5 Mar 2008).

2008-03-21 12:53  bagder

	* TODO-RELEASE: roadmap ahead

2008-03-20 21:16  danf

	* RELEASE-NOTES: Jes reported the curl-config bug

2008-03-20 21:08  danf

	* CHANGES, RELEASE-NOTES, configure.ac: Fixed a problem where
	  curl-config --protocols could erroneously show LDAPS support when
	  curl didn't even have regular LDAP support.  It looks like this
	  could happen when the --enable-ldaps configure switch is given
	  but configure couldn't find the LDAP headers or libraries.

2008-03-20 17:10  gknauf

	* tests/testcurl.pl: added --extvercmd parameter which can be used
	  to specify an external command to display 'curl --version', f.e.
	  with MinW32 crosscompile --extvercmd=/usr/bin/wine can be used.

2008-03-20 09:09  mmarek

	* CHANGES, RELEASE-NOTES, acinclude.m4, configure.ac,
	  lib/Makefile.am, lib/easy.c, lib/url.c: - Added
	  --with-ca-path=DIRECTORY configure option to use an openSSL
	  CApath by   default instead of a ca bundle. The configure script
	  will also look for a	 ca path if no ca bundle is found and no
	  option given.

	  - Fixed detection of previously installed curl-ca-bundle.crt

2008-03-18 23:59  danf

	* CHANGES, RELEASE-NOTES, lib/ssh.c, tests/data/DISABLED,
	  tests/data/test626: Fixed an infinite loop when given an invalid
	  SFTP quote command.

2008-03-18 18:05  danf

	* CHANGES, tests/data/DISABLED, tests/data/Makefile.am,
	  tests/data/test626: Added test 626 to reproduce an infinite loop
	  when given an invalid SFTP quote command reported by Vincent Le
	  Normand, but left it disabled.

2008-03-18 09:14  mmarek

	* CHANGES, RELEASE-NOTES, include/curl/curl.h,
	  include/curl/typecheck-gcc.h, lib/easy.c, lib/multi.c,
	  lib/share.c: - Added curl_easy_getinfo typechecker.

	  - Added macros for curl_share_setopt and curl_multi_setopt to
	  check at least   the correct number of arguments.

2008-03-17 15:22  mmarek

	* include/curl/typecheck-gcc.h: Mark the statement expr with
	  __extension__ so that gcc -pedantic doesn't emit any
	  hard-to-grasp warnings in curl_easy_setopt() calls in
	  applications.  Also delete superfluous semicolons.

2008-03-15 02:03  danf

	* tests/libtest/test610.pl: Spell the commands right

2008-03-13 23:51  danf

	* CHANGES, tests/data/Makefile.am, tests/data/test622,
	  tests/data/test623, tests/data/test624, tests/data/test625,
	  tests/libtest/test610.pl: Added tests 622-625 to test SFTP/SCP
	  uploads. Test 625 was an attempt to reproduce the
	  --ftp-create-dirs problem reported by Brian Ulm, but that seems
	  to need a call curl_easy_reset() which this test case doesn't do.

2008-03-13 22:43  bagder

	* CHANGES, RELEASE-NOTES: - Brian Ulm figured out that if you did
	  an SFTP upload with	CURLOPT_FTP_CREATE_MISSING_DIRS to create a
	  directory, and then re-used the   handle and uploaded another
	  file to another directory that needed to be	created, the second
	  upload would fail. Another case of a state variable that   wasn't
	  properly reset between requests.

	  - I rewrote the 100-continue code to use a single state variable
	  instead of   the previous two ones. I think it made the logic
	  somewhat clearer.

2008-03-13 22:43  bagder

	* lib/ssh.c: - Brian Ulm figured out that if you did an SFTP upload
	  with	 CURLOPT_FTP_CREATE_MISSING_DIRS to create a directory, and
	  then re-used the   handle and uploaded another file to another
	  directory that needed to be	created, the second upload would
	  fail. Another case of a state variable that	wasn't properly
	  reset between requests.

2008-03-13 21:56  bagder

	* lib/: transfer.c, urldata.h: Change the confusing two variables
	  for the expect 100 continue stuff into a single state variable to
	  make the code easier to follow and understand.

2008-03-13 21:49  danf

	* docs/curl.1: --ftp-create-dirs works on SFTP as well

2008-03-13 13:36  bagder

	* docs/examples/post-callback.c: fix code that is normally
	  #ifdef'ed out

2008-03-12 14:14  bagder

	* TODO-RELEASE: Done: 125 - Michal Marek's typechecker-gcc work

2008-03-11 23:58  bagder

	* tests/data/test506: updated according to the name resolve race
	  condition fix just committed

2008-03-11 23:55  bagder

	* CHANGES, RELEASE-NOTES, lib/hostip.c: - Dmitry Popov filed bug
	  report #1911069   (http://curl.haxx.se/bug/view.cgi?id=1911069)
	  that identified a race   condition in the name resolver code when
	  the DNS cache is shared between   multiple easy handles, each
	  running in simultaneous threads that could cause   crashes.

2008-03-11 14:14  bagder

	* CHANGES, RELEASE-NOTES, include/curl/curl.h: - Added a macro for
	  curl_easy_setopt() that accepts three arguments and simply   does
	  nothing with them, just to make sure libcurl users always use
	  three   arguments to this function. Due to its use of ... for the
	  third argument, it   is otherwise hard to detect abuse.

2008-03-11 13:18  bagder

	* docs/libcurl/curl_easy_setopt.3: Recommend passing a 1 as
	  parameter to CURLOPT_SSLENGINE_DEFAULT rather than a "dummy" just
	  to get things as fixed as possible in case we ever get the urge
	  to change this to actually mean something.

2008-03-11 08:37  mmarek

	* CHANGES, RELEASE-NOTES, docs/libcurl/curl_easy_setopt.3,
	  include/curl/Makefile.am, include/curl/curl.h,
	  include/curl/typecheck-gcc.h, lib/easy.c: - Added a type checking
	  macro for curl_easy_setopt(), needs gcc-4.3 and only	 works in C
	  mode atm (http://curl.haxx.se/mail/lib-2008-02/0267.html ,
	  http://curl.haxx.se/mail/lib-2008-02/0292.html )

2008-03-10 20:40  danf

	* CHANGES, tests/data/Makefile.am, tests/data/test618,
	  tests/data/test619, tests/data/test620, tests/data/test621: Added
	  tests 618-621 to test SFTP/SCP transfers of more than one file
	  (test 620 tests the just-fixed problem reported by Brian Ulm).

2008-03-10 15:32  mmarek

	* tests/README: fixed typo

2008-03-10 10:56  mmarek

	* configure.ac: (try to) use LIBS for libraries (-l) and LDFLAGS
	  for paths (-L) in the gssapi check. Cleans up curl-config --libs
	  output when REQUIRE_LIB_DEPS=no

2008-03-09 12:37  bagder

	* CHANGES, RELEASE-NOTES, lib/ssh.c: - Brian Ulm reported a crash
	  when doing a second SFTP transfer on a re-used   easy handle if
	  curl_easy_reset() was used between them. I fixed it and Brian
	  verified that it cured his problem.

	  - Brian Ulm reported that if you first tried to download a
	  non-existing SFTP   file and then fetched an existing one and
	  re-used the handle, libcurl would   still report the second one
	  as non-existing as well! I fixed it abd Brian   verified that it
	  cured his problem.

2008-03-08 23:19  bagder

	* TODO-RELEASE: Done: 123 - Mike Protts' SFTP resume download

2008-03-07 03:49  yangtse

	* lib/config-win32.h, lib/config-win32ce.h, src/config-win32.h:
	  VS2005 and later dafault size for time_t is 64-bit, unless
	  _USE_32BIT_TIME_T has been defined to get a 32-bit time_t

2008-03-06 18:22  mmarek

	* CHANGES, RELEASE-NOTES, configure.ac: Fix the gssapi configure
	  check to detect newer MIT Kerberos (patch by Michael Calmer)

2008-03-06 13:43  bagder

	* docs/libcurl/curl_multi_socket.3: spellchecked

2008-03-06 13:37  bagder

	* docs/libcurl/curl_multi_socket.3: curl_multi_timeout() is really
	  not recommended with curl_multi_socket()-based usage

2008-03-06 04:48  yangtse

	* CHANGES, RELEASE-NOTES, lib/select.c: Regression fix:

	  select/poll calls will only be retried upon EINTR failures as it
	  previously was in lib/select.c revision 1.29

	  In this way Curl_socket_ready() and Curl_poll() will again fail
	  on any select/poll errors different than EINTR.

2008-03-06 02:15  danf

	* CHANGES, tests/data/DISABLED, tests/data/Makefile.am,
	  tests/data/test616, tests/data/test617: Added tests 616 and 617
	  to see how SFTP and SCP cope with zero-length files, as
	  questioned by Mike Protts. SFTP does for me but SCP doesn't so
	  test 617 is disabled for now.

2008-03-06 02:11  danf

	* tests/: FILEFORMAT, runtests.pl: Fixed the test harness so it
	  will write out zero-length data files.

2008-03-05 19:27  yangtse

	* tests/server/sockfilt.c: fix log message used when unable to
	  connect to destination port

2008-03-04 12:53  bagder

	* CHANGES, RELEASE-NOTES, lib/ssh.c: Mike Protts brought a patch
	  that makes resumed transfers work with SFTP.

2008-03-01 23:32  bagder

	* CHANGES, RELEASE-NOTES, TODO-RELEASE, lib/http.c,
	  lib/http_negotiate.c: - Anatoli Tubman found and fixed a crash
	  with Negotiate authentication used on   a re-used connection
	  where both requests used Negotiate.

2008-02-29 18:13  yangtse

	* ares/configure.ac, configure.ac: Force AIX xlc to fail and not
	  generate object code if the source code has compiled with errors.
	  This behaviour is needed for autoconf macros which rely on the
	  ability to compile with or without errors, and is safer than
	  xlc's default of failing only upon severe errors.

2008-02-28 22:25  bagder

	* TODO-RELEASE: Removed:

	  121 - Kaspar Brand's and Guenter Knauf's work on the TLS
	  extension Server Name       Indication is now committed

	  122 - Progress callback not called during failed socket connect
	  with the multi       interface, is now simply pending a closure
	  since no feedback has been	   received lately.

	  Added:

	  123 - Mike Protts' SFTP resume download

	  124 - Anatoli Tubman's fix for a Negotiate: crash

	  125 - Michal Marek's typechecker-gcc work

2008-02-28 12:34  gknauf

	* lib/Makefile.vc6, src/Makefile.vc6: fixed commented define for
	  SSPI.

2008-02-28 11:15  yangtse

	* tests/server/sockfilt.c: signal handling to properly cleanup on
	  SIGINT and SIGTERM

2008-02-28 11:13  yangtse

	* tests/server/sockfilt.c: when terminating do it falling through
	  cleanup code

2008-02-28 10:38  yangtse

	* tests/server/: util.c, util.h: avoid inclusion of setup.h in
	  util.h

2008-02-28 01:55  yangtse

	* tests/server/: getpart.c, resolve.c, sockfilt.c, sws.c,
	  testpart.c, tftpd.c, util.c, util.h: header inclusion cleanup

2008-02-27 15:54  yangtse

	* tests/server/sockfilt.c: make comment more precise

2008-02-27 10:06  bagder

	* docs/examples/10-at-a-time.c, docs/examples/anyauthput.c,
	  docs/examples/debug.c, docs/examples/ftpget.c,
	  docs/examples/multi-debugcallback.c, tests/libtest/lib506.c,
	  tests/libtest/lib552.c: Michal Marek's cleanup of how
	  curl_easy_setopt() is used in examples and test code. Thanks to
	  his curl_easy_setopt() typechecker work...

2008-02-27 02:51  gknauf

	* ares/get_ver.awk: added get_ver.awk since c-ares is a standalone
	  project, and should therefore also compile when cURL is absent.

2008-02-27 02:43  gknauf

	* ares/Makefile.netware: a couple of small fixes to the makefile:
	  fixed comments; fixed INSTDIR define, simplified rules; changed
	  to use get_ver.awk in current dir rather than the curl one.

2008-02-27 02:36  gknauf

	* lib/Makefile.netware, src/Makefile.netware: another small change
	  to the makefiles to simplify rules.

2008-02-27 00:06  gknauf

	* tests/server/util.c: trial to fix the HP-UX breakage...

2008-02-26 22:42  gknauf

	* src/Makefile.netware: added curl.html to install package.

2008-02-26 22:41  gknauf

	* lib/Makefile.netware, src/Makefile.netware: some more minor
	  makefile changes; removed useless dist target.

2008-02-26 22:24  gknauf

	* lib/Makefile.netware: fixed install target to create a
	  ca-bundle.crt since we have no longer one in the project.

2008-02-26 19:13  yangtse

	* tests/server/sockfilt.c: all reads from stdin and writes to
	  stdout will be retried until the whole operation completes or an
	  unrecoverable condition is detected

2008-02-26 16:06  yangtse

	* tests/server/: sockfilt.c, sws.c, tftpd.c, util.c, util.h:
	  refactor some code out to write_pidfile() in util.c

2008-02-26 11:30  gknauf

	* CHANGES, lib/gtls.c, lib/ssluse.c: Added support for server name
	  indication (RFC 4366).  Patch submitted by Kaspar Brand.

2008-02-25 08:51  bagder

	* CHANGES, RELEASE-NOTES, lib/gtls.c: - Kaspar Brand made
	  GnuTLS-built libcurl properly acknowledge the option that
	  forces it to prefer SSLv3.

2008-02-24 00:00  bagder

	* docs/examples/threaded-ssl.c: now builds and runs with
	  GnuTLS-built libcurls too

2008-02-23 13:27  bagder

	* CHANGES, RELEASE-NOTES, lib/ssluse.c: - Sam Listopad provided a
	  patch in feature-request #1900014
	  http://curl.haxx.se/bug/feature.cgi?id=1900014 that makes libcurl
	  (built to   use OpenSSL) support a full chain of certificates in
	  a given PKCS12   certificate.

2008-02-22 23:53  bagder

	* CHANGES, RELEASE-NOTES, src/Makefile.vc6: - Georg Lippitsch made
	  the src/Makefile.vc6 makefile use the same memory model   options
	  as the lib/Makefile.vc6 already did.

2008-02-22 10:31  yangtse

	* tests/server/sockfilt.c: Revert sockfilt.c back to revision 1.42

	  Changes introduced in revision 1.43 were useless

2008-02-21 18:52  bagder

	* CHANGES, RELEASE-NOTES, lib/transfer.c: - Zmey Petroff found a
	  crash when libcurl accessed a NULL pointer, which   happened if
	  you set the connection cache size to 1 and for example failed to
	  login to an FTP site. Bug report #1896698
	  (http://curl.haxx.se/bug/view.cgi?id=1896698)

2008-02-21 16:02  gknauf

	* docs/examples/ftpupload.c: fixed missing header; changed bail out
	  from exit() to return().  Mentioned on the list by Michal Marek.

2008-02-21 13:28  bagder

	* lib/url.c: assert that the *connp is a non-NULL pointer when
	  Curl_done() is called

2008-02-20 18:17  yangtse

	* tests/server/sockfilt.c: Avoid timeout restart when signal caught
	  while awaiting socket and stdin events

2008-02-20 13:36  gknauf

	* docs/examples/ftpupload.c: reformatted comment.

2008-02-20 13:33  gknauf

	* docs/examples/ftpupload.c: added read callback function in order
	  to prevent crashs on Win32 when linked against DLL:

2008-02-20 13:18  bagder

	* CHANGES, RELEASE-NOTES, tests/data/test405: - Fixed test case 405
	  to not fail when libcurl is built with GnuTLS

2008-02-20 13:14  bagder

	* tests/runtests.pl: made the non-matching error code output nicer
	  since we know it is a number and the string contains a newline...

2008-02-20 12:58  gknauf

	* CHANGES: mention removal of SSLv2 by default.

2008-02-20 11:01  bagder

	* lib/gtls.c: oops, fixed to build

2008-02-20 10:58  bagder

	* TODO-RELEASE: "118 - Gautam Kachroo's issue with proxies and ssl"
	  is now in CVS

2008-02-20 10:56  bagder

	* CHANGES, RELEASE-NOTES, lib/gtls.c, lib/nss.c, lib/qssl.c,
	  lib/sendf.c, lib/sslgen.c, lib/ssluse.c, lib/url.c,
	  lib/urldata.h: - Based on initial work done by Gautam Kachroo to
	  address a bug, we now keep   better control at the exact state of
	  the connection's SSL status so that we   know exactly when it has
	  completed the SSL negotiation or not so that there   won't be
	  accidental re-uses of connections that are wrongly believed to be
	  in SSL-completed-negotiate state.

2008-02-20 09:28  bagder

	* CHANGES, RELEASE-NOTES, lib/gtls.c, lib/multi.c, lib/transfer.c,
	  lib/url.c, lib/urldata.h, tests/data/Makefile.am,
	  tests/data/test509, tests/libtest/Makefile.am,
	  tests/libtest/lib509.c: - We no longer support setting the
	  CURLOPT_URL option from inside a callback   such as the
	  CURLOPT_SSL_CTX_FUNCTION one treat that as if it was a Location:
	   following. The patch that introduced this feature was done for
	  7.11.0, but	this code and functionality has been broken since
	  about 7.15.4 (March 2006)   with the introduction of non-blocking
	  OpenSSL "connects".

	    It was a hack to begin with and since it doesn't work and
	  hasn't worked
	    correctly for a long time and nobody has even noticed, I
	  consider it a very
	    suitable subject for plain removal. And so it was done.

2008-02-20 00:10  gknauf

	* docs/libcurl/curl_easy_setopt.3, lib/nss.c, lib/qssl.c,
	  lib/ssluse.c: applied patch to disable SSLv2 by default;
	  discussion:
	  http://sourceforge.net/tracker/index.php?func=detail&aid=1767276&group_id=976&atid=350976
	  Submitted by Kaspar Brand.

2008-02-19 22:57  danf

	* CHANGES, tests/data/Makefile.am, tests/data/test309: Added
	  test309 to test HTTP redirect to HTTPS URL

2008-02-19 19:51  yangtse

	* tests/server/sockfilt.c: juggle() actually returns bool.

	  Remove redundant and unreachable log message.

2008-02-19 18:25  yangtse

	* lib/ssh.c: fix compiler warnings: 'statement is unreachable'

2008-02-19 17:23  gknauf

	* docs/examples/ftpupload.c: fix for new codestyle.

2008-02-19 17:13  gknauf

	* docs/examples/ftpupload.c: made changes to work with Win32;
	  replaced fstat() with stat() call and bail out if local file not
	  found.

2008-02-19 16:07  yangtse

	* lib/ssh.c: fix compiler warnings: 'enumerated type mixed with
	  another type'

2008-02-18 21:13  yangtse

	* tests/server/: sockfilt.c, util.c, util.h: Reduce to 20 seconds
	  the time allowed to set SO_REUSEADDR option on sockfilt listener
	  socket.

	  Log some more error descriptions.

2008-02-18 20:53  bagder

	* lib/http.c: https_getsock() should be static all over (and did
	  some fixed indenting)

2008-02-18 17:55  bagder

	* TODO-RELEASE: the ca-bundle is now removed

2008-02-18 16:43  gknauf

	* docs/examples/Makefile.m32: added makefile for MingW32 to build
	  most of the samples.

2008-02-18 16:32  gknauf

	* docs/examples/: Makefile.am, Makefile.inc: moved sample program
	  defines into separate Makefile.inc so that other makefiles can
	  pick up the defines from there.

2008-02-18 16:30  gknauf

	* lib/Makefile.netware, src/Makefile.netware: added check symbol
	  for linking with POSIX prelude.

2008-02-18 14:05  yangtse

	* lib/ssh.c: fix compiler warnings:

	    'enumerated type mixed with another type'

	  and

	    'variable was set but never used'

2008-02-18 12:40  bagder

	* docs/curl.1: just mention in --cacert that curl normally has a
	  default ca cert path built-in

2008-02-18 12:39  bagder

	* docs/FAQ: the ca-bundle is no longer shipped

2008-02-18 12:35  bagder

	* CHANGES, RELEASE-NOTES, acinclude.m4, configure.ac,
	  docs/SSLCERTS, lib/Makefile.am, lib/ca-bundle.crt: - We're no
	  longer providing a very old ca-bundle in the curl tarball. You
	  can	get a fresh one downloaded and created with 'make
	  ca-bundle' or you can get   one from here =>
	  http://curl.haxx.se/docs/caextract.html if you want a fresh	new
	  one extracted from Mozilla's recent list of ca certs.

	    The configure option --with-ca-bundle now lets you specify what
	  file to use
	    as default ca bundle for your build. If not specified, the
	  configure script
	    will check a few known standard places for a global ca cert to
	  use.

2008-02-17 14:49  bagder

	* CHANGES, RELEASE-NOTES: - Jerome Muffat-Meridol helped me fix
	  Curl_done() to close the current   connection by force when it
	  was called before the entire request is   completed, simply
	  because we can't know if the connection really can be   re-used
	  safely at that point.

2008-02-17 14:49  bagder

	* lib/http.c: rephrased comment

2008-02-17 14:43  bagder

	* lib/url.c: In Curl_done() if premature is TRUE, it means this
	  connection was said to be DONE before the entire request
	  operation is complete and thus we can't know in what state it is
	  for re-using, so we're forced to close it. In a perfect world we
	  can add code that keep track of if we really must close it here
	  or not, but currently we have no such detail knowledge.

	  Jerome Muffat-Meridol helped us work this out.

2008-02-17 14:40  bagder

	* lib/http.c: don't do the GOT_NOTHING error check if the DONE
	  function was called with premature set TRUE, which means it was
	  done before the request comleted. It could then very well not
	  have received any data.

2008-02-17 14:38  bagder

	* lib/multi.c: added a comment about the ignoring of the
	  Curl_done() return code

2008-02-17 05:36  yangtse

	* configure.ac, tests/server/sockfilt.c: sockfilt will quit when
	  orphaned

2008-02-16 14:44  bagder

	* lib/gtls.c: oops, that was debug code not meant to be committed
	  like this...

2008-02-16 14:41  bagder

	* lib/gtls.c: fix warnings about shadowing

2008-02-16 01:44  gknauf

	* lib/Makefile.netware, src/Makefile.netware: seems that curently
	  we dont need the imports from (l)ldapx.imp.

2008-02-16 01:21  gknauf

	* ares/Makefile.netware: fixed linker def file for tools when
	  compiled with gcc/nlmconv.

2008-02-16 01:15  gknauf

	* lib/Makefile.netware, src/Makefile.netware: re-ordered the module
	  dependency list; removed unsused ldap module dependency since the
	  module didnt autounload from protected address space.

2008-02-15 23:37  bagder

	* CHANGES, RELEASE-NOTES, lib/gtls.c: - Made the gnutls code path
	  not even try to get the server cert if no peer   verification is
	  requested. Previously it would even return failure if gnutls
	  failed to get the server cert even though no verification was
	  asked for.

	  - Fix my Curl_timeleft() leftover mistake in the gnutls code

2008-02-15 22:38  bagder

	* lib/url.c: mention that we explicitly ignore the return code

2008-02-15 18:00  yangtse

	* lib/ssh.c: log SSH public key authentication failure and reason

2008-02-15 10:29  bagder

	* RELEASE-NOTES: new mirror and mirror recount after cleansing

2008-02-15 09:56  bagder

	* CHANGES, RELEASE-NOTES, lib/http.c: - Pooyan McSporran found and
	  fixed a flaw where you first would do a normal   http request and
	  then you'd reuse the handle and replace the Accept: header,	as
	  then libcurl would send two Accept: headers!

2008-02-15 01:41  gknauf

	* lib/mk-ca-bundle.pl: fixed version var.

2008-02-15 01:26  gknauf

	* lib/mk-ca-bundle.pl: moved info block up before help block so
	  that it can also be displayed before help option; trial to add a
	  version number.

2008-02-14 22:24  gknauf

	* ares/Makefile.am: added some files which were missing in release
	  tarballs.

2008-02-14 11:14  bagder

	* TODO-RELEASE: five current issues we should deal with somehow
	  before the next release

2008-02-14 00:06  danf

	* CVS-INFO: Updated some out-of-date information.

2008-02-13 22:36  bagder

	* tests/libtest/lib509.c: make this test disabled properly when
	  built with yassl

2008-02-13 07:06  yangtse

	* tests/runtests.pl: verifyserver() actually returns the pid of the
	  unsecure http and ftp servers when verifying the https and ftps
	  servers

2008-02-12 14:47  yangtse

	* tests/runtests.pl: On heavily loaded systems any test server
	  start up can take longer than the timeout passed to startnew,
	  when this happens startnew completes without being able to read
	  the pidfile and consequently returns a zero pid2.

	  To fix the above posibility the server pid is recovered from the
	  verification stage which will actually return the server pid when
	  verification is valid.

2008-02-12 02:11  yangtse

	* tests/README: fix grammatical issues

2008-02-11 23:03  bagder

	* CHANGES, lib/qssl.c, lib/socks.c, lib/tftp.c: Yang Tse pointed
	  out a few remaining quirks from my timeout refactoring from Feb 7
	  that didn't abort properly on timeouts. These are actually old
	  problems but now they should be fixed.

2008-02-11 21:21  yangtse

	* tests/README: shell startup scripts and possible influence in
	  scp/sftp/socks tests

2008-02-11 21:10  danf

	* tests/runtests.pl: Disable test due to keyword before disabling
	  due to bad server.

2008-02-11 19:52  gknauf

	* lib/mk-ca-bundle.pl: open pipe to openssl commandline instead of
	  writing into temp file.

2008-02-11 19:27  danf

	* lib/tftp.c: Fixed unused variable warning.

2008-02-11 16:00  gknauf

	* lib/mk-ca-bundle.pl: added strict to make sure all vars are
	  properly defined; added -t switch to make text info of CAs
	  optional; added -q switch to be really quiet.

2008-02-11 15:28  yangtse

	* tests/sshserver.pl: Additional SunSSH 1.1 ssh server options

2008-02-10 05:20  yangtse

	* CHANGES, RELEASE-NOTES, lib/hostthre.c: Bug report #1888932
	  (http://curl.haxx.se/bug/view.cgi?id=1888932) points out and
	  provides test program that demonstrates that libcurl might not
	  set error description message for error
	  CURLE_COULDNT_RESOLVE_HOST for Windows threaded name resolver
	  builds. Fixed now.

2008-02-10 03:52  yangtse

	* tests/runtests.pl: Verify only once test harness sftp server
	  connectivity and functionality.

	  Make sure that the sftp client tool uses the ssh client binary
	  that we have used to generate the configuration files, otherwise
	  sftp might be using one located in the preferred path compiled
	  into sftp.

2008-02-10 02:32  gknauf

	* Makefile.am, Makefile.dist: removed 'mv' call and changed to use
	  new backup feature of mk-ca-bundle.pl.

2008-02-10 02:29  gknauf

	* lib/mk-ca-bundle.pl: added -b switch to provide a backup
	  functionality for existing ca-bundle.crt file.

2008-02-09 16:32  gknauf

	* lib/mk-ca-bundle.pl: fixed another wrong var in error message.

2008-02-09 16:07  gknauf

	* Makefile.am, Makefile.dist: make use of mv's backup feature so
	  that calling the ca-bundle target more than once will never fail;
	  ignore error which can occure if for whatever reason there's no
	  orignial ca-bundle.crt to rename.

2008-02-09 16:00  gknauf

	* lib/mk-ca-bundle.pl: fixed wrong var in error message.

2008-02-09 03:37  danf

	* tests/data/: test164, test185, test29, test303: Fixed some XML
	  parsing problems.

2008-02-09 03:08  danf

	* CHANGES, tests/data/test146, tests/data/test183,
	  tests/data/test184, tests/data/test185, tests/data/test300,
	  tests/data/test301, tests/data/test302, tests/data/test304,
	  tests/data/test305, tests/data/test306, tests/data/test307,
	  tests/data/test308, tests/data/test509, tests/data/test94: Added
	  key words to all SSL-using tests so they can be skipped if
	  necessary.  Removed a few unnecessary requires SSL statements.

2008-02-09 03:01  danf

	* tests/data/test303: Fixed test to use HTTPS as documented.

2008-02-08 23:02  bagder

	* CHANGES, RELEASE-NOTES, lib/gtls.c: - Mike Hommey filed and fixed
	  bug report #1889856
	  (http://curl.haxx.se/bug/view.cgi?id=1889856): When using the
	  gnutls ssl   layer, cleaning-up and reinitializing curl ends up
	  with https requests	failing with "ASN1 parser: Element was not
	  found" errors. Obviously a   regression added in 7.16.3.

2008-02-08 22:04  gknauf

	* docs/SSLCERTS: fixed a typo.

2008-02-08 19:42  danf

	* tests/data/: test1022, test1023: Missed checking in these test
	  data files.

2008-02-08 18:32  yangtse

	* tests/sshserver.pl: Get rid of sftp subsystem additional
	  parameters, they aren't widely supported

2008-02-08 14:54  yangtse

	* CHANGES, tests/.cvsignore, tests/runtests.pl, tests/sshhelp.pm,
	  tests/sshserver.pl: To verify that the sftp server is actually
	  running, responsive and that all curl's tests generated
	  configuration and key files are fine, a real connection is
	  established to the test harness sftp server authenticating and
	  running a simple sftp remote pwd command.

	  The verification is done using OpenSSH's or SunSSH's sftp client
	  tool with a configuration file with the same options as the test
	  harness socks server with the exception that dynamic forwarding
	  is not used for sftp.

2008-02-08 12:20  bagder

	* docs/FAQ: and mention make ca-bundle in the 1.11 faq entry as
	  well

2008-02-08 12:18  bagder

	* docs/SSLCERTS: for step 5, mention that we can now generate an
	  own version locally if wanted instead of downloading it from the
	  curl site

2008-02-08 12:16  bagder

	* CHANGES, RELEASE-NOTES: Günter Knauf added lib/mk-ca-bundle.pl
	  which gets the Firefox ca bundle and creates a suitable
	  ca-bundle.crt file in PEM format for use with curl. The
	  recommended way to run it is to use 'make ca-bundle' in the build
	  tree root.

2008-02-08 12:12  bagder

	* Makefile.am: oops, we make the copyright year ranges the simple
	  style

2008-02-08 12:11  bagder

	* Makefile.am: provide the ca-bundle target the same way as the
	  Makefile.dist does it so that it works the same way for
	  configure-based platforms as for non-configure ones

2008-02-08 10:56  bagder

	* lib/Makefile.am: include mk-ca-bundle.pl in the tarballs

2008-02-08 03:57  gknauf

	* Makefile.dist: added ca-bundle target to main makefile; for now
	  this does rename the existing ca-bundle.crt to ca-bundle.crt.old;
	  maybe we can remove this once we are 100% sure that the new
	  script works properly, and just overwrite the shipping one?

2008-02-08 03:38  gknauf

	* lib/mk-ca-bundle.pl: use argument to specify output filename if
	  present.

2008-02-08 02:58  gknauf

	* lib/mk-ca-bundle.pl: fixed regex to fetch certdata.txt version
	  since it was replaced by CVS (argh!) added a switch to display
	  certdata.txt version header.

2008-02-08 02:21  danf

	* CHANGES, tests/data/Makefile.am, tests/libtest/Makefile.am,
	  tests/libtest/test1013.pl, tests/libtest/test1022.pl: Added tests
	  1022 and 1023 to validate output of curl-config --version and
	  --vernum

2008-02-08 02:08  gknauf

	* lib/mk-ca-bundle.pl: added Perl script to create a fresh
	  ca-bundle.crt.

2008-02-07 23:25  bagder

	* CHANGES, RELEASE-NOTES, lib/connect.c, lib/connect.h, lib/ftp.c,
	  lib/gtls.c, lib/qssl.c, lib/socks.c, lib/ssluse.c, lib/tftp.c: -
	  Refactored a lot of timeout code into a few functions in an
	  attempt to make   them all use the same (hopefully correct) logic
	  to make it less error-prone	and easier to introduce
	  library-wide where it should be used.

2008-02-07 16:43  bagder

	* docs/FAQ, lib/ca-bundle.crt: ca-bundle.crt documentational
	  updates that more clearly describe the bundle ca-bundle.crt file
	  as outdated and in need for replacement by anyone who wants to
	  verify modern peers as the one we have is from year 2000!

2008-02-06 20:01  yangtse

	* CHANGES, RELEASE-NOTES, lib/strdup.c: Fix problem in strdup
	  replacement when dealing with absolutely huge strings.

2008-02-06 18:35  yangtse

	* tests/server/tftpd.c: Don't try to compare more than strlen chars

2008-02-06 17:54  yangtse

	* tests/server/: sockfilt.c, sws.c, tftpd.c: Use a long int data
	  type to handle getpid() result

2008-02-05 19:37  yangtse

	* tests/server/sws.c: Fix buffer size specification.

	  Improve handling of boundary conditions for huge requests.

2008-02-05 15:43  yangtse

	* tests/server/sws.c: Minor variable type cleanups.

	  Disable "swsbounce" mode when the received request isn't for the
	  same test and part number.

2008-02-05 03:21  yangtse

	* tests/server/sws.c: proper initialization of httprequest, no
	  longer zeroing out twice the whole 150000+ bytes struct, and also
	  removing an equally big additional buffer for pipelining
	  treatment.

2008-02-04 23:40  gknauf

	* lib/Makefile.netware, src/Makefile.netware: fixed entry symbols
	  when linked with posix prelude.

2008-02-04 23:29  gknauf

	* lib/Makefile.netware, src/Makefile.netware: added makefile flag
	  to link with NLM POSIX semantics.

2008-02-03 13:31  bagder

	* CHANGES, lib/multi.c, lib/url.c, lib/urldata.h: - Dmitry
	  Kurochkin cleaned up the pipelining code and removed the need for
	  and	use of the "is_in_pipeline" struct field.

2008-02-03 13:28  bagder

	* docs/examples/: Makefile.am, threaded-ssl.c: threaded-ssl.c is a
	  little example that does multi-threaded downloads from HTTPS
	  sites with OpenSSL-enabled libcurl (and pthreads) and thus do the
	  thread-locking and things openssl-style.

2008-02-03 11:10  bagder

	* docs/libcurl/curl_multi_timeout.3: it is stable now...

2008-02-01 21:34  danf

	* mkinstalldirs: Make mkinstalldirs ignore umask, for consistency
	  with the rest of the install process.  Note that mkinstalldirs
	  appears to be used only in some configurations.

2008-01-31 17:37  yangtse

	* tests/sshserver.pl: When possible, use additional config options
	  for test harness ssh server, which are deprecated in recent
	  OpenSSH versions but are current for SunSSH.

2008-01-31 13:21  bagder

	* CHANGES, RELEASE-NOTES, lib/cookie.c, lib/cookie.h,
	  tests/data/test31, tests/data/test46: - Niklas Angebrand made the
	  cookie support in libcurl properly deal with the   "HttpOnly"
	  feature introduced by Microsoft and apparently also supported by
	  Firefox: http://msdn2.microsoft.com/en-us/library/ms533046.aspx
	  . HttpOnly   is now supported when received from servers in HTTP
	  headers, when written to   cookie jars and when read from
	  existing cookie jars.

2008-01-31 13:04  bagder

	* CHANGES, lib/file.c, lib/ftp.c, lib/http.c, lib/http_chunks.c,
	  lib/transfer.c, lib/url.c, lib/urldata.h: - Dmitry Kurochkin
	  moved several struct fields from the connectdata struct to   the
	  SingleRequest one to make pipelining better. It is a bit tricky
	  to keep   them in the right place, to keep things related to the
	  actual request or to	 the actual connection in the right place.

2008-01-31 12:36  bagder

	* docs/KNOWN_BUGS: bug 51 may possibly be fixed, and as such it is
	  not a known bug anymore:

	  51.Kevin Reed's reported problem with a proxy when doing CONNECT
	  and it   wants NTLM and close the connection to the initial
	  CONNECT response:   http://curl.haxx.se/bug/view.cgi?id=1879375

2008-01-30 00:46  gknauf

	* lib/Makefile.m32, src/Makefile.m32: silent stupid 'del' message
	  when no files to delete found; added curl.res to clean target.

2008-01-30 00:10  bagder

	* tests/libtest/lib509.c: add verbose output to test 509 for easier
	  debugging

2008-01-29 13:58  bagder

	* CHANGES, RELEASE-NOTES, docs/KNOWN_BUGS, lib/url.c: - Dmitry
	  Kurochkin fixed Curl_done() for pipelining, as it could
	  previously   crash!

2008-01-29 13:31  bagder

	* CHANGES, RELEASE-NOTES, tests/data/test553: - Michal Marek fixed
	  minor mistake in test case 553 that prevented it from   working
	  on other IP-addresses or port numbers.

2008-01-28 22:19  bagder

	* RELEASE-NOTES, include/curl/curlver.h: start over on 7.18.1

2008-01-28 20:25  bagder

	* docs/THANKS: Added peeps from the 7.18.0 release annoucement

2008-01-28 18:28  bagder

	* CHANGES: 7.18.0

2008-01-28 17:04  bagder

	* docs/KNOWN_BUGS: Add the three currently discussed bugs that
	  won't make it into the 7.18.0 release but hopefully they'll all
	  be fixed in 7.18.1...

2008-01-28 12:56  bagder

	* lib/sendf.c: this was modified this year so we bump the copyright
	  year

2008-01-28 12:48  bagder

	* configure.ac: updated copyright year in the generated configure

2008-01-27 23:53  bagder

	* CHANGES, lib/multi.c: Dmitry Kurochkin: In "real world" testing I
	  found more bugs in pipelining. Broken connection is not restored
	  and we get into infinite loop. It happens because of wrong
	  is_in_pipeline values.

2008-01-27 03:35  yangtse

	* tests/sshserver.pl: Dont rely on PAMAuthenticationViaKbdInt
	  default being 'no'

2008-01-26 01:13  bagder

	* tests/data/: Makefile.am, test1021: added test 1021 to verify my
	  fix for bug report #1879375

2008-01-26 00:33  bagder

	* CHANGES, RELEASE-NOTES, lib/http.c: - Kevin Reed filed bug report
	  #1879375   (http://curl.haxx.se/bug/view.cgi?id=1879375) which
	  describes how libcurl   got lost in this scenario: proxy tunnel
	  (or HTTPS over proxy), ask to do any	 proxy authentication and
	  the proxy replies with an auth (like NTLM) and then	closes the
	  connection after that initial informational response.

	    libcurl would not properly re-initialize the connection to the
	  proxy and
	    continue the auth negotiation like supposed. It does now
	  however, as it will
	    now detect if one or more authentication methods were available
	  and asked
	    for, and will thus retry the connection and continue from
	  there.

	  - I made the progress callback get called properly during proxy
	  CONNECT.

2008-01-25 23:35  bagder

	* docs/curl.1: using anyauth isn't unconditionally an extra
	  roundtrip

2008-01-25 23:10  bagder

	* docs/INSTALL: just wanted to mention two uclinux archs I've tried
	  libcurl builds on myself

2008-01-25 06:08  yangtse

	* tests/server/sws.c: improve request initialization for test
	  harness HTTP server

2008-01-25 06:07  yangtse

	* tests/server/sws.c: Dmitry Kurochkin's test harness HTTP server
	  pipelining fix fot test 530

2008-01-24 18:17  bagder

	* CHANGES, RELEASE-NOTES: and Igor Franchuk is his name!

2008-01-24 16:39  gknauf

	* packages/NetWare/get_ver.awk: fixed link to latest native awk.

2008-01-24 16:28  gknauf

	* lib/Makefile.netware, src/Makefile.netware: updated makefiles to
	  use global copyright define.

2008-01-24 16:27  gknauf

	* packages/NetWare/get_ver.awk: updated awk script to fetch
	  copyright from header.

2008-01-24 16:05  gknauf

	* lib/Makefile.netware, src/Makefile.netware: minor makefile
	  tweaks.

2008-01-24 15:15  gknauf

	* src/version.h: happy new year

2008-01-24 15:14  gknauf

	* src/: curl.rc, version.h: use more correctly named define.

2008-01-24 15:10  gknauf

	* lib/libcurl.rc, src/curl.rc: use copyright define instead of
	  hardcoded string.

2008-01-24 15:05  gknauf

	* include/curl/curlver.h: added copyright define to curlver.h.

2008-01-23 23:22  bagder

	* CHANGES, RELEASE-NOTES, lib/cookie.c, lib/cookie.h, lib/http.c:
	  "Igor" pointed out that CURLOPT_COOKIELIST set to "ALL" leaked
	  memory, and so did "SESS". Fixed now.

2008-01-23 13:22  bagder

	* lib/multi.c: Dmitry Kurochkin's pipelining close-down segfault
	  fix

2008-01-23 08:27  yangtse

	* docs/INSTALL, lib/Makefile.vc6, src/Makefile.vc6: update openssl
	  version

2008-01-23 07:11  yangtse

	* src/main.c: STDIN_FILENO, STDOUT_FILENO and STDERR_FILENO clone
	  macros

2008-01-23 03:12  gknauf

	* lib/nwlib.c: happy new year

2008-01-23 03:10  gknauf

	* lib/nwlib.c: removed inclusion of libcurl memory debug headers
	  since this lib stub is a well proofed method suggested by Novell.
	  This enables usage of the stub with language bindings.

2008-01-22 18:26  yangtse

	* lib/ssh.c: when unable to initialize sftp session, also log
	  failure reason

2008-01-22 15:52  yangtse

	* CHANGES, configure.ac, lib/select.h, src/main.c,
	  tests/server/util.c: check availability of poll.h header at
	  configuration time, and include it when sys/poll.h is unavailable

2008-01-22 04:48  yangtse

	* lib/libcurl.rc, src/curl.rc: update copyright year

2008-01-22 00:48  bagder

	* CHANGES, RELEASE-NOTES, lib/multi.c, lib/sendf.c, lib/url.c,
	  lib/urldata.h: Dmitry Kurochkin removed the cancelled state for
	  pipelining, as we agreed that it is bad anyway. Starting now,
	  removing a handle that is in used in a pipeline will break the
	  pipeline - it'll be set back up again but still...

2008-01-21 21:22  yangtse

	* CHANGES, configure.ac: Disable ldap support for cygwin builds,
	  since it breaks whole build process.

2008-01-21 06:35  yangtse

	* tests/libtest/: Makefile.am, lib530.c: undo using internal
	  *printf() clones for test #530

2008-01-20 23:53  yangtse

	* tests/libtest/: Makefile.am, lib530.c: use internal *printf()
	  clones since snprintf() not available on all platforms

2008-01-20 12:29  bagder

	* RELEASE-NOTES: Judson provided an example, and the added mirror
	  adds the count

2008-01-20 12:12  bagder

	* docs/examples/smooth-gtk-thread.c: This is a multi threaded
	  application that uses a progress bar to show status.	It uses
	  Gtk+ to make a smooth pulse. Written by Jud Bishop

2008-01-20 12:07  bagder

	* RELEASE-NOTES: http://curl.very-clever.com/ is a new mirror in
	  Nuremberg, Germany

2008-01-20 05:05  yangtse

	* tests/sshserver.pl: Also disable GSSAPIAuthentication for the
	  test harness ssh client

2008-01-19 12:33  bagder

	* Makefile.dist: added a (sample) target for 64bit msvc builds

2008-01-19 11:30  bagder

	* src/main.c: rephrased the --socks5-hostname help output somewhat

2008-01-19 11:14  bagder

	* tests/: data/test530, libtest/lib530.c: Dmitry Kurochkin fixed
	  test case 530 (pipelining)

2008-01-18 22:51  bagder

	* CHANGES, RELEASE-NOTES, lib/multi.c: Lau Hang Kin found and fixed
	  a problem with the multi interface when doing CONNECT over a
	  proxy. curl_multi_fdset() didn't report back the socket properly
	  during that state, due to a missing case in the switch in the
	  multi_getsock() function.

2008-01-18 10:18  yangtse

	* tests/runtests.pl: fix failure to properly detect SSH and SOCKS
	  servers start up on loaded systems

2008-01-18 06:58  yangtse

	* src/main.c: to actually allow really big HTTP POSTs curl's
	  postfieldsize type is changed to curl_off_t and
	  CURLOPT_POSTFIELDSIZE_LARGE is used to pass value to libcurl

2008-01-17 23:43  bagder

	* RELEASE-NOTES: curl-java 0.2.1

2008-01-17 22:46  bagder

	* docs/BINDINGS: the java binding is not really maintained

2008-01-17 19:57  yangtse

	* CHANGES, tests/libtest/lib518.c, tests/libtest/lib537.c: Don't
	  abort tests 518 and 537 when unable to raise the open-file soft
	  limit

2008-01-17 19:03  yangtse

	* src/main.c: fix compiler warning

2008-01-17 05:10  danf

	* tests/data/: test551, test552: Put the comments in an XML-valid
	  location.

2008-01-17 02:25  gknauf

	* lib/Makefile.m32, src/Makefile.m32: updated lib versions.

2008-01-17 02:20  gknauf

	* ares/Makefile.netware, lib/Makefile.netware,
	  src/Makefile.netware: updated copyright for new year.

2008-01-16 23:54  bagder

	* tests/: data/Makefile.am, data/test553, libtest/Makefile.am,
	  libtest/lib553.c: Added test 553. This test case and code is
	  based on the bug recipe Joe Malicki provided for bug report
	  #1871269, fixed on Jan 14 2008 before the 7.18.0 release.

2008-01-16 23:09  bagder

	* tests/runtests.pl: remove trailing comma too, even though I don't
	  think it does any harm

2008-01-16 23:08  bagder

	* CHANGES, RELEASE-NOTES, tests/runtests.pl: Nathan Coulter's patch
	  that makes runtests.pl respect the PATH when figuring out what
	  valgrind to run.

2008-01-16 22:33  bagder

	* lib/multi.c: Dmitry Kurochkin's additional pipelining bugfix

2008-01-16 22:01  yangtse

	* CHANGES, RELEASE-NOTES, src/main.c: fix handling of out of memory
	  in the command line tool that afected data url encoded HTTP POSTs
	  when reading it from a file.

2008-01-16 17:04  patrickm

	* packages/OS400/: README.OS400, ccsidcurl.c, ccsidcurl.h,
	  curl.inc.in, initscript.sh, make-lib.sh, os400sys.c, os400sys.h:
	  OS/400 update: New declarations in curl.h reported to
	  curl.inc.in.	Copyrights extended to 2008.  SONAME handling
	  introduced in build scripts.

2008-01-16 13:24  bagder

	* CHANGES, RELEASE-NOTES, TODO-RELEASE, lib/llist.c, lib/llist.h,
	  lib/multi.c, lib/transfer.c, lib/url.c, lib/url.h, lib/urldata.h,
	  tests/data/test530: Dmitry Kurochkin worked a lot on improving
	  the HTTP Pipelining support that previously had a number of
	  flaws, perhaps most notably when an application fired up N
	  transfers at once as then they wouldn't pipeline at all that
	  nicely as anyone would think... Test case 530 was also updated to
	  take the improved functionality into account.

2008-01-16 00:19  bagder

	* CHANGES, RELEASE-NOTES, lib/ftp.c, lib/krb4.c, lib/nss.c,
	  lib/qssl.c, lib/ssh.c, lib/ssluse.c, lib/tftp.c, lib/transfer.c:
	  Calls to Curl_failf() are not supposed to provide a trailing
	  newline as the function itself adds that. Fixed on 50 or
	  something strings!

2008-01-15 23:44  bagder

	* lib/: easy.c, hostip.c, hostip.h, url.c, urldata.h: Woops, partly
	  revert my previous commit and do it slightly differently instead.
	   The signalling of that a global DNS cache is wanted is done by
	  setting the option but the setting of the internal variable that
	  it is in use must not be done until it finally actually gets
	  used!

	  NOTE and WARNING: I noticed that you can't actually switch off
	  the global dns cache with CURLOPT_DNS_USE_GLOBAL_CACHE but you
	  couldn't do that previously either and the option is very clearly
	  and loudly documented as DO NOTE USE so I won't bother to fix
	  this bug now.

2008-01-15 23:15  bagder

	* CHANGES, docs/TODO, lib/hostip.c, lib/hostip.h, lib/url.c,
	  lib/urldata.h: I made the torture test on test 530 go through.
	  This was actually due to silly code left from when we switched to
	  let the multi handle "hold" the dns cache when using the multi
	  interface... Of course this only triggered when a certain
	  function call returned error at the correct moment.

2008-01-15 09:45  bagder

	* docs/curl.1: Michal Marek's improved .curlrc syntax description

2008-01-14 23:02  bagder

	* CHANGES, RELEASE-NOTES, lib/http.c: Joe Malicki filed bug report
	  #1871269 (http://curl.haxx.se/bug/view.cgi?id=1871269) and we
	  could fix his hang- problem that occurred when doing a large HTTP
	  POST request with the response-body read from a callback.

2008-01-14 20:40  yangtse

	* lib/socks.c: fix compiler warning

2008-01-14 20:28  yangtse

	* tests/runtests.pl: startnew() shouldn't return a positive pid as
	  reported in the pidfile by the spawned server itself unless it is
	  actually alive

2008-01-14 18:49  bagder

	* docs/TODO: 5.3 support FF3 sqlite cookie files

2008-01-14 17:51  giva

	* lib/urldata.h: Trying GnuTLS and OpenSSL together fails to
	  compile in not so obvious ways. Give an explicit error.

2008-01-14 02:53  yangtse

	* TODO-RELEASE: #115 is done

2008-01-13 05:39  yangtse

	* lib/socks.c, src/main.c: fix compiler warning

2008-01-13 04:27  yangtse

	* tests/data/: test1016, test1017, test1018, test1019, test1020:
	  add client features part

2008-01-12 23:56  bagder

	* CHANGES, RELEASE-NOTES, src/main.c: I re-arranged the curl --help
	  output. All the options are now sorted on their long option names
	  and all descriptions are one-liners.

2008-01-12 23:10  bagder

	* CHANGES, RELEASE-NOTES, TODO-RELEASE, docs/curl.1, src/main.c:
	  Eric Landes provided the patch (edited by me) that introduces the
	  --keepalive-time to curl to set the keepalive probe interval. I
	  also took the opportunity to rename the recently added
	  no-keep-alive option to no-keepalive to keep a consistent naming
	  and to avoid getting two dashes in these option names. Eric also
	  provided an update to the man page for the new option.

2008-01-12 11:31  bagder

	* CHANGES.0: added release dates for four very old releases

2008-01-12 05:32  yangtse

	* tests/sshserver.pl: Remove hardcoded verbosity

2008-01-12 01:12  yangtse

	* tests/runtests.pl: Ooops

2008-01-11 22:59  yangtse

	* tests/runtests.pl: Ooops

2008-01-11 22:23  bagder

	* COPYING: new year

2008-01-11 21:17  yangtse

	* tests/runtests.pl: When verifying that test harness's SSH and
	  SOCKS servers have been started check also that the process is
	  actually alive, since they could have died once the pidfile was
	  written out

2008-01-11 18:35  yangtse

	* lib/ftp.c: fix compiler warning

2008-01-11 17:49  yangtse

	* lib/file.c: fix compiler warning

2008-01-11 16:21  bagder

	* TODO-RELEASE: "114 - Ranged downloads on file:// URLs" done

2008-01-11 15:20  bagder

	* CHANGES, RELEASE-NOTES, docs/curl.1,
	  docs/libcurl/curl_easy_setopt.3, lib/file.c,
	  tests/data/Makefile.am, tests/data/test1016, tests/data/test1017,
	  tests/data/test1018, tests/data/test1019, tests/data/test1020:
	  Daniel Egger made CURLOPT_RANGE work on file:// URLs the very
	  same way it already worked for FTP:// URLs

2008-01-11 15:00  bagder

	* CHANGES, configure.ac, src/main.c: I made the curl tool switch
	  from using CURLOPT_IOCTLFUNCTION to now use the spanking new
	  CURLOPT_SEEKFUNCTION simply to take advantage of the improved
	  performance for the upload resume cases where you want to upload
	  the last few bytes of a very large file. To implement this
	  decently, I had to switch the client code for uploading from
	  fopen()/fread() to plain open()/read() so that we can use lseek()
	  to do >32bit seeks (as fseek() doesn't allow that) on systems
	  that offer support for that.

2008-01-10 23:14  bagder

	* CHANGES, RELEASE-NOTES, curl-config.in: Michal Marek made
	  curl-config --libs not include /usr/lib64 in the output (it
	  already before skipped /usr/lib).  /usr/lib64 is the default
	  library directory on many 64bit systems and it's unlikely that
	  anyone would use the path privately on systems where it's not.

2008-01-10 17:19  yangtse

	* tests/: runtests.pl, sshserver.pl: Temporary change to help
	  debugging SSH server verification failures

2008-01-10 11:31  bagder

	* TODO-RELEASE: Two more items done:

	  109 - curl_easy_pause 110 - seekfunction

2008-01-10 11:30  bagder

	* CHANGES, RELEASE-NOTES, docs/libcurl/curl_easy_setopt.3,
	  include/curl/curl.h, lib/ftp.c, lib/http.c, lib/transfer.c,
	  lib/url.c, lib/urldata.h, src/main.c: Georg Lippitsch brought
	  CURLOPT_SEEKFUNCTION and CURLOPT_SEEKDATA to allow libcurl to
	  seek in a given input stream. This is particularly important when
	  doing upload resumes when there's already a huge part of the file
	  present remotely. Before, and still if this callback isn't used,
	  libcurl will read and through away the entire file up to the
	  point to where the resuming begins (which of course can be a slow
	  opereration depending on file size, I/O bandwidth and more). This
	  new function will also be preferred to get used instead of the
	  CURLOPT_IOCTLFUNCTION for seeking back in a stream when doing
	  multi-stage HTTP auth with POST/PUT.

2008-01-10 10:17  bagder

	* CHANGES, RELEASE-NOTES, lib/http_digest.c: Nikitinskit Dmitriy
	  filed bug report #1868255
	  (http://curl.haxx.se/bug/view.cgi?id=1868255) with a patch. It
	  identifies and fixes a problem with parsing WWW-Authenticate:
	  headers with additional spaces in the line that the parser wasn't
	  written to deal with.

2008-01-10 10:16  bagder

	* lib/transfer.c: corrected comment

2008-01-09 20:11  yangtse

	* lib/socks.c, lib/tftp.c, lib/transfer.c, src/main.c: fix compiler
	  warning

2008-01-09 02:11  yangtse

	* tests/sshhelp.pm: Fix file Id

2008-01-09 01:58  yangtse

	* tests/sshhelp.pm: Add /usr/freeware/sbin and
	  /usr/freeware/libexec to the ssh binaries locations search list.

2008-01-08 23:15  bagder

	* docs/KNOWN_BUGS: added the --retry problems mention on the
	  curl-library list today

2008-01-08 21:12  yangtse

	* tests/runtests.pl: Partially cleanup debugging messages in test
	  harness, introduced for new minimum SSH version support for SCP,
	  SFTP and SOCKS tests.

	  Some verbosity which still remains, will go out before next
	  release.

2008-01-08 20:18  yangtse

	* tests/sshserver.pl: Remove increased loglevel intended to debug
	  autobuild's publickey authentication failures when using OpenSSH
	  2.9.9 or SunSSH.

	  Verified fact: Even when only using publickey authentication,
	  OpenSSH and SunSSH first validate the user, this implies that if
	  the user validation fails, 'invalid user', the publickey
	  authentication will not be allowed to complete.

2008-01-08 15:52  bagder

	* CHANGES, RELEASE-NOTES, docs/curl.1, docs/libcurl/Makefile.am,
	  docs/libcurl/curl_easy_pause.3, docs/libcurl/curl_easy_setopt.3,
	  include/curl/curl.h, include/curl/curlver.h, lib/easy.c,
	  lib/multi.c, lib/sendf.c, lib/transfer.c, lib/url.c,
	  lib/urldata.h: Introducing curl_easy_pause() and new magic return
	  codes for both the read and the write callbacks that now can make
	  a connection's reading and/or writing get paused.

2008-01-08 12:11  bagder

	* TODO-RELEASE: removed 113, both bugs #1850730 and #1854175 are
	  fixed in CVS

2008-01-08 02:05  yangtse

	* lib/connect.c: Change typecast due to
	  http://cool.haxx.se/cvs.cgi/curl/include/curl/curl.h.diff?r1=1.336&r2=1.337

2008-01-08 01:40  yangtse

	* tests/sshserver.pl: Increase loglevel to debug autobuild's
	  publickey authentication failures when using OpenSSH 2.9.9 or
	  SunSSH

2008-01-08 01:39  yangtse

	* tests/runtests.pl: Display ssh server log and configuration upon
	  socks server failure

2008-01-07 20:54  danf

	* tests/data/test289: Fixed test description

2008-01-07 17:32  patrickm

	* packages/OS400/curl.inc.in: ILE RPG support update (from
	  include/curl/curl.h)

2008-01-07 00:22  bagder

	* TODO-RELEASE: updated URLs and moved down two issues to the new
	  "less likely" section

2008-01-06 22:41  bagder

	* lib/: ftp.c, url.c: more SOCKS5_HOSTNAME adjustments from Richard
	  Atterer

2008-01-06 13:56  bagder

	* lib/ftp.c: make sure we deal with SOCKS5_HOSTNAME as a proxy type
	  as well

2008-01-06 13:56  bagder

	* src/main.c: Richard Atterer reverted back what I missed in my
	  previous revert ;-)

2008-01-06 13:54  bagder

	* lib/url.c: make sure CURLPROXY_SOCKS5_HOSTNAME is taken care of
	  as well

2008-01-06 12:10  bagder

	* TODO-RELEASE: fixed: 116 - bug #1863171, curl_getdate() bug
	  added: 117 - Eric Landes patch for introducing the --tcp-keep*
	  options

2008-01-06 11:50  bagder

	* CHANGES, RELEASE-NOTES, lib/parsedate.c: Jeff Johnson filed bug
	  report #1863171 (http://curl.haxx.se/bug/view.cgi?id=1863171)
	  where he pointed out that libcurl's date parser didn't accept a
	  +1300 time zone which actually is used fairly often (like New
	  Zealand's Dailight Savings Time), so I modified the parser to now
	  accept up to and including -1400 to +1400.

2008-01-06 03:02  yangtse

	* tests/sshserver.pl: Increase MaxAuthTries from 0 to 10. Using a
	  value of 0 is too restrictive

2008-01-05 23:04  bagder

	* CHANGES, RELEASE-NOTES, docs/curl.1,
	  docs/libcurl/curl_easy_setopt.3, include/curl/curl.h,
	  lib/socks.c, lib/url.c, lib/urldata.h, src/main.c: Based on
	  further discussion on curl-library, I reverted yesterday's SOCKS5
	  code to instead introduce support for a new proxy type called
	  CURLPROXY_SOCKS5_HOSTNAME that is used to send the host name to
	  the proxy instead of IP address and there's thus no longer any
	  need for a new curl_easy_setopt() option.

	  The default SOCKS5 proxy is again back to sending the IP address
	  to the proxy.  The new curl command line option for enabling
	  sending host name to a SOCKS5 proxy is now --socks5-hostname.

2008-01-05 22:04  bagder

	* RELEASE-NOTES: Added Daniel Egger and extended the
	  --no-keep-alive description

2008-01-05 13:15  bagder

	* tests/data/test200: added keyword

2008-01-05 02:39  yangtse

	* src/main.c: Don't abort operation when attempting to set
	  SO_KEEPALIVE fails, just issue a warning and ignore the failure.

2008-01-05 00:57  danf

	* tests/FILEFORMAT: "yes" must be in quotes to be XML compatible

2008-01-05 00:55  bagder

	* TODO-RELEASE: 111 - DNS resolve over socks5 is done added 116 -
	  bug #1863171, curl_getdate() bug

2008-01-05 00:31  bagder

	* tests/: FILEFORMAT, runtests.pl: Daniel Egger provided
	  'nonewline=yes' support for the <stdout> section

2008-01-05 00:01  bagder

	* CHANGES, RELEASE-NOTES, docs/curl.1,
	  docs/libcurl/curl_easy_setopt.3, include/curl/curl.h,
	  lib/socks.c, lib/url.c, lib/urldata.h, src/main.c: Based on Maxim
	  Perenesenko's patch, we now do SOCKS5 operations and let the
	  proxy do the host name resolving and only if --socks5ip (or
	  CURLOPT_SOCKS5_RESOLVE_LOCAL) is used we resolve the host name
	  locally and pass on the IP address only to the proxy.

2008-01-04 23:16  bagder

	* docs/TODO: 14.3 extend CURLOPT_SOCKOPTFUNCTION prototype (for
	  next SONAME bump)

2008-01-04 20:56  yangtse

	* tests/runtests.pl: Missing newline at end of message

2008-01-04 16:39  yangtse

	* tests/libtest/lib552.c: Fix 'format string' compiler warning

2008-01-04 15:12  yangtse

	* tests/sshserver.pl: 'ControlPath' ssh client configuration file
	  option requires OpenSSH 4.2 or later to accept 'none' as an
	  indication to disable connection multiplexing

2008-01-04 14:24  yangtse

	* tests/sshserver.pl: SunSSH 1.1 ssh client does not support config
	  file options:

	   ConnectTimeout
	   ForwardX11Trusted
	   HashKnownHosts
	   RekeyLimit
	   ServerAliveCountMax
	   ServerAliveInterval

2008-01-04 14:00  yangtse

	* tests/runtests.pl: - Display curl_ssh_config when socks server
	  fails to start.

	  - Capability of running socks5 tests must be based on ssh daemon
	  version   and not on ssh client version.

2008-01-04 04:05  yangtse

	* tests/runtests.pl: Make sure @INC is modified before 'using' the
	  sshhelp module.

2008-01-04 04:04  yangtse

	* tests/sshserver.pl: 'LocalCommand' no longer used for ssh client
	  config file. When used it requires a non blank argument.

2008-01-03 21:48  yangtse

	* CHANGES, TODO-RELEASE, tests/Makefile.am, tests/runtests.pl,
	  tests/sshhelp.pm, tests/sshserver.pl: Modify test harness so that
	  the minimum SSH version required to run SCP, SFTP and SOCKS4
	  tests is now OpenSSH 2.9.9 or SunSSH 1.0

	  For SOCKS5 tests minimum versions are OpenSSH 3.7 or SunSSH 1.0

2008-01-03 16:18  giva

	* lib/: ftp.c, url.c: 'false' and 'true' are not built-ins on most
	  compilers.  Use TRUE/FALSE from setup_once.h.

2008-01-02 23:46  bagder

	* TODO-RELEASE: one gone, one added

2008-01-02 23:30  bagder

	* CHANGES, lib/http_chunks.c: - I fixed two cases of missing return
	  code checks when handling chunked   decoding where a write error
	  (or abort return from a callback) didn't stop   libcurl's
	  processing.

2008-01-02 23:23  bagder

	* CHANGES, RELEASE-NOTES, include/curl/curl.h: I removed the
	  socklen_t use from the public curl/curl.h header and instead made
	  it an unsigned int. The type was only used in the curl_sockaddr
	  struct definition (only used by the curl_opensocket_callback). On
	  all platforms I could find information about, socklen_t is 32
	  unsigned bits large so I don't think this will break the API or
	  ABI. The main reason for this change is of course for all the
	  platforms that don't have a socklen_t definition in their headers
	  to build fine again. Providing our own configure magic and custom
	  definition of socklen_t on those systems proved to work but was a
	  lot of cruft, code and extra magic needed - when this very small
	  change of type seems harmless and still solves the missing
	  socklen_t problem.

2008-01-02 22:40  bagder

	* CHANGES, RELEASE-NOTES, docs/curl.1,
	  docs/libcurl/curl_easy_setopt.3, include/curl/curl.h, lib/ftp.c,
	  lib/socks.c, lib/socks.h, lib/url.c, src/main.c: Richard Atterer
	  brought a patch that added support for SOCKS4a proxies, which is
	  an inofficial PROXY4 variant that sends the hostname to the proxy
	  instead of the resolved address (which is already supported by
	  SOCKS5).  --socks4a is the curl command line option for it and
	  CURLOPT_PROXYTYPE can now be set to CURLPROXY_SOCKS4A as well.

2008-01-02 22:39  bagder

	* TODO-RELEASE: updated

2008-01-02 06:30  giva

	* ares/acountry.c: Added '-d' option for Watt-32 debugging.

2008-01-01 22:11  bagder

	* CHANGES, RELEASE-NOTES, src/main.c: Mohun Biswas pointed out that
	  --libcurl generated a source code with an int function but
	  without a return statement. While fixing that, I also took care
	  about adding some better comments for the generated code.

2007-12-27 22:44  bagder

	* docs/curl.1: --libcurl was added in 7.16.1, a useful information

2007-12-27 00:29  bagder

	* CHANGES, RELEASE-NOTES, lib/url.c: Dmitry Kurochkin mentioned a
	  flaw (http://curl.haxx.se/mail/lib-2007-12/0252.html) in
	  detect_proxy() which failed to set the bits.proxy variable
	  properly when an environment variable told libcurl to use a http
	  proxy.

2007-12-26 22:48  bagder

	* CHANGES, tests/data/Makefile.am, tests/data/test552,
	  tests/libtest/Makefile.am, tests/libtest/lib552.c: In an attempt
	  to repeat the problem in bug report #1850730
	  (http://curl.haxx.se/bug/view.cgi?id=1850730) I wrote up test
	  case 552. The test is doing a 70K POST with a read callback and
	  an ioctl callback over a proxy requiring Digest auth. The test
	  case code is more or less identical to the test recipe code
	  provided by Spacen Jasset (who submitted the bug report).

2007-12-26 22:46  bagder

	* TODO-RELEASE: what we're having atm

2007-12-25 14:26  gknauf

	* lib/sslgen.c: added missing semicolon fromn last commit.

2007-12-25 00:45  bagder

	* CHANGES, RELEASE-NOTES, lib/sslgen.c: Gary Maxwell filed bug
	  report #1856628 (http://curl.haxx.se/bug/view.cgi?id=1856628) and
	  provided a fix for the (small) memory leak in the SSL session ID
	  caching code. It happened when a previous entry in the cache was
	  re-used.

2007-12-22 19:25  danf

	* tests/: runtests.pl, sshserver.pl, httpsserver.pl: Use getcwd()
	  to get the directory, which works even if one of the directory
	  components doesn't have read permission set.

2007-12-20 22:21  danf

	* tests/testcurl.pl: Use getcwd() to get the directory, which works
	  even if one of the directory components doesn't have read
	  permission set.

2007-12-19 22:19  danf

	* CHANGES, src/Makefile.am: Ensure that nroff doesn't put anything
	  but ASCII characters into the --manual text.

2007-12-18 19:33  yangtse

	* CHANGES, RELEASE-NOTES, src/main.c:
	  (http://curl.haxx.se/mail/archive-2007-12/0039.html) reported and
	  fixed a file truncation problem on Windows build targets
	  triggered when retrying a download with curl.

2007-12-18 19:08  yangtse

	* CHANGES, ares/config-win32.h, lib/config-win32.h,
	  src/config-win32.h: MSVC 9.0 (VS2008) does not support Windows
	  build targets prior to WinXP, and makes wrong asumptions of build
	  target when it isn't specified. So, if no build target has been
	  defined we will target WinXP when building with MSVC 9.0
	  (VS2008).

2007-12-18 11:36  yangtse

	* CHANGES, RELEASE-NOTES, lib/config-win32.h: pollfd struct and
	  WSA_poll fixes for Windows Vista already present in CVS

2007-12-17 22:19  bagder

	* CHANGES, RELEASE-NOTES, lib/config-win32.h: Mateusz Loskot
	  pointed out that VC++ 9.0 (2008) has the pollfd struct and
	  defines in the SDK somehow differently so we have to add a define
	  to the config-win32.h file to make select.h compile nicely.

2007-12-15 23:19  bagder

	* tests/data/test551: spell!

2007-12-15 23:13  bagder

	* tests/data/: Makefile.am, test551: Add test 551 that tests
	  callback-post over a proxy that requires Digest auth.  A failed
	  attempt to repeat bug report #1850730 (ie the test works fine).

2007-12-14 23:09  bagder

	* configure.ac: remove mistaken "-d" from here

2007-12-14 12:19  bagder

	* docs/curl.1: -u addition: If you just give the user name (without
	  entering a colon) curl will prompt for a password. Denis Bredelet
	  pointed out!

2007-12-14 02:09  danf

	* tests/data/: test549, test550: Added missing <features>

2007-12-14 02:05  danf

	* tests/data/: test549, test550: Fixed typo in test title

2007-12-13 15:39  yangtse

	* src/main.c: Fix compiler warning

2007-12-13 11:00  bagder

	* CHANGES, RELEASE-NOTES, lib/http.c: David Wright filed bug report
	  #1849764 (http://curl.haxx.se/bug/view.cgi?id=1849764) with an
	  included fix. He identified a problem for re-used connections
	  that previously had sent Expect: 100-continue and in some
	  situations the subsequent POST (that didn't use Expect:) still
	  had the internal flag set for its use. David's fix (that makes
	  the setting of the flag in every single request unconditionally)
	  is fine and is now used!

2007-12-12 12:22  bagder

	* CHANGES, RELEASE-NOTES, TODO-RELEASE, docs/curl.1, src/main.c:
	  Gilles Blanc made the curl tool enable SO_KEEPALIVE for the
	  connections and added the --no-keep-alive option that can disable
	  that on demand.

2007-12-11 22:19  bagder

	* docs/libcurl/curl_multi_setopt.3: clarify that the
	  CURLMOPT_TIMERFUNCTION callback can pass in 0 and -1 as legal
	  values and what they mean

2007-12-11 20:34  bagder

	* ares/Makefile.am: build acountry too

2007-12-11 18:26  giva

	* ares/CHANGES: Added acountry.c.

2007-12-11 18:24  giva

	* ares/Makefile.netware: Added build of acountry.nlm.

2007-12-11 18:23  giva

	* ares/: Makefile.m32, Makefile.vc6: Added build of acountry.exe.

2007-12-11 18:22  giva

	* ares/Makefile.dj: Build acountry.exe. Added 'socklen_t' define.

2007-12-11 18:21  giva

	* ares/acountry.c: Another sample application that returns
	  country-code and name from an IPv4-address or host-name. Using
	  the service of countries.nerd.dk.

2007-12-10 23:20  bagder

	* ares/Makefile.am: grrr, the previous commit was meant to properly
	  make sure that we don't link any executables when doing debug
	  builds since they kind of assume symbols provided by libcurl, but
	  it also wrongly included acountry.c

2007-12-10 23:19  bagder

	* ares/: Makefile.am, configure.ac: when building

2007-12-10 22:42  bagder

	* ares/Makefile.am: build ahost and adig by default but don't
	  install them

2007-12-10 18:09  patrickm

	* packages/OS400/: README.OS400, curl.inc.in, initscript.sh,
	  make-lib.sh: Define new options in OS400 RPG interface Port OS400
	  compilation scripts to >= V5R2M0

2007-12-10 17:14  giva

	* ares/: ares.h, ares_ipv6.h: Fix for targets that do have 'struct
	  in6_addr', but which doesn't define 's6_addr' as a macro.

2007-12-10 12:33  bagder

	* docs/FAQ: cut out the number of contributors from this file since
	  it'll always be wrong

2007-12-10 11:28  bagder

	* docs/FAQ: 5.13 How do I stop an ongoing transfer?

2007-12-09 23:31  bagder

	* CHANGES, RELEASE-NOTES, lib/sendf.c: Andrew Moise filed bug
	  report #1847501 (http://curl.haxx.se/bug/view.cgi?id=1847501) and
	  pointed out a memcpy() that should be memmove() in the
	  convert_lineends() function.

2007-12-09 13:26  bagder

	* docs/TODO: add in toc too

2007-12-09 13:22  bagder

	* docs/TODO: RTMP support?

2007-12-09 13:20  bagder

	* docs/TODO: oops another bad numbering

2007-12-09 13:12  bagder

	* docs/TODO: oops duplicate numbering

2007-12-09 13:00  bagder

	* docs/TODO: slightly rephrased

2007-12-09 10:58  giva

	* src/Makefile.Watcom: Removed use of '..\lib\libcurl_wc.lib' as
	  this is not really a static-lib. Renamed 'OBJ_DIR' to
	  'WC_Win32.obj'.

2007-12-09 10:44  giva

	* lib/Makefile.Watcom: Removed building 'libcurl_wc.lib' as this
	  isn't a static-library in the common sense. Renamed 'OBJ_DIR' to
	  'WC_Win32.obj'.

2007-12-09 00:01  bagder

	* CHANGES: Travelling some 500km by train back and forth on the
	  same day gives you time to do things you don't otherwise do, but
	  here's the summary of today's work...

2007-12-09 00:00  bagder

	* docs/TODO: reformat to FAQ/CONTRIBUTE style, for nicer web-look
	  when I apply the magic script(s) on it online

2007-12-08 23:58  bagder

	* docs/KNOWN_BUGS: cleanup

2007-12-08 23:57  bagder

	* src/main.c: fix a crash in oom situations (thanks runtests.pl
	  -t!)

2007-12-08 23:56  bagder

	* tests/data/: test1008, test137, test138, test139, test140,
	  test141, test142, test143, test144, test145, test146, test35: add
	  keywords

2007-12-08 23:56  bagder

	* tests/data/Makefile.am: add missing files

2007-12-08 23:53  bagder

	* tests/libtest/lib547.c: correct the comment about size

2007-12-08 23:53  bagder

	* tests/: data/test549, data/test550, libtest/Makefile.am,
	  libtest/lib549.c: add test 549 and 550

2007-12-08 23:52  bagder

	* docs/libcurl/curl_easy_setopt.3: mention how to enable chunked
	  encoding for POSTs

2007-12-08 23:50  bagder

	* lib/: dict.c, file.c, ftp.c, http.c, parsedate.c, sendf.c,
	  ssluse.c, telnet.c, tftp.c, transfer.c, url.c: All static
	  functions that were previously name Curl_* something no longer
	  use that prefix as we use that prefix only for library-wide
	  internal global symbols.

2007-12-06 23:36  bagder

	* docs/libcurl/curl_multi_timeout.3: clarify that when
	  curl_multi_timeout() returns -1 it just means that there is no
	  current timeout. It does not mean wait forever and it does not
	  mean do not wait at all. It means there is no timeout value known
	  at this point in time.

2007-12-05 22:20  bagder

	* CHANGES, RELEASE-NOTES, lib/http.c, tests/data/test547,
	  tests/data/test548, tests/libtest/lib547.c: Spacen Jasset
	  reported a problem with doing POST (with data read with a
	  callback) over a proxy when NTLM is used as auth with the proxy.
	  The bug also concerned Digest and was limited to using callback
	  only. Spacen worked with us to provide a useful patch. I added
	  the test case 547 and 548 to verify two variations of POST over
	  proxy with NTLM.

2007-12-05 12:10  bagder

	* tests/libtest/lib547.c: fix compiler warning

2007-12-05 12:08  bagder

	* tests/: data/test548, libtest/Makefile.am, libtest/lib547.c:
	  added test548 which uses the lib547 source file, preparing for
	  test547 which is supposed to repeat the bug report "NTLM proxy
	  authentication with CURLOPT_READDATA seems broken." posted on the
	  curl-library mailing list on dec 3 2007.

2007-12-04 01:15  yangtse

	* lib/ssluse.c: Fix compiler warning: variable may be used
	  uninitialized

2007-12-03 23:44  bagder

	* CHANGES, RELEASE-NOTES: Ray Pekowski filed bug report #1842029

2007-12-03 20:57  yangtse

	* ares/ares_gethostbyaddr.c: Fix three issues previous cleanup
	  introduces.

2007-12-03 12:49  bagder

	* RELEASE-NOTES: SSL session id caching bugfix

2007-12-03 12:48  bagder

	* CHANGES, lib/sslgen.c: Bug report #1842029
	  (http://curl.haxx.se/bug/view.cgi?id=1842029) identified a
	  problem with SSL session caching that prevent it from working,
	  and the associated fix!

2007-12-03 12:41  bagder

	* RELEASE-NOTES: mention "no longer default-appends ;type= on FTP
	  URLs thru proxies" as a bug fix even if kind of implied by the
	  new option

2007-12-03 12:39  bagder

	* CHANGES, lib/ssluse.c: Now libcurl (built with OpenSSL) doesn't
	  return error anymore if the remote SSL-based server doesn't
	  present a certificate when the request is told to ignore
	  certificate verification anyway.

2007-12-03 11:25  bagder

	* ares/: CHANGES, ares_gethostbyaddr.c:  Erik Kline cleaned up
	  ares_gethostbyaddr.c:next_lookup() somewhat

2007-12-03 11:22  bagder

	* ares/: CHANGES, configure.ac: Brad Spencer fixed the configure
	  script to assume that there's no /dev/urandom when built
	  cross-compiled as then the script cannot check for it.

2007-12-03 10:50  bagder

	* tests/data/: test208, test79: removed the ;type= thing for FTP
	  urls through proxy, since that's now only present when enabled by
	  on option which isn't done by default (and isn't even available
	  for the curl app atm)

2007-12-03 00:39  bagder

	* TODO-RELEASE: 107 - resolve the type= thing for FTP URLs over
	  HTTP proxies, is solved

2007-12-03 00:38  bagder

	* CHANGES, RELEASE-NOTES, docs/libcurl/curl_easy_setopt.3,
	  include/curl/curl.h, lib/http.c, lib/url.c, lib/urldata.h: Michal
	  Marek introduced CURLOPT_PROXY_TRANSFER_MODE which is used to
	  control the appending of the "type=" thing on FTP URLs when they
	  are passed to a HTTP proxy. Some proxies just don't like that
	  appending (which is done unconditionally in 7.17.1), and some
	  proxies treat binary/ascii transfers better with the appending
	  done!

2007-11-30 03:31  danf

	* configure.ac: Upped copyright year

2007-11-29 23:27  bagder

	* CHANGES: uh, corrected pretty major write error!

2007-11-29 23:15  bagder

	* CHANGES, RELEASE-NOTES: ftp resumed upload and long Digest nonces

2007-11-29 23:14  bagder

	* lib/http_digest.c: A bug report on the curl-library list showed a
	  HTTP Digest session going on with a 700+ letter nonce. Previously
	  libcurl only support 127 letter ones and now I bumped it to 1023.

2007-11-29 23:14  bagder

	* lib/ftp.c: Fixed the resumed FTP upload loop to not require that
	  the read callback returns a full buffer on each invoke.

2007-11-29 12:25  bagder

	* lib/ssh.c: include the libssh2 return code in the output for
	  these failures to ease debugging

2007-11-28 16:18  bagder

	* ares/ares_gethostbyaddr.c: the gethostbyname fix applied here as
	  well

2007-11-28 11:46  bagder

	* ares/ares_gethostbyname.c: fix next_lookup() to continue
	  searching even if c-ares failed to load the /etc/hosts file,
	  pointed out by Erik Kline:
	  http://daniel.haxx.se/projects/c-ares/mail/c-ares-archive-2007-11/0027.shtml

2007-11-28 11:33  bagder

	* configure.ac: When --with-gssapi (without given path) is used, we
	  must use krb5-config to get the libs as well and not only the
	  include path like we used to.

2007-11-28 02:46  yangtse

	* tests/sshserver.pl: To allow remote log inspection avoid
	  redirecting messages to stderr.  Cleanup some debugging messages.
	  Unlink log file on exit.

2007-11-27 23:41  bagder

	* ares/configure.ac: Remove the check for libdl since that isn't
	  actually used and it causes warnings. Pointed out by Robin
	  Cornelius.

2007-11-27 23:38  bagder

	* ares/Makefile.am: pkgconfig fix by Andreas Schuldei

2007-11-27 23:37  bagder

	* ares/libcares.pc.in: spellfix

2007-11-27 21:57  yangtse

	* tests/sshserver.pl: ConnectTimeout requires OpenSSH 3.7 or later

2007-11-27 01:52  yangtse

	* tests/sshserver.pl: Explicitly disallow remote hosts to connect
	  to local forwarded ports, the socks server port in the test
	  suite. This is the default setting unless a tinkered built ssh is
	  being used.

2007-11-26 15:26  yangtse

	* tests/runtests.pl: Stop ssh and socks servers when verification
	  fails

2007-11-26 15:07  yangtse

	* tests/runtests.pl: Providing an explicit bind address besides the
	  port for dynamic application-level port forwarding, our socks
	  port, prevents ssh from running on some systems.

	  By default, ssh binds local port forwardings to the loopback
	  address, since this was the address being given as the explicit
	  bind address, now it isn't given.

2007-11-26 13:26  bagder

	* docs/INTERNALS: more blurb

2007-11-26 12:04  bagder

	* CHANGES: Added recent changes and spellchecked

2007-11-26 12:04  bagder

	* tests/data/: Makefile.am, test1015: test1015 --data-urlencode

2007-11-26 12:03  bagder

	* src/main.c: #1 fixed --data-urlencode when no = or @ was used #2
	  extended the user-agent buffer since I hit the 128 byte boundary!

2007-11-26 12:02  bagder

	* docs/INTERNALS: slightly less outdated

2007-11-26 03:45  yangtse

	* tests/: runtests.pl, sshserver.pl: Temporary change to better
	  debug startup failures of test suite ssh and socks servers.

2007-11-25 04:55  yangtse

	* tests/runtests.pl: Allow different start timeout specification
	  for each server

2007-11-25 00:18  bagder

	* lib/: ldap.c, tftp.c, url.c: reqdata doesn't exist anymore and
	  the path moved to the UrlState struct

2007-11-25 00:16  bagder

	* lib/: content_encoding.c, content_encoding.h, dict.c, easy.c,
	  file.c, ftp.c, http.c, http_chunks.c, multi.c, progress.c, ssh.c,
	  telnet.c, tftp.c, transfer.c, url.c, urldata.h: struct HandleData
	  is now called struct SingleRequest, and is only for data that is
	  inited at the start of the DO action. I removed the
	  Curl_transfer_keeper struct completely, and I had to move out a
	  few struct members (that had to be set before DO or used after
	  DONE) to the UrlState struct. The SingleRequest struct is
	  accessed with SessionHandle->req.

	  One of the biggest reasons for doing this was the bunch of
	  duplicate struct members in HandleData and Curl_transfer_keeper
	  since it was really messy to keep track of two variables with the
	  same name and basically the same purpose!

2007-11-23 13:18  yangtse

	* tests/runtests.pl: make 'checkdied' in runtests.pl more robust

2007-11-23 10:50  yangtse

	* tests/: data/test1013, ftpserver.pl, httpserver.pl, runtests.pl,
	  data/test1014: Revert last change since it breaks running the
	  test suite when builddir is different from srcdir.

2007-11-23 05:03  yangtse

	* tests/: ftpserver.pl, httpserver.pl, runtests.pl, data/test1013,
	  data/test1014: Improve chance of running runtests.pl from outside
	  the source tree 'tests' directory

2007-11-22 20:56  yangtse

	* tests/runtests.pl: Debugging messages to trace startnew failures

2007-11-22 17:35  yangtse

	* CHANGES, RELEASE-NOTES, include/curl/curl.h: Provide a socklen_t
	  definition in curl.h for Win32 API build targets which don't have
	  one.

2007-11-22 10:39  bagder

	* src/main.c: make nlen a size_t to better hold diffs between
	  pointers etc

2007-11-22 10:36  bagder

	* CHANGES, RELEASE-NOTES, docs/curl.1, src/main.c: Alessandro
	  Vesely helped me improve the --data-urlencode's syntax, parser
	  and documentation.

2007-11-21 23:37  bagder

	* lib/url.c: Make the do_complete() function not get called until
	  the DO actually is compelete, which bascially means when used
	  with the multi interface

2007-11-21 20:33  yangtse

	* tests/runtests.pl: Temporary change adding additional debugging
	  messages to better pinpoint startup failures of test suite ssh
	  and socks servers.

2007-11-21 18:50  yangtse

	* tests/httpsserver.pl: Fix trying to return outside of a
	  subroutine

2007-11-21 11:16  bagder

	* ares/: CHANGES, RELEASE-NOTES, ares_version.h: and we start on
	  1.5.2!

2007-11-21 11:12  bagder

	* ares/CHANGES: change

2007-11-21 11:12  bagder

	* ares/: Makefile.inc, RELEASE-NOTES: oops

2007-11-21 10:31  bagder

	* ares/: RELEASE-NOTES, ares_version.h: start working on 1.5.1 now

2007-11-21 10:24  bagder

	* ares/RELEASE-NOTES: this is what 1.5.0 is

2007-11-21 00:17  bagder

	* CHANGES, RELEASE-NOTES, TODO-RELEASE, lib/http_negotiate.c,
	  lib/urldata.h: While inspecting the Negotiate code, I noticed how
	  the proxy auth was using the same state struct as the host auth,
	  so both could never be used at the same time! I fixed it (without
	  being able to check) to use two separate structs to allow
	  authentication using Negotiate on host and proxy simultanouesly.

2007-11-21 00:16  bagder

	* docs/libcurl/curl_easy_setopt.3: clarify somewhat what happens to
	  some data when a share is set to be used

2007-11-21 00:02  bagder

	* lib/: easy.c, http.c, http_negotiate.c: white space changes only
	  to clean up indent and source width

2007-11-20 23:59  bagder

	* lib/url.c: remove the unconditional enabling of cookies if you
	  set a share to use!

2007-11-20 23:57  bagder

	* lib/urldata.h: a bunch of new comments

2007-11-20 23:01  bagder

	* docs/curl.1: rephrased

2007-11-20 17:47  yangtse

	* tests/sshserver.pl: Don't gather additional debug info unless
	  sshd actually fails

2007-11-20 15:23  patrickm

	* docs/BINDINGS: ILE RPG binding: OS/400 specific and contained in
	  source distribution

2007-11-20 15:10  yangtse

	* tests/sshserver.pl: Improve detection of sshd un/supported
	  options.

	  Gather additional debug info when the test suite ssh server fails
	  to start.

2007-11-20 11:08  bagder

	* CHANGES, RELEASE-NOTES, docs/curl.1, src/main.c: Introuced
	  --data-urlencode to the curl tool for easier url encoding of the
	  data sent in a post.

2007-11-20 11:03  bagder

	* lib/mprintf.c: fix the treatment of the parameter-based
	  precision, as in "%.*s%s" as previously the second %s would
	  wrongly get the numerical argument that is used for the variable
	  precision for the first %s...

2007-11-20 10:44  bagder

	* TODO-RELEASE: 107 - resolve the type= thing for FTP URLs over
	  HTTP proxies

2007-11-20 00:20  bagder

	* TODO-RELEASE: 106 - Share interface force-enable the cookie
	  parser

2007-11-19 18:20  yangtse

	* tests/: runtests.pl, sshserver.pl: This is a temporary change to
	  test if OpenSSH 3.6 and SunSSH 1.1 are good/compatible enough to
	  run the test suite ssh server and socks tests

2007-11-19 16:47  bagder

	* ares/: ares_ipv6.h, bitncmp.h, inet_net_pton.h, inet_ntop.h: fill
	  in missing copyrights

2007-11-19 10:24  bagder

	* lib/sslgen.c: I think this is the right fix for other non-OpenSSL
	  libs, based on the NSS fix from the other day. It is time to
	  setup the internal SSL libs and treat them with a "handler"
	  struct similar to how we deal with the protocols these days...

2007-11-19 02:49  yangtse

	* tests/sshserver.pl: Temporary change to help debugging string(s)
	  returned by sshd -V when sshd is not being identified as an
	  OpenSSH daemon

2007-11-18 23:48  gknauf

	* ares/Makefile.netware, lib/Makefile.netware,
	  src/Makefile.netware: removed now obsolete defines; updated
	  external library versions to latest.

2007-11-18 10:45  bagder

	* CHANGES, RELEASE-NOTES, lib/sslgen.c: Rob Crittenden fixed SSL
	  connections with NSS done with the multi-interface

2007-11-18 02:16  yangtse

	* tests/sshserver.pl: Add /opt/ssh/sbin and /opt/ssh/libexec to the
	  sshd locations search list.

	  Improve wording of a couple of debug messages.

2007-11-17 18:43  yangtse

	* tests/sshserver.pl: When unable to start test suite sshserver,
	  log if OpenSSH has not been found or the OpenSSH version found

2007-11-17 11:22  bagder

	* CHANGES, configure.ac, docs/examples/Makefile.am: Andres Garcia
	  made the examples build fine on Windows (mingw + msys) when the
	  lib was built staticly.

2007-11-17 03:28  yangtse

	* tests/sshserver.pl: Add /usr/local/sbin and /usr/freeware/bin to
	  the sshd locations search list

2007-11-17 00:06  bagder

	* CHANGES, tests/runtests.pl: Michal Marek made the test suite
	  remember what test servers that fail to start so that subsequent
	  tries are simply skipped.

2007-11-16 10:36  sesse

	* ares/ares_parse_aaaa_reply.c: Fix a double free.

2007-11-16 02:19  yangtse

	* lib/http.c: Fix unsigned integral math check in add_buffer_send()

2007-11-16 00:42  bagder

	* CHANGES, RELEASE-NOTES, lib/http.c: Ates Goral identified a
	  problem in http.c:add_buffer_send() when a debug callback was
	  used, as it could wrongly pass on a bad size for the outgoing
	  HTTP header. The bad size would be a very large value as it was a
	  wrapped size_t content. This happened when the whole HTTP request
	  failed to get sent in one single send.
	  http://curl.haxx.se/mail/lib-2007-11/0165.html

2007-11-16 00:30  bagder

	* lib/http.c: removed unnecessary check from add_buffer_send() that
	  only was made within #ifdef CURL_DOES_CONVERSIONS anyway! I
	  turned it into a DEBUGASSERT() instead.

2007-11-15 23:41  bagder

	* CHANGES, tests/runtests.pl: Michal Marek fixed the test suite to
	  better deal with the case when the HTTP ipv6 server can't run.

2007-11-15 22:45  bagder

	* lib/: file.c, http_chunks.c, multi.c, tftp.c, transfer.c,
	  transfer.h, url.c, urldata.h: Rearranged code and changed
	  Curl_readwrite_init() and Curl_pre_readwrite() into do_init() and
	  do_complete() which now are called first and last in the DO
	  function. It simplified the flow in multi.c and the functions got
	  more sensible names!

2007-11-15 20:44  yangtse

	* ares/: ahost.c, ares.h, ares_ipv6.h, ares_parse_a_reply.c,
	  ares_parse_aaaa_reply.c, config-win32.h, nameser.h: Needed now
	  that in6_addr is referenced in ares.h

2007-11-15 14:20  yangtse

	* tests/server/tftpd.c: Replace isupper with our uppercase macro
	  version

2007-11-15 14:12  yangtse

	* src/main.c: Replace isgraph with our uppercase macro version

2007-11-15 12:03  bagder

	* lib/transfer.c: Make the Transfer() function return earlier
	  without doing any initializations for the cases where there's
	  nothing to do in here, like for SFTP directory listings that
	  already is complete when this function gets called. The init
	  stuff clears byte counters which isn't really desired.

2007-11-15 10:16  sesse

	* ares/ares_gethostbyname.c: When looking up in DNS and then in the
	  hosts file, return the error code from DNS if both fail, instead
	  of returning the error code from the hosts file, as today. Patch
	  from the Google tree.

2007-11-15 09:36  sesse

	* ares/: ares.h, ares_gethostbyname.c, ares_parse_a_reply.3,
	  ares_parse_a_reply.c, ares_parse_aaaa_reply.3,
	  ares_parse_aaaa_reply.c: Return TTL data from
	  ares_parse_{a,aaaa}_reply, if the user is so inclined. Patch from
	  the Google tree.

2007-11-14 23:44  bagder

	* lib/tftp.c: use the existing variable instead

2007-11-14 23:41  bagder

	* lib/tftp.c: Fix how TFTP connections are treated when re-used, if
	  the SessionHandle has been used for other protocols in between. I
	  found this when test 2004 started to fail for me!

2007-11-14 01:48  yangtse

	* CHANGES, RELEASE-NOTES, lib/http.c: Fix a variable potential
	  wrapping in add_buffer() when using absolutely huge send buffer
	  sizes

2007-11-13 00:04  bagder

	* CHANGES, lib/ssh.c, lib/urldata.h: Fixed a remaining problem with
	  doing SFTP directory listings on a re-used persistent connection.
	  Mentioned by Immanuel Gregoire on the mailing list.

2007-11-12 22:42  bagder

	* lib/url.c: comment language

2007-11-12 22:38  bagder

	* CHANGES, RELEASE-NOTES, lib/url.c: Bug report #1830637
	  (http://curl.haxx.se/bug/view.cgi?id=1830637), which was
	  forwarded from the Gentoo bug tracker by Daniel Black and was
	  originally submitted by Robin Johnson, pointed out that libcurl
	  would do bad memory references when it failed and bailed out
	  before the handler thing was setup. My fix is not done like the
	  provided patch does it, but instead I make sure that there's
	  never any chance for a NULL pointer in that struct member.

2007-11-12 10:24  bagder

	* lib/ssh.c: oops, fixed build when CURL_LIBSSH2_DEBUG is defined

2007-11-11 15:20  bagder

	* RELEASE-NOTES, docs/BINDINGS: new ruby binding, curl-multi
	  version 0.1

2007-11-10 05:23  yangtse

	* lib/select.h: Some versions of winsock2.h have pollfd struct and
	  constants

2007-11-08 20:28  yangtse

	* lib/url.c: Fix compiler warning: integral size mismatch in
	  argument

2007-11-08 19:13  yangtse

	* ares/ares.h, ares/ares_private.h, ares/setup.h, lib/setup.h,
	  src/setup.h, include/curl/curl.h: Define WIN32 when build target
	  is Win32 API.  This also defines it for WinCE even though it is a
	  subset of WIN32.

2007-11-08 17:43  yangtse

	* lib/ssh.c: Fix compiler warning: may be used uninitialized

2007-11-08 17:32  yangtse

	* tests/server/tftp.h: Fix comment

2007-11-08 11:25  bagder

	* lib/urldata.h: spell!

2007-11-08 11:22  bagder

	* CHANGES, RELEASE-NOTES, lib/ssh.c, lib/urldata.h: Bug report
	  #1823487 (http://curl.haxx.se/bug/view.cgi?id=1823487) pointed
	  out that SFTP requests didn't use persistent connections. Neither
	  did SCP ones.  I gave the SSH code a good beating and now both
	  SCP and SFTP should use persistent connections fine. I also did a
	  bunch for indent changes as well as a bug fix for the "keyboard
	  interactive" auth.

2007-11-08 02:33  yangtse

	* ares/vc/: adig/adig.dsp, ahost/ahost.dsp: The only libraries
	  actually needed for sample programs adig and ahost are ws2_32.lib
	  and advapi32.lib

2007-11-07 19:18  yangtse

	* ares/config-win32.h, lib/config-win32.h, lib/config-win32ce.h,
	  src/config-win32.h: MSVC versions prior to VS2005 do not complain
	  about portable C functions

2007-11-07 10:21  bagder

	* lib/: cookie.c, dict.c, escape.c, file.c, ftp.c, getenv.c,
	  getinfo.c, gtls.c, hash.c, hostares.c, hostip.c, hostip4.c,
	  hostip6.c, http_chunks.c, http_digest.c, if2ip.c, inet_ntop.c,
	  inet_pton.c, krb4.c, llist.c, md5.c, memdebug.c, netrc.c,
	  nwlib.c, nwos.c, parsedate.c, qssl.c, security.c, share.c, ssh.c,
	  sslgen.c, strdup.c, strequal.c, strerror.c, strtok.c, telnet.c,
	  tftp.c, version.c: if () => if() while () => while() and some
	  other minor re-indentings

2007-11-07 06:52  danf

	* CHANGES, lib/telnet.c: Improved telnet support by drastically
	  reducing the number of write callbacks needed to pass a buffer to
	  the user.  Instead one per byte it is now as little as one per
	  segment.

2007-11-07 05:53  danf

	* docs/examples/getinmemory.c: Add a call to curl_global_cleanup to
	  show how to do a proper shutdown.

2007-11-06 18:18  yangtse

	* CHANGES, RELEASE-NOTES, include/curl/curl.h: Bug report #1824894
	  (http://curl.haxx.se/bug/view.cgi?id=1824894) pointed out a
	  problem in curl.h when building C++ apps with MSVC. To fix it,
	  the inclusion of header files in curl.h is moved outside of the
	  C++ extern "C" linkage block.

2007-11-06 17:20  giva

	* lib/strtoofft.h: Added prototype for _strtoi64().

2007-11-06 17:20  giva

	* lib/parsedate.c: Constified from arguments.

2007-11-05 21:54  danf

	* tests/libtest/test613.pl: Sort the directory listing because the
	  server doesn't always do it.

2007-11-05 21:53  danf

	* tests/data/: test1013, test1014: Added some keywords

2007-11-05 16:43  bagder

	* RELEASE-NOTES: tclcurl and a mirror recount when bad ones have
	  been cut out

2007-11-05 11:07  bagder

	* docs/examples/10-at-a-time.c: Andres Garcia made it build and run
	  on windows

2007-11-05 10:45  bagder

	* lib/: base64.c, connect.c, content_encoding.c, easy.c,
	  formdata.c, ftp.c, hostthre.c, http.c, http_negotiate.c,
	  http_ntlm.c, inet_pton.c, ldap.c, mprintf.c, multi.c, nss.c,
	  select.c, sendf.c, socks.c, splay.c, ssluse.c, strtoofft.c,
	  telnet.c, transfer.c, url.c: removed space after if and while
	  before the parenthesis for better source code consistency

2007-11-05 10:31  bagder

	* docs/CONTRIBUTE: I check the code right now and while() and if()
	  are in majority over while () and if () so the rule is from now
	  on => no space before the parenthesis.

2007-11-05 10:30  bagder

	* lib/: ssh.c, urldata.h: Move connection-oriented variables from
	  the SessionHandle struct to the connectdata struct. This will in
	  theory enable us to do persistent connections with SCP+SFTP, but
	  currently the state machine always (and wrongly) cleanup
	  everything in the 'done' action instead of in 'disconnect'. Also
	  did a bunch of indent fixes, if () => if() and a few other source
	  cleanups like added comments etc.

2007-11-03 15:44  bagder

	* lib/multi.c: make sure the code deals with failures on the
	  DO_MORE state properly

2007-11-03 00:34  bagder

	* lib/ftp.c: avoid setting up a transfer when the state machine
	  failed previously

2007-11-01 22:49  bagder

	* CHANGES, RELEASE-NOTES, src/homedir.c: Toby Peterson patched a
	  memory problem in the command line tool that happened when a user
	  had a home dir as an empty string. curl would then do free() on a
	  wrong area.

2007-11-01 22:43  bagder

	* lib/ftp.c: minor re-indent

2007-11-01 22:20  danf

	* tests/libtest/test1013.pl: Ignore more features that curl-config
	  is not expected to know about

2007-11-01 19:55  danf

	* CHANGES, RELEASE-NOTES, configure.ac: Fixed curl-config
	  --features to not display libz when it wasn't used due to a
	  missing header file.

2007-11-01 18:42  danf

	* tests/runtests.pl: Make postcheck failure message more like the
	  others

2007-11-01 04:09  danf

	* CHANGES, tests/data/Makefile.am, tests/data/test1013,
	  tests/data/test1014, tests/libtest/test1013.pl: Added test case
	  1014 to compare curl-config --features with curl --version

2007-11-01 01:36  danf

	* CHANGES, tests/data/Makefile.am, tests/data/test1013,
	  tests/libtest/Makefile.am, tests/libtest/test1013.pl: Added test
	  case 1013 to check that curl-config --protocols matches the
	  protocols listed in curl --version

2007-11-01 00:33  danf

	* CHANGES, RELEASE-NOTES, configure.ac: Fixed the output of
	  curl-config --protocols which showed SCP and SFTP always, except
	  when --without-libssh2 was given

2007-10-31 19:32  danf

	* tests/valgrind.pm: Detect curl source when valgrind provides an
	  absolute source file name

2007-10-31 11:58  giva

	* lib/Makefile.Watcom: Add support for LDAP urls. Allthough the
	  OpenWatcom headers <winlap.h> and <winber.h> defines wrong
	  calling convention.

2007-10-31 11:20  giva

	* lib/Makefile.Watcom: Added optional use of zlib (USE_ZLIB=1).
	  Use a response-file for the C-compiler.

2007-10-31 10:21  bagder

	* RELEASE-NOTES: contributor re-count (we'll break the 600 limit
	  very very soon now) and I made all the numericals at the top
	  phrased "shorter" and I cut out the "number of releases since the
	  very beginning" since that's just the number curl releases + 26
	  and not a very interesting number anyway.

2007-10-31 00:00  danf

	* CHANGES, lib/file.c, lib/file.h, lib/url.c: Fixed an OOM problem
	  with file: URLs Moved Curl_file_connect into the protocol handler
	  struct.

2007-10-30 23:48  bagder

	* docs/THANKS: added new people from the 7.17.1 announcement

2007-10-29 23:57  danf

	* CHANGES, tests/data/Makefile.am, tests/data/test546: Added test
	  case 546 to check that subsequent FTP transfers work after a
	  failed one using the multi interface

2007-10-29 23:13  bagder

	* RELEASE-NOTES: curl-config --features and --protocols show the
	  correct output when built with NSS

2007-10-29 23:13  bagder

	* CHANGES, configure.ac, curl-config.in: Based on one of those bug
	  reports that are intercepted by a distro's bug tracker
	  (https://bugzilla.redhat.com/show_bug.cgi?id=316191), I now made
	  curl-config --features and --protocols show the correct output
	  when built with NSS.

2007-10-29 21:57  danf

	* lib/: sendf.c, sendf.h: Reverted the const change--what was I
	  thinking?

2007-10-29 19:32  danf

	* lib/: sendf.c, sendf.h: Made some pointers const

2007-10-29 16:06  bagder

	* include/curl/curlver.h: 7.17.2

2007-10-29 16:05  bagder

	* RELEASE-NOTES: start working on 7.17.2

2007-10-29 15:49  bagder

	* CHANGES: 7.17.1!

2007-10-29 15:48  bagder

	* RELEASE-NOTES: correct mirror count

2007-10-29 11:19  bagder

	* lib/Makefile.am: let 7.17.1 be version-info 4:1:0

2007-10-28 13:02  giva

	* lib/Makefile.Watcom: OpenWatcom cannot use wldap32.lib (wrong
	  calling convention?).  Added generation of dummy ca-bundle.h.
	  Sorted objects.

2007-10-28 10:33  bagder

	* RELEASE-NOTES: http://curl.wetzlmayr.at/ is a new web mirror in
	  Nuremberg, Germany

2007-10-27 03:04  danf

	* tests/: FILEFORMAT, data/test2000, data/test2001, data/test2002,
	  data/test2003, data/test2004: Fixed the 2000-series tests so that
	  the downloaded data is actually checked

2007-10-27 03:02  danf

	* tests/ftpserver.pl: Made the magic testnumber > 10000 support
	  actually work

2007-10-26 22:19  danf

	* tests/data/test2004: Fixed the test case to create only a single
	  test file, which is all the test harness supports.

2007-10-26 21:26  danf

	* lib/ftp.c: Fixed a valgrind uninitialized variable error.

2007-10-26 21:26  danf

	* tests/runtests.pl: Check that all servers in the <server> section
	  are supported, not just the first.

2007-10-26 09:46  bagder

	* docs/curl-config.1: mention --static-libs as added in 7.17.1

2007-10-26 03:12  yangtse

	* lib/url.c: typecast to prevent compiler warning

2007-10-26 02:36  yangtse

	* tests/server/sws.c: Detect, log and avoid storing a request with
	  a negative size.

2007-10-26 00:30  danf

	* CHANGES, RELEASE-NOTES, configure.ac, curl-config.in,
	  docs/curl-config.1: Added the --static-libs option to curl-config

2007-10-25 23:49  danf

	* tests/data/test518: Disable valgrind for this test to avoid the
	  rlimit = soft rlimit problem found by Michal Marek.

2007-10-25 23:14  bagder

	* RELEASE-NOTES: oops

2007-10-25 23:08  bagder

	* CHANGES, RELEASE-NOTES, lib/nss.c: Made libcurl built with NSS
	  possible to ignore the peer verification.  Previously it would
	  fail if the ca bundle wasn't present, even if the code ignored
	  the verification results.

2007-10-25 23:04  danf

	* tests/data/: Makefile.am, test1004, test2004: Added test case
	  2004.  Disable valgrind in test case 1004 due to a libtool bug.

2007-10-25 22:54  bagder

	* lib/nss.c: prevent compiler warnings about shadowing and one case
	  of unused variable

2007-10-25 21:40  patrickm

	* CHANGES, tests/data/Makefile.am, tests/data/test35,
	  tests/data/test544, tests/data/test545,
	  tests/libtest/Makefile.am, tests/libtest/lib544.c,
	  tests/server/sws.c: Allow test server to handle binary POSTs.
	  Tests 35, 544 545 added: binary data POSTs.

2007-10-25 21:39  danf

	* tests/runtests.pl: When valgrind is disabled in the test file,
	  don't run it at all (as opposed to running it and ignoring its
	  output).

2007-10-25 20:07  yangtse

	* tests/runtests.pl: Don't show valgrind log files of other tests

2007-10-25 16:30  bagder

	* CHANGES, RELEASE-NOTES, tests/runtests.pl: Michal Marek fixed the
	  test script to be able to use valgrind even when the lib is built
	  shared with libtool.

2007-10-25 11:41  bagder

	* lib/url.c: Don't assume there's a sessionhandle around when a
	  connection is disconnected, so do the data->reqdata.current_conn
	  assignment when we know there is an easy handle existing! Fixes
	  the valgrind report on test 509.

2007-10-25 11:34  bagder

	* lib/tftp.c: fix the check

2007-10-25 09:47  bagder

	* CHANGES, RELEASE-NOTES, lib/tftp.c, tests/data/DISABLED: Fixed a
	  TFTP memory leak. Enabled test 2003 to verify this.

2007-10-25 00:48  danf

	* CHANGES, tests/data/DISABLED, tests/data/Makefile.am,
	  tests/data/test2002, tests/data/test2003, tests/server/tftpd.c:
	  Fixed the test TFTP server to support the >10000 test number
	  notation Added test cases 2002 and 2003 (the latter disabled for
	  now)

2007-10-24 23:27  bagder

	* tests/data/DISABLED: enable 2000 and 2001

2007-10-24 23:14  bagder

	* lib/ftp.c: Curl_ftp_disconnect() no longer relies on anything in
	  the reqdata struct. That was even mentioned to be bad in a
	  comment! Should make test 2000 and 2001 work fine.

	  Also, freedirs() now take a ftp_conn struct pointer which saves
	  some extra unnecessary variable assignments.

2007-10-24 23:09  bagder

	* lib/urldata.h: added clarifying comment

2007-10-24 21:40  danf

	* CHANGES, tests/README, tests/data/DISABLED,
	  tests/data/Makefile.am, tests/data/test2000, tests/data/test2001,
	  tests/data/test51: Added test cases 2000 and 2001 which test
	  multiple protocols using the same easy handle Fixed the
	  filecheck: make target to work outside the source tree

2007-10-24 21:39  danf

	* tests/ftpserver.pl: Fixed the test FTP server to support the
	  >10000 test number notation

2007-10-24 18:40  yangtse

	* acinclude.m4: Missing double quotes

2007-10-24 16:39  yangtse

	* ares/config-win32.h, ares/setup.h, ares/setup_once.h,
	  lib/config-win32.h, lib/config-win32ce.h, lib/setup_once.h,
	  src/config-win32.h: Windows build targets have socklen_t
	  definition in ws2tcpip.h but some versions of ws2tcpip.h do not
	  have the definition. It seems that when the socklen_t definition
	  is missing from ws2tcpip.h the definition for INET_ADDRSTRLEN is
	  also missing, and that when one definition is present the other
	  one also is available.

2007-10-24 15:03  patrickm

	* tests/server/tftpd.c: Close log/server.input ASAP to avoid
	  lengthy file lock on cygwin

2007-10-24 11:28  bagder

	* CHANGES, RELEASE-NOTES, maketgz, src/Makefile.vc6: Vladimir
	  Lazarenko pointed out that we should do some 'mt' magic when
	  building with VC8 to get the "manifest" embedded to make fine
	  stand-alone binaries. The maketgz and the src/Makefile.vc6 files
	  were adjusted accordingly.

2007-10-23 23:00  bagder

	* CHANGES, RELEASE-NOTES, TODO-RELEASE, lib/url.c: Bug report
	  #1812190 (http://curl.haxx.se/bug/view.cgi?id=1812190) points out
	  that libcurl tried to re-use connections a bit too much when
	  using non-SSL protocols tunneled over a HTTP proxy.

2007-10-23 17:16  yangtse

	* lib/file.c: File is not a protocol that can deal with
	  "persistancy"

2007-10-23 17:10  yangtse

	* tests/libtest/lib508.c: Read callback should return 0 when no
	  more data left

2007-10-23 12:14  yangtse

	* lib/http.c: Fix compiler warning: subscript has type `char'

2007-10-23 01:31  gknauf

	* ares/ares_init.c: removed dependency on gettimeofday() since we
	  use only 1 sec resolution here.

2007-10-22 17:07  bagder

	* TODO-RELEASE: removed 105, it is now assumed to be fixed!

	  105 - "invalid free after an http redirect to ftp"

2007-10-22 17:05  bagder

	* CHANGES, RELEASE-NOTES, lib/file.c, lib/ftp.c, lib/http.c,
	  lib/ssh.c, lib/url.c, lib/url.h, lib/urldata.h: Michal Marek
	  forwarded the bug report
	  https://bugzilla.novell.com/show_bug.cgi?id=332917 about a HTTP
	  redirect to FTP that caused memory havoc. His work together with
	  my efforts created two fixes:

	  #1 - FTP::file was moved to struct ftp_conn, because is has to be
	  dealt with	  at connection cleanup, at which time the struct
	  HandleData could be	   used by another connection.	     Also,
	  the unused char *urlpath member is removed from struct FTP.

	  #2 - provide a Curl_reset_reqproto() function that frees
	  data->reqdata.proto.* on connection setup if needed (that is if
	  the	   SessionHandle was used by a different connection).

2007-10-22 16:48  bagder

	* TODO-RELEASE: Removed 93 and 100, there's no work on these and
	  they're not critical in any way:

	  93 - Digest for IIS fix (subject for removal) 100 - icc
	  segmentation faults (subject for removal)

2007-10-22 12:23  bagder

	* TODO-RELEASE: #103 is fixed

2007-10-22 11:28  bagder

	* RELEASE-NOTES: mention Patrick Monnerat's recent work on the
	  postfields problems

2007-10-22 11:25  bagder

	* CHANGES, RELEASE-NOTES, lib/url.c: Bug report #1815530
	  (http://curl.haxx.se/bug/view.cgi?id=1815530) points out that
	  specifying a proxy with a trailing slash didn't work (unless it
	  also contained a port number).

2007-10-20 23:06  gknauf

	* maketgz: Mohun Biswas sent a patch to fix generated MSVC8
	  makefiles.

2007-10-20 17:47  yangtse

	* lib/url.c: We use this ZERO_NULL to avoid picky compiler
	  warnings, when assigning a NULL pointer to a function pointer
	  var.

2007-10-20 17:11  yangtse

	* ares/ares_init.c, lib/hostares.c, lib/url.c: Fix compiler
	  warning: conversion from "int" to "unsigned short" may lose
	  significant bits

2007-10-19 18:15  yangtse

	* acinclude.m4: Add custom check for WINLDAP libraries.

	  In CURL_CHECK_LIBS_WINLDAP and CURL_CHECK_LIBS_LDAP, check first
	  with no additional library even when the optional list of
	  libraries has been given.

2007-10-19 14:15  yangtse

	* configure.ac, ares/configure.ac: Fix message shown when detecting
	  icc version

2007-10-19 12:52  yangtse

	* ares/ares.h: Avoid shadowing a global declaration

2007-10-18 19:31  yangtse

	* ares/ares_init.c: Renamed a variable to avoid shadowing a global
	  declaration

2007-10-18 19:17  yangtse

	* ares/ares_process.c: Renamed internal function to avoid a
	  variable shadowing it

2007-10-18 18:24  yangtse

	* configure.ac, ares/configure.ac: Fix compiler warning:
	  feupdateenv is not implemented and will always fail.
	  Specifically for linux x86-64 with Intel's icc.

2007-10-18 17:11  yangtse

	* ares/acinclude.m4: Sync PLATFORM_AIX_V3 detection and
	  CURL_CC_DEBUG_OPTS() icc warning level with libcurl's

2007-10-18 12:54  patrickm

	* lib/url.c: Allow CURLOPT_COPYPOSTFIELDS with explicit data size =
	  0

2007-10-18 03:04  danf

	* lib/url.c: Avoid a NULL pointer dereference in an OOM condition.

2007-10-18 03:01  yangtse

	* ares/: ares_init.c, ares_query.c: Fix compiler warning:
	  conversion from "int" to "unsigned char" may lose significant
	  bits

2007-10-17 21:29  yangtse

	* lib/url.c: Fix overflow detection, take four. Avoiding zero size
	  malloc.

2007-10-17 20:47  yangtse

	* acinclude.m4: Fix CURL_CHECK_LIBS_LDAP failure when no parameter
	  is given

2007-10-17 20:18  yangtse

	* ares/setup_once.h: actually sync with lib/setup_once.h

2007-10-17 20:06  yangtse

	* lib/url.c: Fix overflow detection, thanks to Patrick Monnerat
	  detecting test failure condition:
	  http://curl.haxx.se/mail/lib-2007-10/0152.html

2007-10-17 18:59  yangtse

	* ares/setup_once.h: sync with lib/setup_once.h

2007-10-17 18:58  yangtse

	* lib/dict.c, lib/file.c, lib/ftp.c, lib/http.c, lib/ldap.c,
	  lib/setup_once.h, lib/ssh.c, lib/telnet.c, lib/tftp.c, lib/url.c,
	  tests/libtest/lib509.c: We use this ZERO_NULL to avoid picky
	  compiler warnings, when assigning a NULL pointer to a function
	  pointer var.

2007-10-17 15:08  yangtse

	* acinclude.m4: Default check for more libraries in
	  CURL_CHECK_LIBS_LDAP, and allow parameter specification of
	  libraries to check.

2007-10-17 02:44  yangtse

	* lib/connect.c: Fix compiler warning: signed and unsigned type in
	  conditional expression

2007-10-17 02:10  yangtse

	* lib/connect.c: Fix compiler warning: comparison between signed
	  and unsigned

2007-10-17 01:32  yangtse

	* lib/url.c: ANSI C compliant overflow check

2007-10-16 23:27  sesse

	* ares/ares_search.c: Fix a bug where fallback from AF_INET6 to
	  AF_INET would not work properly together with relative search; if
	  you had a search path of .a.com and .b.com, and foo.a.com would
	  return ARES_ENODATA and foo.b.com would return ARES_ENOTFOUND,
	  the lookup would not properly retry with AF_INET as it forgot the
	  first ARES_ENODATA.

2007-10-16 20:09  danf

	* lib/url.c: Fixed compiler warning re: unused variable `bigsize'

2007-10-16 01:58  yangtse

	* acinclude.m4: Avoid depending on a header file for the definition
	  of NULL

2007-10-15 23:19  danf

	* ares/ares_expand_string.3, docs/libcurl/curl_easy_setopt.3,
	  docs/libcurl/curl_formadd.3: Mention first version with
	  CURLOPT_COPYPOSTFIELDS.  Don't confuse NUL with NULL.

2007-10-15 23:03  danf

	* docs/INSTALL: Updated minimum libcurl size

2007-10-15 20:32  patrickm

	* CHANGES, docs/libcurl/curl_easy_setopt.3, include/curl/curl.h,
	  lib/config-os400.h, lib/http.c, lib/transfer.c, lib/url.c,
	  lib/urldata.h, packages/OS400/README.OS400,
	  packages/OS400/ccsidcurl.c: Fix dynamic CURLOPT_POSTFIELDS bug:
	  back to static.  CURLOPT_COPYPOSTFIELDS option added for dynamic.
	  Fix some OS400 features.

2007-10-15 18:24  danf

	* acinclude.m4, lib/url.c: Fix LDAP compile error when LDAP is not
	  available.  Fixed a typo in the LDAP configure code and made sure
	  NULL is defined in a test programs that need it.

2007-10-15 01:47  yangtse

	* acinclude.m4: Fix custom check for LDAP libraries

2007-10-14 23:25  yangtse

	* acinclude.m4, configure.ac: Add custom check for LDAP libraries

2007-10-14 04:37  yangtse

	* acinclude.m4, configure.ac: Add custom checks for lber, ldap,
	  ldapssl and ldap_ssl header files

2007-10-13 22:49  bagder

	* docs/curl.1: Chris Leighton:

	  My understanding is that we use "number" for discrete variables
	  and "amount" for continuous variables.

	  So you can say "The amount of flour required depends on..." or,
	  "Last night I consumed a large amount of beer!".

	  And, "That tank contains a large number of fish" or, "Over the
	  week I consumed a number of cases of beer."

	  I think that features are discrete, so the man page would read
	  "...the number of features will make your head spin!".

2007-10-13 16:23  yangtse

	* acinclude.m4, configure.ac: Add check for winldap and winber
	  header files

2007-10-13 02:47  danf

	* lib/: file.c, file.h, ftp.c, url.c: Made a few more functions
	  static with the protocol handler table in place.

2007-10-12 22:53  bagder

	* lib/url.c: another Curl_handler fix, the #ifdefs got a bit mixed
	  up...

2007-10-12 20:49  danf

	* lib/: ftp.c, http.c, url.c: Fixed a few compile errors and
	  warnings.

2007-10-12 17:26  bagder

	* TODO-RELEASE: added three serious bugs to fix before release, and
	  marked the previous two as subject for removal from this list
	  (without any fix)

2007-10-12 15:36  patrickm

	* CHANGES, lib/curl_ldap.h, lib/dict.c, lib/dict.h, lib/file.c,
	  lib/file.h, lib/ftp.c, lib/ftp.h, lib/http.c, lib/http.h,
	  lib/ldap.c, lib/ssh.c, lib/ssh.h, lib/telnet.c, lib/telnet.h,
	  lib/tftp.c, lib/tftp.h, lib/url.c, lib/urldata.h: Added
	  per-protocol callback static tables, replacing callback ptr
	  storage in the connectdata structure by a single handler table
	  ptr.

2007-10-12 04:09  danf

	* tests/data/: test171, test194: Fixed a couple of typos that
	  messed up the tests.

2007-10-12 03:44  danf

	* tests/data/: test1001, test1002, test131, test153, test154,
	  test167, test168, test169, test171, test172, test175, test177,
	  test179, test188, test194, test206, test233, test242, test243,
	  test245, test246, test258, test33, test506, test540, test6,
	  test62, test7, test73, test92: Added some <keywords> sections and
	  use some key words more consistently.

2007-10-11 23:15  danf

	* CHANGES, tests/runtests.1, tests/runtests.pl: Fixed the -l option
	  of runtests.pl Added support for skipping tests based on key
	  words.

2007-10-10 15:00  yangtse

	* configure.ac: improve checking for ldap.h and ldap_ssl.h header
	  files

2007-10-10 01:51  yangtse

	* lib/ldap.c: lber.h needs to be included since ldap.h might not
	  include it

2007-10-10 01:44  yangtse

	* configure.ac: Add check for lber.h and ldap.h header files

2007-10-10 01:25  gknauf

	* lib/ldap.c: added check for MSVC6 standard PSDK and bail out
	  since insufficient for LDAP support with current code.

2007-10-10 01:24  yangtse

	* tests/server/sws.c: also log error message string

2007-10-10 01:21  yangtse

	* tests/server/sockfilt.c: logmsg already appends '\n'

2007-10-10 00:10  gknauf

	* lib/config-win32.h: fix socklen_t for MSVC6 & 7.

2007-10-09 22:15  gknauf

	* lib/Makefile.netware, src/Makefile.netware: added two more module
	  dependencies for LDAPS.

2007-10-09 18:49  danf

	* docs/curl.1: Documented error codes 77-80, and fixed the one for
	  60.

2007-10-09 16:53  bagder

	* docs/libcurl/curl_easy_setopt.3: Add a paragraph about
	  CURLOPT_CUSTOMREQUEST not actually changing libcurl's behavior,
	  it only changes the actual request method keyword and this is not
	  always what the user/app wants.

2007-10-09 10:42  bagder

	* CHANGES, docs/curl.1: Michal Marek removed the no longer existing
	  return codes from the curl.1 man page.

2007-10-08 16:39  giva

	* ares/Makefile.dj: Added needed 'HAVE_*' defines.

2007-10-08 16:38  giva

	* ares/ares_process.c: 'FD_CLOXEC' is meaningless on MSDOS/Watt-32.

2007-10-07 10:28  bagder

	* CHANGES, TODO-RELEASE, docs/KNOWN_BUGS, lib/http.c: Known bug
	  #47, which confused libcurl if doing NTLM auth over a proxy with
	  a response that was larger than 16KB is now improved slightly so
	  that now the restriction at 16KB is for the headers only and it
	  should be a rare situation where the response-headers exceed
	  16KB. Thus, I consider #47 fixed and the header limitation is now
	  known as known bug #48.

2007-10-06 19:20  giva

	* include/curl/curl.h: <ws2tcpip.h> needed for 'socklen_t' typedef.

2007-10-05 17:18  bagder

	* docs/libcurl/ABI: add url to the wikipedia article for a longer
	  description

2007-10-05 17:16  bagder

	* docs/libcurl/curl_easy_setopt.3: Alexey Pesternikov documented
	  CURLOPT_OPENSOCKETDATA and CURLOPT_OPENSOCKETFUNCTION

2007-10-05 16:37  bagder

	* CHANGES, RELEASE-NOTES, docs/libcurl/curl_easy_setopt.3,
	  lib/url.c: Michael Wallner made the CULROPT_COOKIELIST option
	  support a new magic string: "FLUSH". Using that will cause
	  libcurl to flush its cookies to the CURLOPT_COOKIEJAR file.

2007-10-05 00:05  bagder

	* CHANGES, docs/libcurl/ABI, docs/libcurl/Makefile.am: The new file
	  docs/libcurl/ABI describes how we view ABI breakages, soname
	  bumps and what the version number's significance to all that is.

2007-10-04 23:26  bagder

	* CHANGES, tests/data/DISABLED, tests/data/test1009: I enabled test
	  1009 and made the --local-port use a wide range to reduce the
	  risk of failures.

2007-10-04 12:01  bagder

	* CHANGES, RELEASE-NOTES, lib/connect.c, lib/tftp.c, lib/urldata.h,
	  tests/data/DISABLED, tests/data/Makefile.am, tests/data/test1009:
	  Kim Rinnewitz reported that --local-port didn't work with TFTP
	  transfers.  This happened because the tftp code always
	  uncondionally did a bind() without caring if one already had been
	  done and then it failed. I wrote a test case (1009) to verify
	  this, but it is a bit error-prone since it will have to pick a
	  fixed local port number and since the tests are run on so many
	  different hosts in different situations I add it in disabled
	  state.

2007-10-04 10:12  sesse

	* ares/ares_process.c: Removed a piece of redundant code
	  (process_answer already takes care of it).

2007-10-04 10:09  sesse

	* ares/ares_getnameinfo.c: Another timeout fix in
	  ares_getnameinfo().

2007-10-04 10:09  sesse

	* ares/ares_getnameinfo.c: Send the timeout count in
	  ares_getnameinfo().

2007-10-04 10:07  sesse

	* ares/ares_destroy.c: Moved the NULL check for channel upwards in
	  ares_destroy().

2007-10-04 10:06  sesse

	* ares/ares_cancel.c: Clarified the comment over ares_cancel.

2007-10-04 04:09  yangtse

	* tests/server/sws.c: On error, close "log/server.response"

2007-10-04 01:38  yangtse

	* tests/server/sws.c: If TCP_NODELAY is not defined we can't
	  disable the Nagle algorithm

2007-10-03 18:58  yangtse

	* lib/select.c: Cleanup no longer used macros

2007-10-03 18:26  yangtse

	* lib/select.c: Fix compiler warning: local variable may be used
	  without having been initialized

2007-10-03 17:09  patrickm

	* packages/OS400/: README.OS400, ccsidcurl.c, curl.inc.in: Upgrade
	  OS400 wrappers and RPG copy file according to latest code updates

2007-10-03 15:19  yangtse

	* CHANGES, RELEASE-NOTES, lib/hostares.c: Fix issue related with
	  the use of ares_timeout() result.

2007-10-03 10:58  bagder

	* include/curl/curl.h, lib/connect.c: exported symbols must use
	  lowercase "curl_", and I also fixed two compiler warnings, one
	  C99 thing and the bad pointer sent to the callback

2007-10-03 10:54  bagder

	* RELEASE-NOTES: recount contributors after the 7.17.0 release

2007-10-03 10:51  bagder

	* docs/THANKS: people from the 7.17.0 announcement

2007-10-03 10:46  bagder

	* TODO-RELEASE: "97 - check ip callback", check

2007-10-03 10:45  bagder

	* CHANGES, RELEASE-NOTES, include/curl/curl.h, lib/connect.c,
	  lib/url.c, lib/urldata.h: Alexey Pesternikov introduced
	  CURLOPT_OPENSOCKETFUNCTION and CURLOPT_OPENSOCKETDATA to set a
	  callback that allows an application to replace the socket() call
	  used by libcurl. It basically allows the app to change address,
	  protocol or whatever of the socket. (I also did some whitespace
	  indent/cleanups in lib/url.c which kind of hides some of these
	  changes, sorry for mixing those in.)

2007-10-03 10:07  bagder

	* CHANGES, docs/curl.1, docs/libcurl/libcurl-errors.3,
	  include/curl/curl.h, lib/gtls.c, lib/qssl.c, lib/ssh.c,
	  lib/ssluse.c, lib/strerror.c: I renamed the
	  CURLE_SSL_PEER_CERTIFICATE error code to
	  CURLE_PEER_FAILED_VERIFICATION (standard CURL_NO_OLDIES style),
	  and made this return code get used by the previous SSH MD5
	  fingerprint check in case it fails.

2007-10-03 10:00  bagder

	* CHANGES, RELEASE-NOTES, docs/curl.1,
	  docs/libcurl/curl_easy_setopt.3, include/curl/curl.h, lib/ssh.c,
	  lib/url.c, lib/urldata.h, src/main.c: Based on a patch brought by
	  Johnny Luong, libcurl now offers CURLOPT_SSH_HOST_PUBLIC_KEY_MD5
	  and the curl tool --hostpubmd5. They both make the SCP or SFTP
	  connection verify the remote host's md5 checksum of the public
	  key before doing a connect, to reduce the risk of a
	  man-in-the-middle attack.

2007-10-03 00:00  bagder

	* TODO-RELEASE: "99 - curl_easy_close()" seems to have gone
	  uninteresting

2007-10-02 23:59  bagder

	* TODO-RELEASE: 102, check

2007-10-02 21:19  yangtse

	* lib/ftp.c: Fix memory leak under low memory conditions.

2007-10-02 20:26  yangtse

	* ares/: CHANGES, ares_init.c: Avoid a segfault when generating a
	  DNS "Transaction ID" in internal function init_id_key() under low
	  memory conditions.

2007-10-02 18:05  yangtse

	* tests/libtest/: first.c, lib503.c, lib504.c, lib505.c, lib509.c,
	  lib521.c, lib523.c, lib525.c, lib533.c, lib536.c, lib540.c,
	  lib541.c, test.h: Renamed a couple of global variables to avoid
	  shadowing warnings

2007-10-02 17:26  yangtse

	* lib/: ftp.c, url.c: Fix compiler warning

2007-10-02 16:48  yangtse

	* lib/ldap.c: <winber.h> needed for Windows LDAP client 32 API
	  support

2007-10-02 16:26  yangtse

	* lib/msvcproj.head: Linking with wldap32.lib needed for Windows
	  LDAP client 32 API support

2007-10-02 13:13  yangtse

	* ares/vc/areslib/areslib.dsp: Add ares_llist.c and ares_llist.h to
	  MSCV project file.

2007-10-02 12:21  bagder

	* CHANGES, RELEASE-NOTES, docs/KNOWN_BUGS, lib/http.c,
	  lib/http_chunks.c, lib/transfer.c, lib/urldata.h,
	  tests/data/Makefile.am, tests/data/test1008: known bug #46:
	  chunked-encoded CONNECT responses from a http proxy now works.
	  Added test case 1008 to verify. Note that #47 is still there.

2007-10-02 12:13  bagder

	* tests/server/sws.c: Disable the Nagle algorithm and send back
	  responses in small chunks in an attempt to force smaller bits to
	  get read by clients.

2007-10-02 11:57  bagder

	* docs/curl.1: document --post301, based on the phrasing in
	  curl_easy_setopt.3 for CURLOPT_POST301 written by Philip Langdale

2007-10-02 11:56  bagder

	* docs/libcurl/curl_easy_setopt.3: CURLOPT_POST301 section, added
	  by Philip Langdale

2007-10-02 10:12  bagder

	* ares/ares_gethostbyname.c: Fixed the problem where next_lookup
	  would use 'status' uninitialized. Now it gets passed the initial
	  value as an argument.

2007-10-02 04:18  yangtse

	* ares/: Makefile.inc, Makefile.vc6, ares_llist.c, ares_llist.h,
	  ares_private.h: Avoid inline C99ism, and move c-ares routines for
	  managing doubly-linked lists.

2007-10-02 00:52  bagder

	* ares/CHANGES: ares_strerror() segfaulted if the input error
	  number was out of the currently supported range.

2007-10-02 00:51  bagder

	* ares/ares_strerror.c: Prevent ares_strerror() from segfaulting if
	  an invalid error code is passed in as argument!

2007-10-01 00:58  bagder

	* tests/data/Makefile.am: Added test536 that was accidentally
	  missing. I also wrote up a new makefile target called 'filecheck'
	  so that if you run 'make filecheck' in this directory it'll check
	  if the local files are also mentioned in the Makefile.am so that
	  they are properly included in release archives!

2007-10-01 00:40  bagder

	* CHANGES, RELEASE-NOTES, lib/escape.c, tests/data/Makefile.am,
	  tests/data/test543, tests/libtest/Makefile.am,
	  tests/libtest/lib543.c: Alex Fishman reported a
	  curl_easy_escape() problem that was made the function do wrong on
	  all input bytes that are >= 0x80 (decimal 128) due to a signed /
	  unsigned mistake in the code. I fixed it and added test case 543
	  to verify.

2007-09-30 21:43  yangtse

	* ares/ares_process.c: Fix compiler warning

2007-09-30 04:12  yangtse

	* ares/: ares_process.c, configure.ac: check availability of
	  <netinet/tcp.h>

2007-09-30 03:27  yangtse

	* tests/libtest/: lib518.c, lib537.c: Fix missing right parenthesis

2007-09-30 03:01  yangtse

	* tests/libtest/: lib518.c, lib537.c: Fix comparison between signed
	  and unsigned

2007-09-30 02:37  yangtse

	* ares/nameser.h: improve portability, defining MAXDNAME and
	  MAXCDNAME

2007-09-30 02:08  sesse

	* ares/ares_gethostbyname.c: Fix a memory leak that I recently
	  inadvertedly introduced.

2007-09-29 23:57  sesse

	* ares/: ares_gethostbyname.c, ares_process.c: Use ISDIGIT instead
	  of isdigit; fixes a gcc warning.

2007-09-29 23:34  bagder

	* CHANGES, RELEASE-NOTES, lib/ssh.c: Immanuel Gregoire fixed a
	  problem with persistent transfers over SFTP - the previous proto
	  struct was kept.

2007-09-29 21:26  sesse

	* ares/ares_getsock.c: Port the TCP socket fix made in ares_fds()
	  to ares_getsock() as well.

2007-09-29 20:18  sesse

	* ares/: ares_cancel.c, ares_destroy.c, ares_fds.c, ares_getsock.c,
	  ares_init.c, ares_private.h, ares_process.c, ares_query.c,
	  ares_send.c, ares_timeout.c: Previously, processing a large batch
	  of timeouts was O(n^2) in the number of outstanding queries, and
	  processing a DNS response packet was O(n) in the number of
	  outstanding queries. To speed things up in Google, we added a few
	  circular, doubly-linked lists of queries that are hash-bucketed
	  based on the attributes we care about, so most important
	  operations are now O(1).

	  It might be that the number of buckets are higher than most
	  people would need, but on a quick calculation it should only be
	  100kB or so even on a 64-bit system, so I've let it stay as-is.

2007-09-29 16:37  giva

	* ares/ares_expand_name.c: We should standarise on C comments.

2007-09-29 16:34  giva

	* ares/ares_process.c: Fix compiler warning in setsockopt().

2007-09-29 16:25  sesse

	* ares/ares_process.c: TCP queries can time out too, not just UDP
	  queries. (Patch from the Google tree.)

2007-09-29 16:21  sesse

	* ares/ares_process.c: Read and process as many packets as possible
	  in read_udp_packets, to avoid having to run the entire event loop
	  once per packet. (Patch from the Google tree.)

2007-09-29 16:09  sesse

	* ares/ares_process.c: There are two different places in
	  write_tcp_data() that advance the send_queue; however, they are
	  slightly different and only the first one properly uses a while
	  loop. Consolidate both into a single function that DTTR. (Patch
	  from the Google tree.)

2007-09-29 15:58  sesse

	* ares/ares_mkquery.c: Reject names that are longer than 255
	  characters, to avoid problems with strict or buggy DNS server
	  implementations. (Patch from the Google tree)

2007-09-29 15:56  sesse

	* ares/ares_mkquery.c: In ares_mkquery, make sure we set buflen and
	  buf to reasonable values if there's an error. (Patch from the
	  Google tree)

2007-09-29 15:52  sesse

	* ares/ares_gethostbyname.c: Be stricter about what's a valid IP
	  address in fake_hostent. (Patch from the Google tree.)

2007-09-29 15:38  sesse

	* ares/ares_expand_name.c: Handle the root of the DNS tree
	  correctly in ares_expand_name.

2007-09-28 23:48  bagder

	* CHANGES, RELEASE-NOTES, lib/hostasyn.c, lib/hostip.h: Adapted the
	  c-ares code to the API change c-ares 1.5.0 brings in the notifier
	  callback(s).

2007-09-28 23:45  bagder

	* lib/ssh.c: rename variable to prevent shadow warning

2007-09-28 22:28  bagder

	* ares/CHANGES: today's modifications by Steinar and me

2007-09-28 22:28  bagder

	* ares/: Makefile.am, ares_version.h: Bumped version to 1.5.0 for
	  next release and soname bumped to 2 due to ABI and API changes in
	  the progress callback (and possibly more coming up from Steinar)

2007-09-28 20:47  danf

	* lib/hostip.c: Renamed a variable to avoid shadowing a global
	  declarations.

2007-09-28 17:56  sesse

	* ares/ares_gethostbyname.c: Unrevert previous 'missing' hunks.
	  They were missing since the patch is still in for review :-)

2007-09-28 17:55  sesse

	* ares/ares_gethostbyname.c: Yet more missing hunks... Nggh.

2007-09-28 17:53  sesse

	* ares/ares_fds.c: Always register for TCP events even if there are
	  no outstanding queries, as the other side could always close the
	  connection, which is a valid event which should be responded to.

2007-09-28 17:51  sesse

	* ares/ares_process.c: Forgot to include a few hunks from
	  ares_process.c earlier. Fixing now.

2007-09-28 17:15  sesse

	* ares/: ares.h, ares_init.c, ares_process.c: Support a few more
	  socket options, and refactor the option setting a bit. (Patch
	  from the Google tree.)

2007-09-28 16:46  sesse

	* ares/: adig.c, ahost.c, ares.h, ares_cancel.c, ares_destroy.c,
	  ares_gethostbyaddr.3, ares_gethostbyaddr.c, ares_gethostbyname.3,
	  ares_gethostbyname.c, ares_getnameinfo.3, ares_getnameinfo.c,
	  ares_private.h, ares_process.c, ares_query.3, ares_query.c,
	  ares_search.3, ares_search.c, ares_send.3, ares_send.c: Make the
	  query callbacks return the number of timeouts that happened
	  during the execution of a query, and update documentation
	  accordingly. (Patch from the Google tree.)

2007-09-28 16:28  sesse

	* ares/: ares__close_sockets.c, ares_cancel.c, ares_destroy.c,
	  ares_init.c, ares_private.h, ares_process.c, ares_send.c: Three
	  fixes in one commit (sorry): a) Take care of the tcpbuf if it
	  ends while queued for transmission, note broken servers and close
	  them in the main loop, and store TCP socket generation number in
	  order not to send the same query twice over the same socket.

2007-09-28 16:26  sesse

	* ares/ares_process.c: Don't skip a server if it's the only one.
	  (Bugfix from the Google tree.)

2007-09-27 20:39  danf

	* lib/getenv.c: Don't strdup an empty string

2007-09-27 20:12  danf

	* lib/hash.c: Renamed a few variables to avoid shadowing global
	  declarations.

2007-09-27 19:22  danf

	* tests/libtest/lib542.c: Removed cut-and-paste cruft leading to
	  fclose() of an unopened file

2007-09-27 14:05  bagder

	* lib/hostares.c: a name resolve that times out is still a failed
	  name resolve

2007-09-27 14:04  bagder

	* ares/ares_process.c: wrong, revert the previous "fix" and instead
	  check that the fd_set pointer is non-NULL before we FD_CLR

2007-09-27 14:02  bagder

	* ares/ares_process.c: eek, fix the conditions to return on either
	  problem instead of requiring both to occur

2007-09-27 04:45  danf

	* lib/: ftp.c, gtls.h, nssg.h: Renamed a few variables to avoid
	  shadowing global declarations.

2007-09-27 03:45  danf

	* CHANGES, acinclude.m4, lib/file.c, lib/formdata.c, lib/ftp.c,
	  lib/http_ntlm.c, lib/multi.c, lib/sendf.c, lib/splay.c,
	  lib/splay.h, lib/transfer.c, lib/url.c, lib/url.h,
	  tests/libtest/lib506.c, tests/server/sockfilt.c,
	  tests/server/tftpd.c: Enabled a few more gcc warnings with
	  --enable-debug.  Renamed a few variables to avoid shadowing
	  global declarations.

2007-09-27 02:58  yangtse

	* lib/getenv.c: Fix compiler warning: the address of 'env' will
	  always evaluate as 'true'

2007-09-26 14:46  bagder

	* RELEASE-NOTES: we added a curl_easy_setopt() option too

2007-09-26 14:44  bagder

	* CHANGES, RELEASE-NOTES, include/curl/curl.h, lib/transfer.c,
	  lib/url.c, lib/urldata.h, packages/OS400/curl.inc.in, src/main.c,
	  tests/data/Makefile.am, tests/data/test1011, tests/data/test1012:
	  Philip Langdale provided the new CURLOPT_POST301 option for
	  curl_easy_setopt() that alters how libcurl functions when
	  following redirects. It makes libcurl obey the RFC2616 when a 301
	  response is received after a non-GET request is made. Default
	  libcurl behaviour is to change method to GET in the subsequent
	  request (like it does for response code 302 - because that's what
	  many/most browsers do), but with this CURLOPT_POST301 option
	  enabled it will do what the spec says and do the next request
	  using the same method again. I.e keep POST after 301.

	  The curl tool got this option as --post301

	  Test case 1011 and 1012 were added to verify.

2007-09-26 14:00  bagder

	* CHANGES, RELEASE-NOTES, lib/ftp.c, lib/urldata.h,
	  tests/data/test542, tests/libtest/Makefile.am,
	  tests/libtest/lib542.c: Max Katsev reported that when doing a
	  libcurl FTP request with CURLOPT_NOBODY enabled but not
	  CURLOPT_HEADER, libcurl wouldn't do TYPE before it does SIZE
	  which makes it less useful. I walked over the code and made it do
	  this properly, and added test case 542 to verify it.

2007-09-25 19:33  danf

	* lib/strequal.c: Make glibc define the prototype for strcasestr

2007-09-25 10:46  bagder

	* docs/BINDINGS: a new Lua binding and I shortened the wording on
	  several bindings by cutting out "written"

2007-09-25 08:45  danf

	* lib/: sslgen.c, ssluse.c: #ifdef out a few more functions when
	  SSL is disabled.

2007-09-25 08:43  danf

	* configure.ac, lib/strequal.c: Use a native strcasestr() if found.

2007-09-24 23:47  bagder

	* CHANGES, RELEASE-NOTES, docs/KNOWN_BUGS, lib/ftp.c,
	  tests/data/DISABLED, tests/data/Makefile.am, tests/data/test1010:
	  Immanuel Gregoire fixed KNOWN_BUGS #44: --ftp-method nocwd did
	  not handle URLs ending with a slash properly (it should list the
	  contents of that directory). Test case 351 brought back and also
	  test 1010 was added.

2007-09-24 12:56  bagder

	* docs/curl.1: Bad use of "its" replaceed with a rephrase. I
	  noticed this flaw thanks to the Debian bug report
	  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=443734

2007-09-22 23:23  bagder

	* ares/: CHANGES, ares_process.c: Steinar H. Gunderson fixed:
	  Correctly clear sockets from the fd_set on in several functions
	  (write_tcp_data, read_tcp_data, read_udp_packets) so that if it
	  fails and the socket is closed the following code doesn't try to
	  use the file descriptor.

2007-09-22 23:04  bagder

	* ares/: CHANGES, ares_process.c: Steinar H. Gunderson modified
	  c-ares to now also do to DNS retries even when TCP is used since
	  there are several edge cases where it still makes sense.

2007-09-22 22:45  bagder

	* ares/: CHANGES, ares_init.c: Brad House provided a fix for
	  ares_save_options(): Apparently I overlooked something with the
	  ares_save_options() where it would try to do a malloc(0) when no
	  options of that type needed to be saved.  On most platforms, this
	  was fine because malloc(0) doesn't actually return NULL, but on
	  AIX it does, so ares_save_options would return ARES_ENOMEM.

2007-09-21 13:53  bagder

	* docs/curl.1: --proxy-negotiate is added in 7.17.1

2007-09-21 13:19  bagder

	* TODO-RELEASE: the NSS patch has been committed

2007-09-21 13:08  bagder

	* RELEASE-NOTES: Available command line options: 119

2007-09-21 13:05  bagder
